Overview

Onyx Arranger 2.1 is a powerful arranger/sequencer based on advanced technologies such as musical object morphing, auto-harmonization and performance modeling. With flexible real-time control of MIDI data generation and transformation, the program is designed for professional and amateur musicians alike. With Onyx, you have the ability to go from "nothing" to a complete song very quickly - as you use the power of the various computer algorithms combined with your own imagination and creativity to generate unique compositions.

To become familiar with Onyx quickly we have included a number of example files which illustrate some of the things you can do with this software:

01 If I Played Piano Better.opr
02 Beatles and Led Zeppelin can be mixed using NTONYX MOM Technology.opr
03 How ONE OOStyle Can Sound On ONE Chord.opr
04 How OOStyle Structure & Fill Position Can Be Changed.opr
05 How 4'4M OOStyle Can Work in 3'4 5'8 and 3'8 Meters.opr
06 How 6'8M OOStyle Can Work in 5'8 4'8 and 3'8 Meters.opr
07 How OOStyle Content Will Be Morphed To New Harmony Rhythm.opr
08 Piano Moods (Variable Tempo Example).opr
09 How MFX chains Can Work (01 - Hello).opr
10 How MFX chains Can Work (02).opr
17 How Bass Line Can Be Morphed Duirng Generation.opr
18 How Bass Line Can Be Changed Using Score Morpher.opr
19 No Woman No Cry (Auto-Harmonization in Bb Minor).opr
20 No Woman No Cry (Auto-Harmonization in Db Major).opr

Cm7 Mood.opr
Don't Call Me Now.opr
Father's Message.opr
Happy Days.opr
Let's Jam a Jazz.opr
Zero to Energy.opr

There are three major processing components upon which Onyx is based:

  • Musical Object Morphing
  • Intelligent Auto-Harmony
  • Performance Modeling

Musical Object Morphing
Musical Object Morphing (MOM) enables you to transform one musical source object - like a melody or a song - into a new musical object by applying a template object to it. Onyx implements one specific feature of MOM whereby you can transform any source MIDI file into a new file with a different style, either by applying a preset style or by using another MIDI file as a style template.

For example, suppose you have composed a song and would like to hear how it would sound if the Beatles, George Benson or Mozart had arranged it in the style of one of their famous songs? The MOM technology enables you to do exactly that! You can use the Beatles' song "Yesterday", for example, as a template for your composition and have the program automatically arrange your song in the "Yesterday" style at the click of a button.

Intelligent Auto-Harmony
One of the most complex and arguably the most important aspect of any composition is harmony. Harmony can decorate, hide, highlight and emphasize a melody. It can create a new character or suggest a new mood. It has been said that "If melody is the soul, harmony is the body."

Intelligent Auto Harmony (IAH) automatically generates chord progressions based on a source melody. Natural sounding Harmony can be generated for a melody at the click of a button and in real time using any number of styles in each musical genre. All of this is done according to user-selected preferences that can also be saved as presets for future use on other projects.

Performance Modeling
Typically, sequenced MIDI music sounds can sound mechanical and lifeless. (We've all heard examples of these) Performance Modeling (PM) enables you to breathe life into such files virtually effortlessly. PM differs from groove quantization in that it doesn't simply adjust note velocities and timing based on a set of parameters that fit a style, but rather, it transforms the entire MIDI data stream so that it sounds as if it is being played by live musicians.

In the same way that physical modeling of instruments and other techniques are used in modern synthesizers to produce realistic instrument sounds, PM focuses on the modeling of real live performers. These models are based on the many human techniques used to play various instruments, genres and styles of music. For each instrument there are dozens of ways of playing and therefore dozens of styles. In Onyx, we take the notion of Performance Modeling to the next level: each track has its own PM modeler with an independent choice of the PMStyles and parameters.


Basic Terms

Associated Chord | A chord built from a step of the current Key/Scale, usually includes only the steps of the current Key/Scale.
Chord - A set of notes which sounds simultaneously, make certain intervals, and have a certain musical quality. The most widely used chords are Major triads and Minor triads. If you build a Major chord from note C, then these are C-E-G sounds and if you build Minor chord from note A, then these are C-E-G sounds.
Chord Progression | A sequence of real chords notated by scale steps and/or chord symbols.
Clip | Part of an Orchestrator track generated by an OOStyle. Clip is used to edit an arrangement by changing boundaries of a Clip.
Control | Managing element of Main / Orchestrator Track panes or other dialogs.
Envelope | A curve which is used for easy "drawing-in" of different MIDI controllers. Contains points and fragments between them. Envelopes can be easily edited by moving points and fragments.
Expression | MIDI controller #11. As with all controllers it ranges from 0 to 127 and defines how "hard" a sound is played. It works the same way as Volume - MIDI controller #7, but Expression is more often used for arranging certain volume nuances of single notes - e.g., it is an articulation of wind, bowed instruments and human voice. This controller affects the sound of ALL notes for a given MIDI Channel.
Harmonization Is the process of analyzing the initial MIDI data and creating a Chord Progression according to this data and the selected harmonization type.
Consists of Harmony, Chord progression or additional parallel sounding notes which serve to support a melody.
Inversion of Chord | A chord which includes the same notes as a chord with the initial name, but built not from the 1st step (chord root). For example, C major chord includes a C-E-G triad and is built from the chord root C, while one inversion of this chord (indicated as C/G) includes the same notes but starts on a G>> G-C-E.
Key | The note from which a Scale is built. Key and Scale combinations also called Tonality, or, sometimes simply Key. Thus, for example, C Major Key (or C Major Tonality) means that Major Scale is built from the note C.
Main Track | A place where imported (recorded or created by "hand") MIDI tracks are displayed. In contrast to the Orchestrator Track, the Main Track provides all editing operations that can be used in a typical sequencer. The number of Main Tracks allowed in a project is unlimited.
Markers | A graphic image used for marking and controlling different events of a Project - time positions of a song part, places of Key/Scale changes, Chords, Orchestra Fill, beginning of an OOStyle and comments inserted by a user. These are all found in the Song Manager pane.
MFX | MIDI Effect - specialized MIDI processing tool (program algorithm) used as a real-time or non real-time module for certain transformation or for analyzing MIDI data. Onyx Arranger includes a complete set of MIDI Effects and MIDI processing tools: AutoPhraser, Controller Adjuster, Drum Adjuster, Quantizer, Time-Pitch Adjuster, Modeler, Interpolator, and Event Filter.
MIDI Musical Instrument Digital Interface is a digital communications protocol - a way of linking computers with most sound cards, keyboards, and other electronic instruments since the early 1980s. At present, most electronic music instruments from different manufacturers have MIDI connectors and can be used with other MIDI instruments and with your computer's MIDI interface.

The MIDI language has many instructions such as messages to play or stop playing a note, to change the sound that is used to play the notes (the bank and patch), messages to indicate a piano sustain pedal, the pitch-bend wheel of a synth, and more.

MIDI information can be sent on up to 16 different channels of one Sound Card or Synth. You can set up your MIDI equipment to listen to messages on all channels or only on a few.

MIDI files contain all the MIDI messages and timing information that are needed to play a song. MIDI files can be read and played by many different programs, including Onyx Arranger, and can even be played by programs on computers of other platforms. MIDI files commonly have the .mid file extension.

The primary disadvantage of MIDI is that the quality of the music a listener hears will vary depending on the MIDI equipment the listener is using. For example, MIDI usually sounds much better on an expensive synthesizer than it does on an inexpensive sound card.

It is important to know that MIDI is used to transmit MIDI commands and parameters (of an "electronic score"), but it does not transmit audio data, and therefore has no "sound" of its own.
MIDI Channel | A specific "virtual instrument" of MIDI Synth to which a specific stream of MIDI data is sent. All parallel notes of one MIDI Channel will sound with the same Patch chosen for the Channel. All MIDI controllers will affect all notes and only the Velocity of notes is separate. This means that if two notes sound at the same time, and you have used a Modulation controller for one note, then the second note will also sound with the same vibrato effect.
Modulation | MIDI controller #1. As with all controllers it ranges from 0 to 127 and defines the depth of vibrato produced by a synth device. The character of the vibrato depends on the Patch used and can be very different in various Synths even for the same Patch. This controller affects the sound of ALL notes of a given MIDI Channel.
Musical phrase | A fragment of a musical text - more often of a melodic character, that has a separate musical meaning. For example, a part of a verse or a refrain. It is quite identical to a sentence in oral speech.
OOStyle | Onyx Orchestrator Style - a special Onyx format of musical data used for generating an auto-accompaniment.
Orchestration | In Onyx Arranger it is a process of generating additional tracks to the initial tune according to the appropriated chord progression and chosen arrangement style.
Orchestrator Track | The place where accompaniment data is generated. Onyx has a fixed number of 10 Orchestrator Tracks. They can not be deleted or added. Orchestrator Track MIDI data can be edited through the changing of Orchestrator Clips boundaries, Orchestrator dialog settings, Orchestrator Track pane controls, and by applying track FX.
Pan (Panning) | MIDI controller #10. As with all controllers it ranges from 0 to 127 and defines "the stereo space" of a sound. A value of "0" places a sound to the left (L Speaker), a value 127 = hard-right (R Speaker), and a value of 64 places a sound in the center/middle. This controller affects ALL notes for a given MIDI Channel. In some cases a parameter can be assigned from -100% (100%L) to +100% (100%R), or 0% (or C) - the central value.
Pitch Wheel | A MIDI parameter which defines the tuning (Pitch Bend) of ALL notes for a given MIDI Channel. It ranges from -8192 to +8191. A value of "0" means that all notes will sound in their actual pitch. For common sensitivity settings of a synth device, the maximum positive deviation (+8191) will set the pitch 2 semitones up, and the maximum negative deviation (-8192) will set the pitch 2 semitones down. With the help of this parameter you can make a G note sound like note A or F, for example. This parameter affects the sound of ALL the notes for a given MIDI Channel.
PMStyle | Performance Modeling Style = the common name for Onyx Modeler algorithms. They are used for "humanizing" and altering MIDI data and define the Modeler's mode. PMStyles are arranged in folders according to their instruments or musical genre.
Scale | A complete set of notes, defined by interval relations, which has a certain musical character and serves to express a certain mood. The most widely used scales are Minor and Major. Thus, a Major scale starting from C includes C, D, E, F, G, A, B notes, while a Minor scale from A includes A, G, B, C, D, E, F, G notes.
SMF Standard MIDI file format is the interchange format of an "electronic score" as defined by the MIDI Manufacturers Association (MMA). The purpose of this format is to allow the exchange of MIDI data between different programs (and MIDI devices). Any program that can read and write MIDI files has a common language to talk to other MIDI software with. The compact size of MIDI music files makes them particularly useful for delivering music online.

Onyx Arranger can open standard MIDI files (format 1 and format 0) and can save your projects in the standard MIDI file format 1. Note that only the MIDI portion of your projects is saved in a standard MIDI file. If your projects contain additional data (non - MIDI protocol data which is peculiar to Onyx Arranger only - Markers, Orchestrator Clips, FX settings, Envelopes, and others), part of them will be applied, and other things will be lost when you save your project to a standard MIDI file.

Note 1:
If you load a standard MIDI file into Onyx Arranger, the program automatically loads in any initial volume and pan settings and sets the volume and pan controls for any affected tracks to those values. Initial volume and pan settings in a standard MIDI file are those that occur within the first measure. Any affected volume and pan controls will show the initial values that Onyx Arranger loaded from the standard MIDI file.

Note 2:
Type 0 MIDI files contain a single track with all events stored in that track. Format 1 MIDI files can store up to 7256 tracks. When you load a MIDI Format 0 file, Onyx Arranger splits it into 16 separate tracks based on the MIDI channels assigned to each event. When you save a project to a MIDI Format 0 file, Onyx Arranger collapses MIDI information from all of its tracks into one single track.
Song Manager pane | An important part of Onyx screen where markers are placed. This Song Manager data manages the process of accompaniment generation.
Sysx | System Exclusive message (Sysx) - a special set of commands that will turn MIDI device into certain mode of its work. These commands are arranged as a bank. A part of banks are standard commands which serve to reset a MIDI device into default mode (for example GM Reset, XG Reset, GS Reset), the other part - special commands which can be executed only by an addressed device. A Sysx library provides you with 8192 banks in which to hold MIDI System Exclusive messages. A bank is a storage area plus some associated parameters such as a destination output and an optional description. Each bank can hold any number of messages; the amount of data it can hold is limited only by available memory. The banks are saved in the Onyx Arranger project file and in exported MIDI files. Each bank can also be saved as a .syx file.
Velocity | A MIDI parameter which corresponds to every note. Its origin is connected with Velocity/ strength of a piano key being pressed. This parameter defines sound Volume of a certain note and it remains unchanged in for the duration of the sound.
Volume | MIDI controller #7. As with all controllers it ranges from 0 to 127 and defines the "loudness" of a sound. Volume is usually used for arranging the general loudness of a whole track. It can change rapidly within a musical phrase, and can increase or decrease in order to achieve crescendos and diminuendos. This controller affects the sound of ALL notes for a given MIDI Channel.


Projects and File Types

Onyx uses project files with the extension .opr. You can also save your project as a "Template" with the extension .otp or as a standard MIDI file (type 1) with the extension .mid. In addition, Onyx recognizes Onyx Orchestrator Styles (OOStyles) files with the extension .oos, Onyx Chord Progression files with the extension .ocp, Onyx Performance Modeling Styles (PMStyle) files with the extension .oms and Onyx MIDI Effects (MFX) Chain files with the extension .mfx.

.opr - Onyx Project File
.mid - Standard MIDI File (adhering to "MIDI type 1" specification)
.oos - OOStyle File
.ocp - Onyx Chord Progression File
.oms - PMStyle File
.otp - Onyx Template File
.mfx - Onyx MFX Chain File

Note:
Onyx Template File (*.otp) - format allows you to save the whole structure of your song excluding Chords, Key/Scales, notes of the Main and Orchestrator tracks and controllers. Other information, including OOStyles, MFXs, Envelopes, Markers, etc. will all be saved.


Views

Onyx displays your project in windows on the screen called views. Each view highlights a different aspect of the same project data. You can have many views open at a time and if you make changes in one view they are reflected in the other related views since they are all based on the same information.

See also:
Main View (overview)
Piano Roll View (overview)
Other Views


Main View (overview)

The Main view is the principle window that you use to create, display, and work with a project. When you open a project, Onyx displays it using the Main view. If you close the Main view for a project, Onyx closes the project file.

The Main view is divided into seven sub-windows called "panes". Each pane provides information specific to various aspects of your project.

The work area is divided into 7 sections: the Main Track pane, the Main Measure pane, the Chords Pane, the Song Manger Control pane, the Song Manager pane, the Orchestrator Track pane and the Orchestrator Measure pane. You can resize any of the individual panes by dragging the dividers between them. The other parts of the interface is comprised of the fun and flexible tools and features used while creating and working with your project.

See also:
Main View
Standard toolbar
Playback Control toolbar
MIDI Process toolbar
Tempo toolbar
Loop toolbar
Selection toolbar
Rendering toolbar
View toolbar
Main Tools toolbar


Main Track pane (overview)

The Main Track pane displays the controls for all source tracks in your project and lets you see and change the initial settings for each track.

To change the current track, move the highlighted area using the mouse or the keyboard as follows:

Key... | What it does...
Left/Right Arrow | Moves the highlight to the next or previous control.
Up/Down Arrow | Moves to the same control to the next or previous track.

The following sections identify and briefly explain each track control:

The Main Track pane displays controls for all source tracks in your project.

The Track Number identifies the track order in the project and provides a way to select the entire track.

The Track Type displays what kind of information this track contains.

The Track Name is a user-defined name you assign to each track.

The Mute button suspends playback of the corresponding track, allowing you to pay more attention to your project's other tracks.

The Solo button isolates playback of the corresponding track by muting the other tracks in the project.

The Record button enables the track to receive and record incoming MIDI data.

The Patch displays the name of the instrument that can be assigned to the track.

The Ch (MIDI Channel) displays the number of the MIDI Channel through which the corresponding track plays.

NOTE: Each track can have its own effects. Clicking the FX field activates the MFX Chain dialog where you can choose to apply the effects.

The Bank displays the patch naming scheme assigned to a given track.

The Vol (Volume) or Pan (Panning) fields allow you to modify the overall Volume or Panning of each track.

The Vel+ parameter allows you to apply a relative change in velocity to notes. Likewise, the Key+ parameter allows you transpose all notes by a specified number of steps: positive numbers transpose the notes up in pitch; negative numbers down. The Time+ parameter sets an offset applied to the start time of all events in the track.

The Out sets the device (synthesizer/soundcard/sound module) through which MIDI output is played.

See also:
Main Track Pane
Main Track Manager
Arranging Main Track


Main Measure pane (overview)

The Main Measure pane displays the actual MIDI events for each Main track.

The data for each track is displayed from left-to-right in the timeline with time increasing to the right. The Now time is the current time in the project. In the Main Measure, Song Manager and Orchestrator Measure panes, the Now time is indicated by a vertical line. It is also shown as a counter in the Song Manager Control pane in both SMPTE time code and MBT formats.

In the Marker/Loop bar you can see small colored flags which indicate the start and end times for looped sections.

The Time Ruler displays the musical measures of the project. It also shows the current selection in a highlighted color.

Zoom Controls selects the desired magnification level.

See also:
Main Measure Pane
Arranging in the Main Measure pane


Chords Pane (overview)

The Chords Pane allows you to see the current chords of the Chord Track with increased size during playback or recording. This pane can also be used for inserting/editing a chord by double-clicking on any bar (as numbered in the top-left of each cell).

See also:
Chord Pane


Song Manager Control Pane (overview)

The Song Manager Control pane displays the current timing information in SMPTE time code as hours, minutes, seconds and frames (hh:mm:ss,fra) and in musical measures, beats and ticks (mm:bb:ttt).

Markers, Key/Scale, Chord, User (/Orch.) Fill, OOStyle buttons select corresponding tracks for transformations such as Cut, Copy, Paste, and Delete. Next to them are arrow buttons [image] for activating pulldown menus for the corresponding track. These menus performing various operations for markers in the current cursor position. The Song Manager Control pane also displays the current Marker, Key/Scale, Chord and OOStyle. Numbers in the last column show the number of the corresponding markers.

The following five buttons perform these commands:

Turns on/off automatic chord audition.
Displays the Chord Audition dialog.
Changes chord names from sharps to flats and visa-versa in the Chord track of the Song Manger pane.
Changes Chord Type system in the Chord track of the Song Manger pane.
Displays the Chord/Key Transposer dialog.

See also:
Song Manager Control pane


Song Manager Pane (overview)

The Song Manager pane is the main view used to organize and create an arrangement. This pane shows five tracks: Marker, Key/Scale, Chord, Orchestra Fill and Onyx Orchestrator Style (OOStyle). You can add your own markers in each track while playback is stopped or in progress (on the fly).

Marker Track
The Marker Track contains markers which visually represents different parts (sections) of your project and/or displays specific project "events", as well as displays Lyrics.

Key/Scale Track
The Key/Scale Track displays Key/Scale markers only. The Key/Scale setting affects only Orchestrator Tracks. Whenever the Harmonizer feature is activated, Key/Scale markers are inserted automatically.

Chord Track
The Chord Track shows Chord markers. Using a popup menu in the Chord Track you can select chords from the following lists: Any Chords (full list), Limited Set, Associated Chords and Inversions of Associated Chords. Associated Chords and Inversions of Associated Chords are chord lists that are tied to whatever the specific Key/Scale is, which makes Chord selection easier. Whenever the Harmonizer feature is activated, Chord markers are inserted automatically.

Orchestra Fill Track
This Track displays Orchestra Fill marker settings. These can be set to two different modes: Orchestrator Fill (Orch. Fill) and User Fill (see Song Manager details for additional information on these settings).

OOStyle Track
OOStyle Track is used to set/display OOStyle markers.

See also:
Song Manager Pane
Editing Markers
Editing Key/Scale
Editing Chords
Editing Orchestra Fill
Editing OOStyles


Orchestrator Track Pane (overview)

The Orchestrator Track pane displays the controls for all Orchestrator tracks that are generated to accompany the melody. Each track has parameters that function in most cases identically to those described in the Main Track pane.

Note:
Orchestrator tracks differ from Main tracks in some ways since the Track Type can't be changed in Orchestrator tracks. For example, the R (Record) button is absent (because you can't record in them).

The Orchestrator Track pane always has 10 tracks. You cannot add or delete Orchestrator tracks.

See also:
Orchestrator Track Pane
Orchestrator Track Manager


Orchestrator Measure Pane (overview)

The Orchestrator Measure pane displays MIDI data for all Orchestrator tracks generated to accompany the melody.

In the Marker/Loop bar you can see small colored flags that indicate the start and end times for looped sections.

The Time Ruler displays the musical measures of the project. It also shows the current selection in a highlighted color.

Track height and track time Zoom Controls control the magnification level.

Snap to Grid allows you to easily select the Now Time and is used to help create an appropriate time selection in the Time Ruler.

The Visible Objects dialog allows you to choose what kind of objects will be shown in the Main view or Piano Roll view.

See also:
Orchestrator Measure Pane
Arranging Orchestrator Clips


Piano Roll View (overview)

The other significant project view is the Piano Roll view. This view shows notes from any or all selected Main and Orchestrator tracks. In the View-Show Initial Data mode you can move notes in the Main tracks simply by dragging them with your mouse. You can also add, copy, paste, delete notes and controllers of the Main tracks.

See also:
Piano Roll View


Other Views

Onyx has several other views which can be used for specific purposes.

View: | How to use it:
Event List | To make changes to events at the highest detail level.
Tempo | To edit tempo changes in a project.
Meter | To change the meter (time signature) or to insert changes in the meter at specific points in a project.
Sysx | To edit, delete, load and save System Exclusive messages in a project.
Keyboard | To view chords (on the virtual piano) from the Chords Track during playback.

See also:
Event List View
Tempo View
Meter View
Sysx View
Keyboard View


Using Presets

Presets allow you to store all your dialog settings so that you can use them again at a future date. The following table tells you how to use presets in a certain dialog.

To do this... | Do the following...
Save the current settings as a preset. | Enter a preset name and click [image] .
Use a preset. | Select the preset from the dropdown list.
Delete a preset. | Select the preset, then click [image] .
Update a preset. | Click [image] to restore the preset settings.


Tutorial 1: Introduction

The first tutorial teaches you the basics of the Onyx Arranger. You'll learn how to:

  • Open and play a project file or record a melody track.
  • Speed up or slow down the tempo.
  • Select and loop measures during playback.
  • Create a chord progression in the Song Manager for the melody using the Harmonizer.
  • Choose and set an OOStyle to auto-arrange the melody.
  • Open and manipulate the Orchestrator dialog to modify how the arrangement is generated.
  • Save a project file.

Please follow the Introduction tutorial for basic background information about working with projects and views.

First Step: Tutorial 1: Opening a Project File.


Tutorial 1: Opening a Project File

Double-clicking the Onyx Arranger icon on the desktop starts Onyx Arranger. By default, one empty MIDI track is displayed in the Main Track pane and 10 empty MIDI tracks are displayed in the Orchestrator Track pane.

The Song Manager Control and Song Manager panes are placed in the middle part of the screen to allow you to insert Key/Scale and Chords, which is essential data for the auto-arrangement feature. Orchestrator tracks (excluding Drum tracks) cannot be generated without this data.

To open a project file, do the following:

  1. Choose File-Open. The Open dialog will appear.
  2. In the Open dialog box, navigate to the directory in which you installed Onyx, double-click the Onyx Projects/Onyx Examples folder to open it and select the file 16 MIDI Editing Example.opr.
  3. Click the Open button.

Onyx will load the project file and will display it in the Main Track and Main Measure panes.

Next Step: Tutorial_1: Setting Inputs/Outputs.


Tutorial 1: Setting Inputs/Outputs

Before you can play or record a project, you need to first set the MIDI inputs and outputs. By setting these device assignments, you are telling Onyx from which inputs you want to record data and through which outputs you want to hear the sound. You may have a sound source with just one output, or several sound sources - each with several outputs.

Setting MIDI Inputs

  1. Select Options-MIDI Devices to open the MIDI Devices dialog.
  2. Click the MIDI Inputs tab in the MIDI Devices dialog.
  3. In the Active MIDI In Device list box, select your sound card's MIDI In device or the MIDI In for your external MIDI interface.
  4. Click OK.

Setting MIDI Outputs

  1. Select Options-MIDI Devices to open the MIDI Devices dialog.
  2. Click the MIDI Outputs tab in the MIDI Devices dialog.
  3. In the Other MIDI Out Devices list, select a device that you want to use for MIDI output, and click Add. The device you have selected will be activated and will appear in the Active MIDI Out Devices list.
  4. You can add several MIDI Devices and prioritize them in the list. To move a device up or down in the list, select it and click the Up or Down button.
  5. Click OK.

For help with these settings, see MIDI Devices dialog.

To Set MIDI Outputs for Your Project's Tracks

  1. In the Track pane, click the drop-down menu in the Out column of a track.
  2. Select the output you want to use for this track.
  3. Repeat step 2 for each track.
  4. Now you can play the project through the selected sound outputs.

Next Step: Tutorial 1: Playing the Project.


Tutorial 1: Playing the Project

The buttons in the Playback Control toolbar (shown in the picture below) control most of Onyx's basic playback functions. If you don't see the Playback Control Toolbar on your screen, choose the View-Playback Control command from the main screen's View menu.

Start Playback

To start playback from the current cursor position click [image] or press the Spacebar.

Replay the Project

When playback gets to the end of a project it stops. To play the entire project again do the following:

  1. Click [image], or press Ctrl+w to go (rewind) back to the first measure.
  2. Click [image], or press the Spacebar.
  3. The project will play again.

To Pause Playback

To temporarily pause playback, click [image] or press the Spacebar. Click [image] again to resume playback.

Next Step: Tutorial 1: Looping Over a Fragment of the Project.


Tutorial 1: Looping Over a Fragment of the Project

To continuously loop a fragment of your song project, you will need to set the Loop From (beginning) and Loop Thru (end) times and then enable looping by using the buttons in the Loop toolbar.

Setting Up Looping

Let's set up Onyx to loop the first four measures:

  1. Click [image] in the Snap to Grid toolbar to select the durations to be "Measures".
  2. Now you will be able to easily select exact one-measure blocks of time in the Time Ruler, which is located at the top of the Main Measure pane.
  3. In the Time Ruler, mouse-click and drag through the first four measures to select them.
  4. In the Loop toolbar, click [image] to set the Loop From and Loop Thru times.

  5. Clicking [image] enables the automatic looping feature.

Next Step: Tutorial 1: Changing the Tempo.


Tutorial 1: Changing the Tempo

As with most music software you can easily speed up or slow down the playback of a tune in Onyx.

There are two ways to do this: you can change the tempo or you can change the tempo ratio, which modifies the tempo by multiplying it by a user-defined amount. The controls for either method can be found in the Tempo toolbar:

Setting Tempo

Onyx has three tempo modes:

(Constant) | This mode sets the tempo constant for the whole project.
(Main Track) | This is a sequencer mode. The tempo will appear exactly as it has been assigned in the Main Track pane or drawn in the Piano Roll. The Tempo indicator [image] shows the current tempo.
(OOStyles) | This mode sets playback to the tempo that the OOStyles were recorded at. You can change this setting only if you editing the OOStyle. The Tempo indicator [image] shows the current tempo.

To set the Tempo do the following:

  1. Click [image] .
  2. Click on tempo value in the Tempo toolbar - [image]. The tempo will be highlighted and spin controls (up/down arrows) will appear.
  3. Use the spin controls to increase the tempo to, say, 110 beats per minute.
  4. Press Enter. The project will play a little faster.

Changing Tempo Ratio

The 0.5, 0.75, 1.0, 1.5 and 2.0 buttons allow you to choose playback tempo ratio. Try this:

  • Click 0.5 button. The playback will slow to half of its normal tempo. Note that the displayed tempo of the project will not change.
  • Click 2.0 button. The playback will double its normal tempo.
  • Click 1.0 button. The playback will return to its original tempo.

Next Step: Tutorial 1: Harmonizing a Melody.


Tutorial 1: Harmonizing a Melody

Onyx can automatically generate a chord progression adapted specifically to your project's melody.

To harmonize a melody, do the following:

  1. Choose File-Open.
  2. In the Open dialog, navigate to the directory where Onyx is installed, double-click the Onyx Projects/Onyx Examples folder to open it and select the demo file 11 Moscow Nights.opr (or 12 No Woman No Cry.opr).
  3. Click the first track in the Main Measure pane to select it.
  4. In the Time Ruler, click and drag through the first nine measures to select them.
  5. In the Loop toolbar, click [image] to set the Loop From and Loop Thru times.
  6. Click [image] play.
  7. In the Main Tools toolbar, click [image] to open the Harmonizer dialog. Key/Scale and Chord markers will appear in the Song Manager according to the default Harmonizer mode.
  8. Click [image] to activate the Chord Audition feature. Key/Scale and Chords will play through the Chord Audition tool.
  9. Try the Progressions AutoSearch mode for auto-harmonization. Select the Progressions AutoSearch mode from the first drop-down list in the Key Recognition Mode and Harmonization Style section.
  10. Press the Start button in the Best Progressions AutoSearch section. This will trigger a search for the "8 best" progressions. Then the Harmonizer will display Done/Found ##/## (the total number of calculated and number of chosen variants). Select any variant from the list as the active variant using the Select Variant drop-down list. What you are hearing is one of the best automatically found chord-harmonized variants, based on the qualitative criteria of the Quality Estimation and Statistics section.
  11. Click OK in the Harmonizer dialog. The chord progression remains in the Chords track of the Song Manager pane.

Note:
 The Harmonizer is not able to process more than 64 measures at a time. For best results, pick 8-16 measures of your song, harmonize them in the Progressions AutoSearch mode, choose the best variant and then save its settings as the best Harmonizer preset to harmonize the rest of your song. If there are many measures and tracks in a song, the Progressions AutoSearch would take a considerable amount of time, and be difficult to audition and refine. Sticking to 8,16,24 or 36 bars will yield the best results of this feature.

Next Step: Tutorial 1: Orchestrating a Melody.


Tutorial 1: Orchestrating a Melody

Not only can you add harmony to a melody using chords, you can also arrange an entire tune by adding a rhythm section and other instruments !

Let's arrange a melody:

  1. Right-click on the first measure in the bottom line (OOStyle Track area) of the Song Manager pane.
  2. From the resulting popup menu, choose from the Bossa Nova genre, the OOStyle called I Still Love You R1 4'4M 80T 8m. The Orchestrator automatically generates MIDI tracks in the Orchestrator Measure pane. Press Play to hear the result.
  3. Stop playback.
  4. Choose File-Save As to save your first Onyx project.
  5. In the File Name box, type a new file name, for example, My Project 10.
  6. Click OK.

Note 1:
You can use the Orchestrator settings to modify how the Orchestrator generates tracks. In the Main Tools toolbar, click [image] to open the Orchestrator dialog.

Note 2:
You can render the Orchestrator tracks to the Main Tracks pane (for further editing and to save as a MIDI file). Close the Orchestrator dialog (if it is open) and click [image] in Render toolbar to open the Rendering the Orchestrator Tracks dialog. Click OK to use default mode. All Orchestrator tracks will be moved up and added to the Main Tracks. Now you can save your arrangement as a standard MIDI file.

Next Step: Tutorial 1: Recording MIDI.


Tutorial 1: Recording MIDI

Creating a New Project

The first thing you need to do is to create a project file:

  1. Start Onyx.
  2. Choose File-New.

Onyx will create a new project workspace.

Setting MIDI Inputs

  1. Let's make sure that Onyx is set up to receive MIDI data from your MIDI instrument.
  2. Choose Options-MIDI Devices to open the MIDI Devices dialog.
  3. Click the MIDI Inputs tab in the MIDI Devices dialog.
  4. In the Active MIDI In Device list box and select your sound card's MIDI-IN device or the MIDI-IN for your external MIDI interface.
  5. Click OK.

Recording MIDI

To record a track in the project, following these simple steps:

  1. If you don't have an unused MIDI track in the project, create one by right-clicking in the Main Track pane and selecting Insert Empty Track from the context menu.
  2. In the newly created MIDI track, click [image] .
  3. Click [image] from the Playback Control toolbar to activate the metronome during recording.
  4. On the Playback Control toolbar, click [image] or press Ctrl+r. Onyx will start recording.
  5. Play your MIDI instrument.
  6. When you finish recording, click [image] , or press the Spacebar to stop playback.

The notes you have played will appear in the Main Measure pane in the track you have recorded them in. If you don't like your recording, right-click on the track and select "delete track". Then go back to step 1.

When you are happy with your "take", go on to the next tutorial: Tutorial 2: Harmonizing a Melody.


Tutorial 2: Harmonizing a Melody

The tutorial teaches you the basics of the Harmonizer feature. You will learn how to set various parameters and modes used by this amazing tool.

The Harmonizer Dialog has four shortcut sections which can all be opened and closed independently:

  1. Key Recognition Mode and Harmonization Style
  2. Best Progressions AutoSearch
  3. Chord Assignment Control
  4. Quality Estimation and Statistics

Opening the Tutorial Project

The first thing to do is to open the pre-made demo file for the second tutorial project:

  1. Choose File-Open.
  2. In the Open dialog, navigate to the directory where Onyx is installed, double-click the Onyx Projects/Onyx Examples folder to open it and select the file 11 Moscow Nights.opr (or 12 No Woman No Cry.opr).
  3. Click the Open button.

Setting the Project to Loop

In order for you to hear the changes affected by the Harmonizer it is often useful to play the project in a loop. As you learned in the previous tutorial, do the following:

  1. Click track 1 in the Main Measure pane to select it.
  2. In the Time Ruler, click and hold the mouse button while dragging from measure 2 through 9 to select the first 8 measures.
  3. In the Loop toolbar, click [image] to set the Loop From and Loop Thru times and start playback.
  4. In the Song Manager Control pane, click [image] to activate the Chord Audition feature.

You should hear the melody playing in a loop.

Using Progressions AutoSearch Mode

The easiest way to harmonize a melody is to use the Progressions AutoSearch mode to find the best harmonic variations. Here's what to do:

  1. In the Main Tools toolbar, click [image] to open the Harmonizer dialog.
  2. Select the Progressions AutoSearch mode in the first drop-down list of the Key Recognition Mode and Harmonization Style section.
  3. Click the Start button in the Best Progressions AutoSearch section to activate auto-searching. Based on its default settings, the Harmonizer places Key/Scale and Chord markers of the first found chord progression in the Song Manager pane. Then, play the results through the Chord Audition feature.

In the Best Progressions AutoSearch section you will see the total number of calculated and chosen harmonic variations (Done/Found). Each chosen variant can then be selected as the Active variant from the Select Variant drop-down list. Qualitative and statistical results of the chosen variant will be displayed in the Quality Estimation and Statistics section.

Using Default Settings and Presets in Auto mode of Key/Scale recognition

Another way to harmonize a melody is to use the default Harmonizer settings or to use a saved preset. Here's what to do:

  1. In the Main Tools toolbar, click [image] to open the Harmonizer dialog.
  2. Select General mode in the first drop-down list and Auto mode in the Key/Scale Choice drop-down list of Key Recognition Mode and Harmonization Style section. Based on its default settings, the Harmonizer places Key/Scale and Chord markers in the Song Manager pane. They play through the Chord Audition feature.
  3. In the Preset drop-down list, select the Harmonizer's factory preset 19 AllBases SD50 R50. Markers in the Key/Scale and Chord tracks will change, and a new harmonic variation will play.
  4. Use the Found drop-down list of the Key Recognition Mode and Harmonization Style section to set any Key/Scale (The Harmonizer recognizes these keys automatically) that will act as the initial one. Select some other Key/Scales to hear another harmonization.
  5. Try to select different Harmonization Styles using the Style drop-down list of the Key Recognition Mode and Harmonization Style section.

Note:
The list of Harmonization Styles depends on the Scale used.

Customizing Key/Scale and Progressions in Single mode

You can order the search of harmony variations according to Key/Scale selected in the Harmonizer dialog. Try each of the following settings to hear how the harmonization changes:

  1. Select the General mode in the first drop-down list and the Single mode in the Key/Scale Choice drop-down list of Key Recognition Mode and Harmonization Style section.
  2. Select Key and Scale manually using appropriate drop-down lists of Key Recognition Mode and Harmonization Style section. Only this Key/Scale will be used for the harmonization of the selected fragment, and you will hear another chord sequence, according to the Key/Scale you have chosen.
  3. Try to select different Harmonization Styles using Style drop-down list of Key Recognition Mode and Harmonization Style section.

Note:
List of Harmonization Styles depends on the used Scale.

Another way - to insert your Key/Scale markers into Key/Scale track of Song Manager - see next paragraph.

Customizing Key/Scale and Progressions in Song Manager Markers mode

You can order the search of harmony variations according to Key/Scale markers inserted by you into the Key/Scale track of Song Manager. Try each of the following settings to hear how the harmonization changes:

  1. Close Harmonizer and insert one (or a number) of Key/Scale markers into Key/Scale track of Song Manager.
  2. Open Harmonizer and select Song Manager Markers mode in the first drop-down list of Key Recognition Mode and Harmonization Style section - the harmonization will be done according to your Key/Scales.
  3. Try to select different Harmonization Styles using Style drop-down list of Key Recognition Mode and Harmonization Style section.

Note 1:
Using Song Manage Markers mode only Minor and Major Key/Scales can be inserted in Song Manager in any sequence, and corresponding harmonization styles can be used. Thus any sequence of Blues Minor and Blues Major Key/Scales is possible, but only Blues harmonization style can be used. Any sequence of Gypsy Key/Scales is possible, but only Gypsy harmonization style can be used.

Note 2:
List of Harmonization Styles depends on the used Scale.

Note 3:
While listening to the harmonic variations, it is highly recommended to pay attention to qualitative results displayed in the Quality Estimation and Statistics section. The first two parameters, Correlation and Progression Smoothness, indicate the quality of the harmonization result (where 100 is the best possible value). Used Scale Steps and Used Chord Types show the number of Scale Steps and Chord Types used to create the chord progression. Correlation and Smoothness are based on a mathematical (objective) correspondence between the harmonized melody and the generated chord progression. These estimates will not always coincide with your own (subjective) estimate. For further details refer to the Harmonizer dialog.

Controlling How Chords are Assigned

Now let's have a look at how Chord Assignment Control section works. Try modifying each control parameter and see how it works.

  1. Select again General mode in the first drop-down list of Key Recognition Mode and Harmonization Style section.
  2. Now select the factory preset 19 AllBases SD50 R50 again from the Presets drop-down list.
  3. Select 1/1 in the Step by drop-down list. The chords in Song Manager should now be placed in accordance with the new step settings. Note that increasing the step setting in this example causes change of qualitative results in the Quality Estimation and Statistics section.
  4. Now select 1/2 in the Step by drop-down list again but this time set the values of Root Relation first to 100 and then to 10. Listen how the new harmonic variations sound. This parameter sets the ratio between the chord root (first step of a chord) and the current note (of a melody, or a dominating note in a polyphonic texture). The higher the value is, the stronger the root is linked to the current musical texture.
  5. Reset the previous value of Root Relation (50) and try setting the values of Search Depth first to 100 and then to 10. This parameter controls how deep the program will search the harmonization database. The higher the value is, the more chord types and progressions will be available for harmonization.

Save Preset

Save the Harmonizer preset you have created. Presets allow you to store all dialog settings so that you can use them in the future. The following table tells you how to use presets in the effects dialog boxes.

To do this... | Do the following...
Save the current settings as a preset | Enter a preset name and click [image] .
Use a preset | Select the preset from the dropdown list.
Delete a preset | Select the preset, then click [image] .
Update a preset | Click [image] to restore the preset settings.

Click OK in the Harmonizer dialog. The chord progression remains in the Chord track of the Song Manager pane. The Orchestrator tool can now use this chord progression for additional tweaking.

Note:
 Some Onyx Harmonizer examples are placed in Onyx Projects/Onyx Examples folder (as *.mid files) with the file names beginning with letters W, Y and Z. You can find there usual melodies, as well as quite absurd tunes and see how they can be harmonized.

See more details in the Harmonizer dialog.

Go to the next tutorial: Tutorial 3 - Orchestrating a Melody.


Tutorial 3: Orchestrating a Melody

Orchestration is the art of arranging accompanying instruments to support and enhance the melody. In this tutorial you will learn the basics of the Onyx Orchestrator.

The Orchestrator dialog has three shortcut sections which can be opened / closed independently:

  1. Pattern Use and Fill Control
  2. Track Controls - Drum Converter
  3. Style Comment

Basic Orchestration

Pattern Use and Fill Control section

The Orchestrator generates and controls the tracks that accompany a melody. These tracks are displayed in the Orchestrator Measure pane.

  1. Open the file 13 Moscow Nights (Chords).opr (or 14 No Woman No Cry (Chords).opr) in the Onyx Projects/Onyx Examples folder. Note: this file already contains Key/Scale and Chords markers.
  2. In the Time Ruler, click and hold the mouse button while dragging from measure 2 to 9 to select (highlight) the first 8 measures.
  3. In the Loop toolbar, click [image] to set the Loop From and Loop Thru times.
  4. Rewind the project and start playback.
  5. Right-click the OOStyle (bottom) track of the Song Manager and choose Girl's Tower Br2 4'4M 110T 4m (folder Jazz Other) in the OOStyle drop-down list.
  6. In the Main Tools toolbar click the [image] button to open the Orchestrator dialog, or right-click the OOStyle track and choose "Orchestrator" from the resulting popup menu. The parameters for this OOStyle are displayed in the Info Line. Markers for Girl's Tower Br2 4'4M 110T 4m appears in the OOStyle track of Song Manager area, and clips of generated data are displayed in the Orchestrator Tracks. You will find that this style contains 4 measures. Therefore, the generated data is repeated twice to fit the existing melody of 8 measures.

Pattern Use

In the Pattern Use and Fill Control section you can modify parameters that control how internal the OOStyle data (pattern) will be used to generate orchestration. Try the following:

  1. Set Orchestrator Fill mode in the Song Manager Control pane - click the [image] to select Orch. Fill mode from the menu.
  2. Click the Stretch 2/1 button. This generates data that is stretched in time 2x with respect to the original one. It should sound as if the tempo has been slowed down in half.
  3. Click the Stretch 1/2 button and you get the opposite effect. The data is compressed in time and sounds as if it is being played at double the original tempo.
  4. Select measures 3 and 4 using the small (slideable) black flags placed above the Initial pattern image (a line of colored boxes). The Orchestrator will use only measures 3 and 4 of the Pattern. These measures are applied to the orchestrated melody 4 times rather than 2 times, as was the case in the previous example.
  5. Select only the first measure of the Initial pattern image using the small black flags. Now only the first measure of the Pattern is used and it is applied 8 times in order to fit the length of the melody.

Note 1:
Two small black flags (sliders) above the Initial pattern image define which measures will be used in the pattern. Appropriate numbers are shown in Use and From indicators. The Result of the measures in use is presented at the bottom of the section as a line of colored boxes.

Note 2:
See also the demo file 04 How OOStyle Structure & Fill Position Can Be Changed.opr to see how style structures can be changed.

Fill Control

An Orchestra Fill (break) is an expressive alteration of an OOStyle data (pattern) usually preceding the next part of a song. There are two ways to insert the Orchestra Fills:

  • Switch the Orchestra Fill track of the Song Manager to the User Fill mode and insert Fill markers using your mouse (see details in the Editing Fill Markers section).
  • Switch the Orchestra Fill track of the Song Manager to the Orch. Fill mode and use the Fill Mode drop-down list presets for the Orchestrator Pattern Use and Fill Control section. The parameters in this section control how the Orchestrator arranges your song's fills.
  1. For the currently activated OOStyle, select preset Factory 01. By default the Fixed Position of the Fill mode in the Fill Mode drop-down list is activated (which means that the Fill does not change its position) and small black flags above the Initial pattern image set the Fill as the last measure of the pattern. This is further indicated in the Use box as 1.
  2. Select the Replace Fill with Measure mode in the Fill Mode drop-down list to activate it, and set blue flags-sliders for measure #3 - the Fill (the last measure of the Pattern) is replaced with measure #3.
  3. Select the Insert Fill with Step mode in the Fill Mode drop-down list and set 2 in the appropriate spin - the Fill (the last measure of the Pattern) is inserted with a step of 2 measures (i.e. every 2 measures for a total of 4 times along the entire melody). Now if you change the step to '1' the fill is inserted 8 times.
  4. Select the Insert Fill Before Measures mode in the Fill Mode drop-down list and type-in the measure/bar numbers (separated by commas) before which each fill should be inserted into the edit box. Click the Refresh [image] button placed on the right to apply the modified parameters to your song.

Note 1:
You can control Fill insertion in the Orchestrator dialog only when the Orch. Fill mode is selected in the Song Manager Pane. If the User Fill mode is selected, then all Orchestrators will be automatically switched to the Song Manager Markers mode of the Fill Mode drop-down list. Accordingly, it's not possible to select this mode in the Orchestrator until the User Fill mode is enabled/on in the Song Manager pane.

Note 2:
The position of all Fills set in the Orchestrator will be indicated as markers in the Fill track in the Song Manager area. These markers (unlike markers you set in the User Fill mode) cannot be edited.

Note 3:
The Insert Fill at the End mode in the Fill Mode drop-down list instructs the Orchestrator to insert the fill only once at the end of the pattern if the current OOStyle is followed by a different OOStyle. See also the demo file (demo folder) 04 How OOStyle Structure & Fill Position Can Be Changed.opr file to learn more about how Fill positions can be changed.

Advanced Orchestration

Track Controls - Score Morpher / Drum Converter section

The Track Controls section allows you to change basic track parameters of the current OOStyle. It includes a feature tab with 13 columns. All columns are active for Bass, Tune Chords and Pedal tracks. Columns #6-13 are automatically closed whenever a Drum track is selected. In the case of drums, the Drum Converter subsection appears instead.

Click the Track Controls section to open it (if it is not already opened).

Track Controls subsection

N(umber) | A sequential track number used only for reference.
S(olo) | Isolates playback for the corresponding track by temporarily muting all other tracks.
Type | Displays the track type.
Vel+ | Relative Velocity. Ranges from -127 to +127.
Pan | Panning. Ranges from -100 to +100.
F(ilter) | Switches on/off the Controller Filter.

Score Morpher subsection

Morphing Mode | This drop-down list is used to select Morphing modes for Bass, Tune, Chords and Pedal (chromatic) tracks.
1st | This button is used to choose the mode of "linking" the first chord step to every new Measure Line and every new chord.
ChSt (Shift Score by ## Chord Step) | Shifts (inverts) all chord steps by the specified number of steps; ranges from -8 to 8.
OcSt (Shift Score by ## Octave Step) | Shifts all notes by the specified number of octaves; ranges from -3 to 3.
LGt (Low Gate) | Sets the lower note pitch limit. All notes are generated within the specified range of the higher octave; ranges from 0 to 115.
HGt (High Gate) | Sets the upper note pitch limit. All notes are generated within the specified range of the lower octave; ranges from 12 to 127.
Sm(oothing) | Applies a "linear smoothing" algorithm that flattens the melody line.

Note 1:
Any Bass, Tune, Chords and Pedal (chromatic) track can be moved into any empty chromatic track. So, for example, Bass track can be replaced with Bass, Tune, Chords or Pedal tracks. But Drum track can be moved to the Drums track only.

Note 2:
LGt (Low Gate) and HGt (High Gate) controls are linked, and minimal possible interval between them is one octave.

Track Up button allows moving track up to the empty place (track).

Track Down button allows moving track down to the empty place (track).

There are two lists which serve for choosing Patch and Bank of the current (selected) track at the bottom of Track Controls section:

Patch | The instrument sound that will be used for playback.
Bank | To change / assign a Bank.

Reset All button resets all parameters of the Track Controls subsection.

Reset Score Morpher button resets all Score Morpher parameters of the current (selected) track only.

The current selected track (the highlighted one) remains selected during these modifications.

Score Morpher settings

The Score Morpher internal modes are intended to be used for various kinds of musical texture transformation based on the assigned Key/Scale and Chord progressions.

The Score Morpher shifts all generated notes up and down the chord steps, transposes them by octave(s), "smoothes" solo/bass lines and limits the note's pitch range. It processes the data after the Score Morpher has transformed it. This section is turned on automatically for each track whenever the track is selected, except in the case of a Drum or an Effects track.

  1. Click the Solo button only for the Bass1 track in the Track Controls section - only this track will be generated and played back.
  2. In the Orchestrator Tracks pane, zoom in so that the entire bass part is visible.
  3. In Morphing Mode column select various presets from the drop-down list and listen to the different variations that result.
  4. Enter desired value in the ChSt column. All notes belonging to the chord steps of this bass part are shifted by the specified number of steps.
  5. Enter desired value in Oc St column. All notes in the bass part are shifted by the specified number of octaves.
  6. Set the LGt (Low Gate) parameter to 30 - all notes in the bass part are constrained to be lower than MIDI Note Number 30. The Low Gate parameter sets the lower note pitch limit - all notes are generated in the higher octave.
  7. Set the HGt (High Gate) parameter to 45 - all notes in the bass part are constrained to be higher than MIDI Note Number 45. The High Gate parameter sets the upper note pitch limit - all notes are generated in the lower octave.
  8. The Drum Converter subsection is applied only when Drum tracks are processed and allows you to modify drum note numbers and change their relative velocity value. This section is turned on automatically for each Drum track.

See also the related tutorial: Tutorial 3-1: Track Controls.

Note 1:
See also the demo file (demo folder) 03 How ONE OOStyle Can Sound On ONE Chord.opr to learn more how to use advanced settings and change the sound of an OOStyle.

Note 2:
NTONYX MOM Technology allows you the ability to use a style in different meters and different rhythms of a harmony sequence. An OOStyle can also preserve original tempo changes. Take a look at the following demo files for examples:

05 How 4'4M OOStyle Can Work in 3'4 5'8 and 3'8 Meters.opr
06 How 6'8M OOStyle Can Work in 5'8 4'8 and 3'8 Meters.opr
07 How OOStyle Content Will Be Morphed To New Harmony Rhythm.opr
08 Piano Moods (Variable Tempo Example).opr

Note 3:
The Orchestrator cannot generate any data (excluding Drums and Effect tracks) until a Key/Scale and Chords are entered into a project. There are three ways to accomplish this: use the Harmonizer, enter the Key/Scale and Chords manually, or load an existing Chord Progression from the Chord Progressions folder.

See also the detailed description of the Orchestrator dialog.

Please see the next tutorial: Tutorial 3-1: Track Controls.


Tutorial 3-1: Track Controls

This tutorial teaches you the basics of the Track Controls settings. You will learn how to change the generated part using these track control settings.

The initial Bass, Chords, Pedal, and Tune (melody) part can be changed in various ways to accommodate any musical situation. The Morphing modes define how the pattern data (internal OOStyle content) will be "morphed" according to a given Key/Scale and Chords. The Score Morpher has 18 different modes, which can generate MIDI data from just ONE first step of the current chord, or from ALL the steps of the current Key/Scale (and anywhere in-between). Note that the end-result of the generated data depends not only on the current Key/Scale and current Chord, but also on the initial pattern. For example, if in the original Bass part in C minor only one C-note was played for the current chord (that is the 1st step of the Cmin chord), the Score Morpher won't be able to vary this lone note to other chord tones.

  1. Open a New project by clicking [image] .
  2. In the Song Manager set a Cminor marker on measure #2 in the Key/Scale track.
  3. Then, still in the Song Manager, set Cm7 marker on measure #2 in the Chord track.
  4. Then from within the Song Manager in the OOStyle track (still on measure #2), find and choose the demo song Nothing to Lose P1 4'4M 208T 16M style (from the "Rap" OOStyle folder).
  5. Next, select (highlight) 4 measures - starting from measure #2, and activate the Loop feature by clicking [image] .
  6. Open the Orchestrator dialog and make sure that the Factory 01 preset for Nothing to Lose P1 4'4M 208T 16M style is selected.
  7. Since LGt (Low Gate) and HGt (High Gate) settings can affect the Score Morpher presets function, open the Track Controls section of the Orchestrator and set a value of "20" for LGt and "60" for HGt in the appropriate columns.
  8. Select Solo mode for the Bass track only (and drums, if you wish) to listen to this track.
  9. To eliminate the "linking" of the first chord step to a measure line and to every new chord, switch off the link button in the 1st column.
  10. Open the Piano-Roll by clicking [image] . Set the size of the window (with the help of Zoom parameter) so that you could see the notes of the generated Bass part better.
  11. Choose the 01 1st Chord Step Only Morphing Mode from the drop-down list. The internal data of the Bass track of the current OOStyle will be transformed to "identical" notes - the first note of the current chord.
  12. Start Playback and you should now be hearing the results of the 01 1st Chord Step Only preset.
  13. In the Score Morpher preset drop-down list choose some other presets (01 to 18) to audition. Listen to and look at the results of applying different presets. Cool !

Note 1:
You can check out variations of Bass line generation for different styles in the (demo folder) project entitled 17 How Bass Line Can Be Adjusted Using Score Morpher project.

Note 2:
You can also access additional ways of changing the morphing process using the link button found in the 1st column. This command allows you to choose mode of "linking" the first step of the current chord to the new current chord marker and to the new measure line.

LGt, HGt, ChSt, OcSt, Sm parameters provide additional ways of adjusting generated data to different musical situations.

  1. While continuing to listen to the 4 selected measures (looping), select the 07 Bass All Steps preset in the Score Morpher preset list.
  2. Set ChSt (Shift Score ## by Chord Step) to +1. You will find that steps of the current chord (Cm7) will be shifted one chord step up, while the Key/Scale steps will remain unchanged. Now set this parameter to a value of -1, and the steps of the current chord (Cm7) will be shifted one chord step down. Set to 0 to return to initial settings.
  3. Set OcSt (Shift Score ## by Octave Step) to value +1. You will see that all notes of Bass line will be shifted one octave up. Now set value -1 and all notes of Bass line will be shifted one octave down. Set to 0 to return to initial settings.
  4. Change the value of LGt (Low Gate) parameter from 20 to 40. Now the possible range for the Bass line will be from note #40 to note #60. Notes which get generated out of this range will be shifted without changing the note name.
  5. LGt (Low Gate) and HGt (High Gate) controls are linked, and the minimal possible interval between them is one octave. For example, if you set the value to 37 for the High Gate parameter without changing the value of Low Gate parameter, the value of the Low Gate will automatically be adjusted to 25. This means that the new Low and High Gates leave only a one octave range for the Bass line.

Note 1:
You can also find variants of Bass line generation for the given style in 18 How Bass Line Can Be Changed Using Score Morpher project.

Note 2:
You can apply the same operations to the Pedal, Chords and Tune tracks using the Morphing Modes and settings.

See the detailed description of Orchestrator dialog for further details on changing parameters.

When you have mastered the art of morphing using the track controls, go on to the next tutorial: Tutorial 3-2 - Drum Converter.


Tutorial 3-2: Drum Converter

This tutorial teaches you the basics of the Drums Converter subsection of the Orchestrator. In this section you will learn how to change a generated drum part using the settings available to the Drums Converter.

Drum sounds and their Velocity parameters can be changed in the initial Drums part and certain drums can be muted as required.

  1. Open the New project by clicking [image] .
  2. In the OOStyle track on measure #2, find and choose Nothing to Lose P1 4'4M 208T 16M style (from the "Rap" OOStyle folder) in the Song Manager.
  3. Select (highlight) 4 measures starting from measure #2, and activate Looping by clicking [image] .
  4. Open the Orchestrator and make sure that Factory 01 preset for the Nothing to Lose P1 4'4M 208T 16M style is selected.
  5. Open the Track Controls section of the Orchestrator and select Track #4- Drums 1 (MIDI Channel #10). In the left part of Track Controls section a Drums Converter subsection will appear.
  6. Open the Piano-Roll and set the size of the window with the help of Zoom parameter, so that you could see notes of the generated Drums part better.
  7. To exclude drums with certain names, for example, Hi-Hat, click [image] buttons in the M (Mute) columns for the 42, 44, and 46 sounds (Hi-Hats in GM Drum Set). All Hi-Hats notes will disappear. Click the Reset button to return to the initial settings.
  8. To learn how to change drum sounds try the following example: click 40 Electric Snare drum from the drop-down list in the GM Drums column and choose another drum, say, 66 Low Timbale. The instrument will be changed. Click the Reset button to return to the initial settings.
  9. To learn how to change relative Velocity of drum sounds try the following: in the Vel+ column enter a value of "- 60" for 35 Bass Drum. Velocities of all the sounds of the given instrument will be reduced by 60 units.

Note 1:
You can use the Instrument change, Mute and Relative Velocity adjustments simultaneously. This allows you to change the initial Drums part substantially.

Note 2:
The changes you have made for the Drums Track will be saved in the preset for a given OOStyle.

Note 3:
You can see some examples of changing the Drums part in the demo project 03 How ONE OOStyle Can Sound On ONE Chord.opr.

See also the detailed description of the Orchestrator dialog.

When you are ready to try some really cool style conversion features, go to the next tutorial: Tutorial 4 - Converting MIDI file into OOStyle.


Tutorial 4: Converting MIDI file into OOStyle

OOStyles are used by the Orchestrator to generate arrangements based on a specific style or musical feel. Tutorial 4 teaches you how to convert a MIDI file into an OOStyle using the StyleMaker Assistant.

Certain information must be supplied to the program before you can create a new Style. The StyleMaker Assistant categorizes this information into four sections: selection, track type, harmonization and attributes. The first three of these are required, the last one is optional. Each section is labeled with a colored number. Once a section is completed its number turns green.

Creation of a Basic Style Using the StyleMaker Assistant:

  1. Open the 15 StyleMaker Example.mid file from the Onyx Projects/Onyx Examples folder. The Track Type tool will automatically analyze the loaded tracks and assign appropriate track types. These assignments will appear in the Type column of each track in the Main Tracks pane.

Note:
The Track Type is only recognized automatically for GM, GS, and XG formats. For tracks in other formats you can set the Track Type manually. For further details refer to the StyleMaker Assistant topic in the Reference section.

  2. Now click [image] to display the StyleMaker Assistant dialog, or choose the MIDI Process-StyleMaker menu item. In the top line of the dialog window you will see values for Meter, Tempo and the number of the selected measures (1 to 16). All the tracks that have a recognized Track Type are selected and soloed. The Track Type will also be defined automatically.

Note:
If no measures had been selected before the StyleMaker was opened, 16 initial measures for all tracks with a recognized type will be selected. If more than 16 measures had been selected before the Style Maker was opened, the selection will be automatically shortened to the first 16 measures. This displacement is done so that notes with time offset won't be lost. If some notes of the initial file begin with the first measure all tracks should be displaced one measure to the right, using the Time/Pitch Adjuster tool.

  3. In the Time Ruler, select measures 2 to 9. Section [image] displays the number of selected measures and turns green, indicating that the first parameter required to create an OOStyle has been entered successfully.
  4. Change the Track Type of track #7 from "Chord 2" to "Tune 2", so that tracks #6 and #7 are not mixed together (since the Track Type auto recognition process determined those tracks were from the same instrument). Or, de-select the Solo button on track #7. Important: please note that only soloed tracks will be used to create an OOStyle. The second section now indicates which original tracks will be transformed, to which OOStyle they will belong, and which types will be assigned to them. Section [image] displays Type CHOSEN, which means that these parameters have been successfully entered.

Note:
The StyleMaker assigns the original tracks to the pattern tracks of the OOStyle according to their Types. All tracks (their notes, and their controllers) marked by the same type (Bass, Tune, Pedal, Drums, Chords) are mixed into one OOStyle track, and placed according to the OOStyle format. Tracks with type Ef are not mixed into the same track but are placed into empty tracks instead.

  5. Click [image] to open the Harmonizer dialog so we can harmonize the selected fragment. Key/Scale and Chords markers are displayed in the Song Manager. Section [image] displays Harmonization DONE, indicating that the third and final condition required to create an OOStyle has been fulfilled. As a result, the StyleMaker Assistant allows you at this point to save your new OOStyle.

Note:
You can manually harmonize your project by entering your own Key/Scale and Chords markers in the Song Manager. However, in order for the Orchestrator to work correctly with the newly created OOStyle the settings must be chosen appropriately.

The StyleMaker Assistant dialog also provides optional OOStyle Attributes: Genre, Subgenre, Artist/Band/Author, Part and Part Number. Setting these to appropriate values may be helpful for future searches and proper categorizing.

Saving an OOStyle

  1. Click the Save OOStyle button to display the Save As dialog.
  2. You will be asked to save your custom OOStyle in the Onyx Projects/OOStyles folder. A file name will be automatically generated, based on the name of the original MIDI file followed by the Part, Part number, Meter, Tempo and Measure number (e.g. StyleMaker Example V1 4'4M 120T 8m.oos).
  3. Accept the generated name or manually enter any name you like.
  4. Click the Save button to save the OOStyle file.

In order for your newly created OOStyle to be visible in the Song Manager menu, the Song Manager OOStyle track, as well as in the Orchestrator dialog, please select Refresh OOStyles List from the popup menu in the Song Manager. From now on you can use your custom OOStyle exactly like any other style.

Note 1:
 Please be attentive during the harmonization process - the SM Assistant can not estimate the quality of harmonization. The program will say everything is 'OK', even if you have the harmonized fragment outside the selected data. Please make sure that the harmonization is done specifically for the selected fragment which you used for your OOStyle creation.

Note 2:
100 OOStyles are included in the Onyx basic package and more than 400 are available for free download from our website. Additional style sets will also be announced on our website. You are free to trade any OOStyles that you create.

See also the detailed description of the StyleMaker Assistant dialog.

When you are ready, please proceed to the next tutorial: Tutorial 5 - Editing MIDI.


Tutorial 5: Editing MIDI

Onyx offers many different tools for editing MIDI. In this tutorial, we will overview the basic principles. Note that only Initial Data can be edited. So make sure that the View-Show Initial Data mode is selected.

Open file 16 MIDI Editing Example.opr.

Transposing

There following ways to transpose MIDI data in Onyx:

  • You can apply Time/Pitch Adjuster to the selected data (see the procedure below).
  • You can use the Key+ control for a specific track - the Key+ control is located with other track parameter controls in the Main Track pane. This method causes a track to play higher or lower by the number of semitones you enter in the Key+ control. This is a non-destructive form of editing that leaves the pitch of the original data unchanged, but adds a pitch "offset" when the track plays back.
  • You can use Main and Orchestrator Track Managers "Master Key+" settings to transpose all Main or all Orchestrator tracks simultaneously. See details in the Main Track Manager and Orchestrator Track Manager.

To Transpose File

  1. Select all the notes in the Bass track by clicking the Bass track's track number. The track number should appear highlighted when selected.
  2. Select all the notes in the Guitar track by Ctrl+click (holding down the Ctrl key while you click left mouse button) the Guitar track's track number. Ctrl-clicking allows you to make multiple selections.
  3. Use the MIDI Process-Time/Pitch Adjuster command to open the Time/Pitch Adjuster dialog.
  4. Enter -2 (negative 2) in the Pitch Transpose section in the By ## Semitone field and click OK.
  5. Ctrl-click both track numbers again to deselect them.

Onyx will transpose the selected data down a whole step (2 semi-tones). Choose MIDI outputs for your tracks and play the project. You can undo the transposition by pressing Ctrl+Z, and redo the transposition by pressing Ctrl+Y.

Copying

You may copy any selected rectangle fragment in the Main Track Measure.

To Copy MIDI data

  1. Select first 4 measures in Time Ruler. You may need to "snap to measures" in the Snap to Grid toolbar.
  2. Click the track number for the first track, drag the mouse to the second track, and release the mouse button. The first 4 measures of the first 2 tracks will be selected.
  3. Choose Edit-Copy (or Ctrl+C). In the Copy dialog select Events in Main Track.
  4. Click OK. Onyx will copy the measures in clipboard.
  5. Choose Edit-Paste (or Ctrl+V). In the Paste dialog select the following:

Starting Track: - 5.
Starting at Time: - 5:01:000.
Repetitions: - 2
Blend Old and New - Choose this option.
Events in Main Track

  6. Click OK.

Onyx will paste the measures, from measure 5, starting at time 5:01:000, and will repeat the copied selection 2 times.

Editing Notes in the Piano Roll View

Onyx's Piano Roll view gives you complete control over individual note properties of the Main Tracks. Let's edit a couple of notes.

To Edit Notes in the Piano Roll View

  1. Open the Piano Roll view by selecting the first track and clicking [image] in View menu. In the Piano Roll view, you may have to use the scrollbars to display the note data.
  2. Click [image] that is at the lower right corner of the Notes pane to make the note data large enough for easy editing. You may also need to zoom out [image] the Notes pane to fit notes on the screen.
  3. In the Snap to Grid / Note Duration toolbar select Eighth from the drop-down menu.
  4. In the Piano Roll toolbar, click [image] to activate the Draw tool.
  5. Find the note that starts at the beginning of measure three, click its beginning and drag it half a beat left, and release the mouse. Onyx will move the note half a beat left.
  6. Now drag the end of the same note half a beat right. Onyx will lengthen the note by a half beat.
  7. Click in the middle of the note and drag note up or down. Onyx will change the pitch of the note.
  8. Click in any empty place of the Notes pane. Onyx will insert a new note, which will have the length of the previous note.

See also the detailed description of Piano Roll view.

Take a look at the Onyx Working Diagram to learn more how the program processes the data, what type of data will be shown and what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FX can be applied.


Editing Markers

To Add a Marker

  • Right-click in the Marker Track (or click [image] in Song Manager Control pane) and select Insert Marker.
  • Onyx will display the Marker dialog.
  • Enter a name for the marker in the Name box.
  • The time is set to the Now time. If you like, use the spinners (arrows) to change the time or type in a new marker time.
  • Click OK.

Onyx will add the marker and will display it in the Marker Track. Text and Lyrics markers will also be displayed in the Event List.

To Move a Marker

  • Drag the marker in the Marker Track.

Onyx will update the marker time and will show it at the new location. If you place a marker on top of another marker, the latter is replaced with the newest one.

To Copy Marker Using Drag and Drop

  1. Position the mouse of the marker.
  2. Click the left mouse button.
  3. Press and hold the Ctrl button.
  4. Drag the marker to the new location, and release the mouse button.

Onyx will copy the marker to their new location.

To Edit a Marker

  • Right-click the marker in the Marker Track and select Edit Marker.
  • Onyx will display the Marker dialog.
  • Change the marker name and/or time as desired.
  • Click OK.

Onyx will update the marker in the Marker Track. Text and Lyrics markers will also be updated in the Event List.

To Delete a Marker

  • Right-click the marker in the Marker Track and select Delete Marker.

Onyx will delete the marker. You can use Edit-Undo if you have made a mistake.

To Delete all Markers

  • Right-click the marker in the Marker Track and select Delete All Markers.

Onyx will delete all the markers. You can use Edit-Undo if you have made a mistake.

Note 1:
All operations (Add, Move, Edit, Delete, Cut, Copy, Paste) for all Markers types are carried out in a similar fashion..

Note 2:
The Snap to Grid option influences the way Markers are added and moved.

Note 3:
You can also utilize standard editing operations (Cut, Copy, Paste, Delete). To do this, click [image] in the Song Manager Control pane so that Markers get included in the selected fragment. All four types of markers in the selected fragment will be processed.

See also:
Song Manager Pane
Cut dialog
Copy dialog
Paste dialog


Editing Key/Scale

The following editing operations are available for Key/Scale markers:

To Add a Key/Scale

  • Right-click in the Key/Scale Track (or click [image] in the Song Manager Control pane) and select Key/Scale.

Onyx will add the Key/Scale marker and will display it in the Key/Scale Track.

If you already have Main Tracks for which you make an arrangement, you can use the Harmonizer for automatic setting of Key/Scale and Chord markers. To do this, highlight the tracks to be harmonized and click [image] to launch the Harmonizer.

To Move a Key/Scale

  • Drag the Key/Scale marker in the Key/Scale Track.

Onyx will update the Key/Scale marker time and will show it at the new location.

Note:
If you place a marker on top of another marker, the latter is replaced with the top one.

To Copy Key/Scale Using Drag and Drop

  1. Position the mouse of the Key/Scale marker.
  2. Click the left mouse button.
  3. Press and hold the Ctrl button.
  4. Drag the marker to the new location, and release the mouse button.

Onyx will copy the Key/Scale to their new location.

To Change a Key/Scale

  • Right-click the Key/Scale marker in the Key/Scale Track and select another Key/Scale.

Onyx will change the Key/Scale marker in the Key/Scale Track.

To Delete a Key/Scale

  • Right-click the Key/Scale marker in the Key/Scale Track and select Delete Key/Scale.

Onyx will delete the Key/Scale marker. You can use Edit-Undo if you have made a mistake.

To Delete all Key/Scales

  • Right-click the Key/Scale marker in the Key/Scale Track and select Delete All Key/Scales.

Onyx will delete the all Key/Scale markers. You can use Edit-Undo if you have made a mistake.

Note 1:
Key/Scale markers can be added or moved only measure-wise (not beat-wise).

Note 2:
You can use standard editing operations (Cut, Copy, Paste, Delete). To do this, click [image] in the Song Manager Control pane so that Key/Scale Markers get included in the selected fragment.

See also:
Song Manager Pane
Tutorial 2: Harmonizing a Melody
Harmonizer dialog
Cut dialog
Copy dialog
Paste dialog


Editing Chords

The following editing operations are available for Chord markers:

To Add a Chord

You can add Chord markers in two ways:

  • Right-click in the Chord Track (or click [image] in Song Manager Control pane) and select a Chord.

Onyx will add the Chord marker and will display it in the Chord Track.

  • Double-click in the Chord Track.
  • Enter the name of the chord into the edit box.
  • With the help of arrow keys on your keyboard, move the edit box to the next position and enter a new chord. The Edit box will be moved in steps as selected in the drop-down list [image] in the Song Manager Control pane.
  • Click OK or simply click anywhere outside the box to move on.

Onyx will add the Chord markers and will display it in the Chord Track.

Note:
You can select Associated Chords and Inversions of Associated Chords only if you have previously set a Key/Scale marker.

If you already have Main Tracks for which you'd like to make an arrangement, you can use the Harmonizer for an automatic setting of Key/Scale and Chord markers. To do so, highlight tracks to be harmonized, and click [image] to launch the Harmonizer.

To Move a Chord

  • Drag the Chord marker in the Chord Track.

Onyx will update the Chord marker time and will show it at the new location.

Note:
If you place a marker on top of another marker, the latter is replaced with the newest one.

To Copy Chord Using Drag and Drop

  1. Position the mouse of the Chord marker.
  2. Click the left mouse button.
  3. Press and hold the Ctrl button.
  4. Drag the marker to the new location, and release the mouse button.

Onyx will copy the Chord to their new location.

To Change a Chord

You can change Chord markers in two ways:

  • Right-click the Chord marker in the Chord Track and select another Chord.

Onyx will change the Chord marker in the Chord Track.

  • Double-click the Chord in the Chord Track.
  • Enter another Chord in the edit box.
  • Click OK or simply click anywhere outside the box.

Onyx will change the Chord marker and will display it in the Chord Track.

To Delete a Chord

  • Right-click the Chord marker in the Chord Track and select Delete Chord.

Onyx will delete the Chord marker. You can use Edit-Undo if you have made a mistake.

To Delete all Chords

  • Right-click the Chord marker in the Chord Track and select Delete All Chords.

Onyx will delete all Chord markers. You can use Edit-Undo if you have made a mistake.

To Load a Chord Progression

  • Right-click in the Chord Track and select Load Chord Progression.
  • Select the Chord Progression file.
  • Onyx will display the Load Chord Progression dialog.
  • Choose the insert mode of the markers:

What to do with existing material:

Replace Key/Scales / Chords | Choosing this option tells Onyx to delete the old data.
Slide Key/Scales / Chords | Choosing this option tells Onyx to slide the old data forward in the Key/Scale and Chord track to make room for the new data.
Slide Key/Scales / Chords and Main Tracks Data | Choosing this option tells Onyx to slide the old data forward in the Key/Scale, Chord and all Main Tracks data to make room for the new data.

What to do with existing Meter:

Fit to existing Meter | Key/Scale and Chord markers are set according to the existing meter beat-wise.
Replace Meter | The original meter is replaced with the meter contained in the Chord Progression file. The meter is replaced in the fragment, where the Chord Progression is inserted.

Onyx will open the Chord Progression and will display it in the Key/Scale and Chord Tracks.

Chords markers are inserted beat-wise, i.e. the space between markers is preserved irrespective of the existing meter. So, if chords are set to each quarter beat in 4/4 meter, they will be set each eighth beat in 4/8 meter. If the number of beats in the new meter is decreased, then some chords may disappear from the progression. Chords are always set starting from the measure bar, therefore only those chords which are placed at the end of the measure are likely to be deleted. This approach preserves in most cases the character of the original Chord Progression, when meter transformation is implemented.

To Save a Chord Progression

  • Select a fragment in the Time Ruler for which you wish to save the Chord Progression.
  • Right-click in the Chord Track and select Save Chord Progression. Onyx will display the Save As... dialog.
  • Select the folder to save Chord Progression file. Enter a filename. By default Onyx will suggest the file name according to the following format: Key/Scale - Meter - number of measures [number of chords]. If Key/Scale has been altered within the progression, then the name will include the first marker and V character. If meter has been altered, then the name will contain the first meter value and V character. If meter has been altered, then the name will contain its value and M character. For example: CMajorV 4'4M 8[16].
  • Click OK.

Onyx will save the Chord Progression.

Note 1:
Operations of adding and moving markers are carried out according to the grid snapping as selected in the Song Manager Control pane [image].

Note 2:
You can apply standard editing operations (Cut, Copy, Paste, Delete) for chord markers. To do this click [image] in the Song Manager Control pane. The Chord Markers will then be included in the selected fragment.

Note 3:
All chords have automatic color indicators:

Green flag - a chord is included into the list of Associated Chords of the current Key/Scale.
Blue flag - a chord is an inversion of the associated chord of the current Key/Scale.
Yellow-Orange flag - a chord is built of the step of the current Key/Scale but it is absent in the list of Associated Chords.
Red flag - a chord is not based upon a step of the current Key/Scale.

Note 4:
If your Onyx Project has Key/Scale and Chord markers in the Song Manager, they can be automatically placed as Text Markers into empty tracks while saving the Project data as a MIDI file (*.mid). To enable it, choose the Options-Put Key/Chords into *.mid file command.

See also:
List of Onyx Chord Type
Song Manager Pane
Tutorial 2: Harmonizing a Melody
Harmonizer dialog
Cut dialog
Copy dialog
Paste dialog


Editing Fill Markers

Editing Orchestra Fill Markers in the User Fill mode

The following editing operations can be applied to Orchestra Fill markers:

To Add an Orchestra Fill Marker

  • Click [image] in the Orchestra Fill track and select User Fill mode.
  • Click in the Orchestra Fill track (or click [image] in the Song Manager Control pane and select Insert Marker).

Onyx will add an Orchestra Fill marker.

Note:
You can add an Orchestra Fill marker manually only in the User Fill mode.

To Move an Orchestra Fill marker

  • Drag the Orchestra Fill marker to the Orchestra Fill track.

Onyx will update the Orchestra Fill marker time and will show it at the new location.

Note 1:
If you place a marker on the top of another marker, the latter is replaced with the newest one.

Note 2:
Orchestra Fill markers can be added or moved only measure-wise (i.e. not beat-wise).

To Delete an Orchestra Fill marker

  • Right-click the Orchestra Fill marker in the Orchestra Fill track and select Delete Marker.

Onyx will delete the Orchestra Fill marker.

To Delete all Orchestra Fill markers

  • Right-click in the Orchestra Fill track and select Delete All Markers.

Onyx will delete all Orchestra Fill markers. You can use Edit-Undo if you have made a mistake.

Note 1:
Orchestra Fill markers can be added or moved only measure-wise.

Note 2:
You can also use standard editing operations (Cut, Copy, Paste, Delete). To do this, click [image] in the Song Manager Control pane, so that Orchestra Fill markers can be included in the selected fragment.

Note 3:
Orchestra Fill markers, set manually (in the User Fill mode) are filled inside. Markers set by Orchestrator (in the Orch. Fill mode) are not filled inside and cannot be edited manually. Markers have the color of their corresponding OOStyle. The white color of a marker signifies that no OOStyle is placed before it.

Note 4:
The place of an Orchestra Fill marker signifies that data, which includes a Fill (musical break), will be generated before this place.

See also:
Song Manager Pane
Song Manager Control pane
Cut dialog
Copy dialog
Paste dialog


Editing OOStyle Markers

The following editing operations are available for OOStyle markers:

To Add an OOStyle

  • Right-click in the OOStyle Track (or click [image] in the Song Manager Control pane) and select OOStyle.

Onyx will add an OOStyle marker and will display it in the OOStyle Track. Clips of this OOStyle will be displayed in the Orchestrator Measure pane.

Note:
You can add OOStyle markers only if you have previously set the Key/Scale and Chord markers.

To Move an OOStyle

  • Drag the OOStyle marker in the OOStyle Track.

Onyx will update the OOStyle marker time and will show it at the new location. In the Orchestrator Measure pane the clips of this OOStyle will be moved to the new location.

Note:
If you place a marker on top of another marker, the old marker is replaced with the new one.

To Copy OOStyle Using Drag and Drop

  1. Position the mouse of the OOStyle marker.
  2. Click the left mouse button.
  3. Press and hold the Ctrl button.
  4. Drag the marker to the new location, and release the mouse button.

Onyx will copy the OOStyle to their new location.

To Change an OOStyle

  • Right-click the OOStyle marker in the OOStyle Track and select another OOStyle.

Onyx will change the OOStyle marker in the OOStyle Track.

Note:
Change of an OOStyle is automatically updated in the Reset Clips command.

To Delete an OOStyle

  • Right-click the OOStyle marker in the OOStyle Track and select Delete OOStyle.

Onyx will delete the OOStyle marker. You can use Edit-Undo if you have made a mistake.

To Delete all OOStyles

  • Right-click the OOStyle marker in the OOStyle Track and select Delete All OOStyles.

Onyx will delete all OOStyle markers. You can use Edit-Undo if you have made a mistake.

To Refresh an OOStyles List

All OOStyles are located in /Program Files/Jasmine Music Technology/Onyx Arranger 2.1/Onyx Projects/OOStyles. If you have changed the folder path/name or the name of an OOStyle, or added/deleted an OOStyle during a session, you must update (refresh) the OOStyle list. This can be done in the following way:

  • Right-click in the OOStyle Track and select Refresh OOStyles List.

Onyx will update the OOStyles List.

Note 1:
OOStyle markers can be added or moved only measure-wise (not beat-wise).

Note 2:
You can apply standard editing operations (Cut, Copy, Paste, Delete). To do this, click [image] in the Song Manager Control pane so that OOStyles Markers get included in the selected fragment.

See also:
Song Manager Pane
Arranging Orchestrator Clips
Tutorial 3: Orchestrate a Melody
Orchestrator
Cut dialog
Copy dialog
Paste dialog


Arranging Main Track

Main Tracks in Onyx project can be inserted, copied or deleted.

All the commands normally used to arrange tracks work on the selected tracks. The current track (the one which is highlighted) is always selected. You can select additional tracks as shown in the here:

To do this... | Do the following...
Select a track | Click the track number in the Main Track pane. The track is selected, and all other tracks - except the current track - are deselected.
Select several adjacent tracks | Click the track number for the first track in the group, drag the mouse to the last track in the group, and release the mouse button.
Select/deselect all tracks | Click the Select All Tracks button located in the top left corner of the Main Track pane (or use the Ctrl+A hot key).
Add or remove a single track from the selection | Hold the Shift key and click the track number to add it to the selection; hold the Ctrl key and click the track number to toggle its selection status.

Note:
To select all events in the tracks make sure that nothing is selected in the Main Measure pane.

To Insert a Main Track

  • Position the mouse where you want to add a new track, right-click and select Insert Empty Track.

The empty track will be inserted into the selected place.

To Copy a Main Track

  • Select one or several tracks (see above).
  • Select Edit-Copy (or Ctrl+C). Choose in the Copy dialog what you want to copy.
  • Click OK. Onyx will copy the entire track into the clipboard.
  • Select Edit-Paste (or Ctrl+V). In the Paste dialog choose the mode of track insertion:
Starting Track: Set the number of the track where you want to begin pasting the data.
Starting at Time: Set the Now time where you want the pasted data to begin.
Repetitions: Set how many copies of the pasted data you want to paste into the track; repeating one after another.

What to do with existing material:

Blend Old and New | Choosing this option mixes the new data with the old.
Replace Old with New | Choosing this option deletes the old data.
Slide Over Old to Make Room | Choosing this option slides the old data either forward or backward in the track to make room for the new data.

Then select which data you want to insert.

  • Click OK.

Onyx will paste the tracks into the selected place.

To Delete a Main Track

  • Position the mouse on the track you want to delete, right-click and select Delete Track.

Onyx will delete the Track. You can use Edit-Undo if you have made a mistake.

To Delete Several Tracks

  • Select (highlight) several tracks you want to delete.
  • Position the mouse on the tracks you want to delete, right-click and select Delete Selected Tracks.

The selected tracks will be deleted. You can use Edit-Undo to undo this operation if you have made a mistake.

See also:
Track Pane
Cut dialog
Copy dialog
Paste dialog


Arranging in the Main Measure pane

You can arrange measures in the Main Measure pane via the clipboard using the standard Edit-Cut, Edit-Copy, Edit-Paste and Edit-Delete commands.

To arrange measures you have to select them first. This can be done as follows:

To do this... | Do the following...
Select all measures in one track | Click the track in the Main Measure pane. All measures in the track are selected, and all other tracks - except the current track - are deselected.
Add / remove other tracks to/from the selection | Hold the Ctrl key and click the track in Main Measure pane to add or remove tracks.
Select some measures in one track | From the Time Ruler, select the necessary number of measures. Click the track number in the Main Track pane. The measures in the current track are selected, and all other measures in other tracks are deselected.
Select some measures in several tracks | In the Time Ruler, select the necessary number of measures. Click the track number of the first track in the group, drag the mouse to the last track, and release the mouse button. You can add and remove measures in different tracks by holding the Ctrl key and clicking the corresponding track numbers.
Select/deselect all measures in all tracks | Click the Select All Tracks button located in the top left corner of the Main Track pane (or use the standard Ctrl+A hot key combination).

Note 1:
To cancel a selected track click on an empty track any place in the Main Measure pane.

Note 2:
Selection in the Time Ruler will be done according to the Snap to Grid settings.

To Cut from the Main Measure Pane

  • Select the measures you wish to cut.
  • Select Edit-Cut (or Ctrl+X). In the Cut dialog choose from the following modes of data deletion:
Erase | Erases events only.
Erase events and Delete Hole | Removes the space in the track where the events have been by moving all objects after the deleted events backwards to fill the hole. The objects are moved by the length of the deleted events, but only as far as the nearest whole measure.

Choose what you want to cut and place into the clipboard.

  • Click OK.

Onyx will delete the data and will copy them into the clipboard.

To Copy and Paste in the Main Measure Pane

  • Select the measures to edit.
  • Select Edit-Copy (or Ctrl+C). In Copy dialog choose what you want to copy.
  • Click OK. The measures will be copied to the clipboard.
  • Select Edit-Paste (or Ctrl+V). In the Paste dialog choose the mode of track insertion:
Starting Track: Set the number of the track where you want to begin pasting the data.
Starting at Time: Set the Now time where you want the pasted data to begin.
Repetitions: Set how many copies of the pasted data you want to paste into the track, repeated one after another.

What to do with existing material:

Blend Old and New | Choosing this option tells the program to mix the new data with the old.
Replace Old with New | Choosing this option tells the program to delete the old data.
Slide Over Old to Make Room | Choosing this option tells the program to slide the old data either forward or backward in the track to make room for the new data.

Then, select which data you want to insert.

  • Click OK.

Onyx will paste the measures into the new destination.

To Delete in the Main Measure Pane

  • Select measures.
  • Select Edit-Delete (or the Delete key).

Onyx will delete the events in the selected measures.

See also:
Main Measure pane
Cut dialog
Copy dialog
Paste dialog


Arranging Orchestrator Clips

Each clip in the Orchestrator Measure pane corresponds to a certain OOStyle. All operations with an OOStyle (Add, Move, Cut, Copy, Paste, Delete) will affect the clips of this OOStyle. Clip boundaries can be moved independently.

The following operations are available for Orchestrator Clips:

To do this... | Do the following...
Change the left edge | Drag the left edge of the clip in either direction. The leftmost edge cannot be moved to the left of OOStyle marker to which the clip belongs.
Change the right edge | Drag the right edge of the clip in either direction.
Change the boundary between adjacent clips | If the left and right boundaries of two clips coincide, place the cursor on the line between adjacent clips and drag it to the left or to the right. As mentioned, the leftmost edge cannot be moved to the left of OOStyle marker to which the clip belongs.

To Reset Clips

  • Right-click the OOStyle marker in the OOStyle Track and select Reset Clips.

Clips of the OOStyle will be reset to their initial boundaries.

Note:
You also can reset Clips of an OOStyle to initial boundaries using the Orchestrator's Reset Clips button.

See also:
Orchestrator Measure pane
Editing OOStyles
Cut dialog
Copy dialog
Paste dialog


Arranging Envelope

Envelope in Main Tracks

Onyx offers you the ability to set and edit different controllers in the form of an envelope for the Main Tracks. To set these controllers the Track Properties dialog or Main Track Manager dialog is used.

After the controller is chosen it will appear in the Main Measure pane in the form of the horizontal line. Here you may edit each controller independently.

The following operations are available for the envelope:

To Move up/down an Envelope segment

  • Click the controller horizontal line.
  • Drag the envelope up or down.

Envelope will be moved to a new location.

To Add a Point

  • Right-click the envelope and select Add Point.

A new envelope edit point will be created.

To Move a Point

  • Click directly on the point.
  • Drag the point up/down or left/right.

The point will be moved to a new location.

To Delete a Point

  • Right-click the point and select Delete Point.

The selected point will be deleted. You can use Edit-Undo if you have made a mistake and wish to restore the deleted point.

To Delete All Points

  • Right-click the envelope and select Delete All Point.

Onyx will delete all points. You can use Edit-Undo to restore the deleted points.

Envelope in Orchestrator Tracks

All operations of editing an envelope in the Orchestrator Tracks are the same as for the Main Tracks (see above).

Note:
Onyx uses a fixed color scheme for the most frequently used MIDI controllers and parameters. See more details in the Onyx Controllers Color Scheme.

See also:
Track Properties dialog
Main Track Manager dialog
Orchestrator Track Manager dialog


Using MIDI Effects

Almost all MIDI processing tools in Onyx can be used in two main ways: 1) as offline and 2) as real-time MIDI Effects. Some of them are presented as special Main Tools.

Name of MIDI processing tool | Real-time mode (using in MFX Chain) | Offline mode | Special
AutoPhraser | Y | Y |
Controller Adjuster | Y | Y |
Drum Adjuster | Y | Y |
Event Filter | Y | Y |
Modeler | Y | Y |
Quantizer | Y | Y |
Chord/Key Transposer |  | Y |
Interpolator |  | Y |
Time/Pitch Adjuster |  | Y |
Harmonizer |  |  | Y
Orchestrator |  |  | Y
SM Assistant |  |  | Y

MIDI Processing tools as Offline MIDI Effects

This method alters data in a Main Track only. After an effect has been applied, you can edit these data as the initial material. In order to return to the original data you will have to use the undo command, or open the previously saved copy of the project anew. Of course, you can switch on the effect during playback and adjust its settings while listening to the result, but to move further you'll have to actually apply it. You may decide to use offline mode if you don't want to overload your CPU, or if you want to apply an effect just to a fragment and not to the entire track.

To use an effect offline please do the following:

  • Start playback (the best way is to loop it).
  • Select View-Show Processed MIDI Data.
  • Select the fragment to be processed.
  • Select the effect in the MIDI Process menu.
  • Adjust the settings of the effect. Listen to the result and control it visually in the Main view.
  • Click OK.

Onyx will apply the effect to the selected fragment. If you're not happy with the result, choose Edit-Undo before going any further.

Note 1:
Offline MIDI Effects can be applied to the Main Tracks only.

Note 2:
Until an effect is applied, the result of Offline MIDI Effects can be viewed only in the View-Show Processed MIDI Data mode. But when applied it can also be viewed in the View-Show Initial MIDI Data mode.

Note 3:
Chord/Key Transposer is released as an offline MIDI tool, however, it is not intended for processing MIDI notes or controllers, but for the Chord and Key/Scale markers only.

MIDI Processing tools as Real-time MIDI Effects

This method is non-destructive, i.e. Initial Data (Main Tracks) and Generated Data (Orchestrator Tracks) are processed on the fly during playback, but the original material remains intact after the playback is over. This means that you can freely experiment with effect settings and switch off (or delete) the effect anytime. However real-time effects require lots of math calculations and consume much of CPU power. If you use too many real-time effects simultaneously, your CPU may become overloaded and normal playback will be no longer possible.

To use a Real-time effect, you have to assign it in the MFX Chain dialog (which can be opened via FX column of the Main and Orchestrator Track panes):

  • Click in the FX field - MFX Chain dialog will open.
  • Select an effect. If it is missing in the list, add the effect with the help of Ins (Insert) button.
  • Double-click on the effect name.

In the effect dialog you can fine-tune the parameters. You can open several effects at a time, turn on playback (incl. looping) - Filter, Quantizer, Modeler, Controller Adjuster, Drum Adjuster and Time/Pitch Adjuster to listen to the result and control it visually (if you have previously activated View-Show Processed MIDI Data mode). In the Piano-Roll you can edit the initial data, while instantly monitoring the outcome. It is also possible to apply Offline MIDI Effects for Main Tracks, without switching Real-time MIDI Effect chains. You can use the Bypass button to toggle between initial and processed sound without closing the effect.

Note 1:
The button [image] in the Main and Orchestrator panes allows you to bypass the entire MFX chain.

Note 2:
You can use the title of the Mute (Solo) column to activate Mute (Solo) buttons of all main tracks simultaneously.

Note 3:
Time/Pitch Adjuster and Chord/Key Transposer do not belong to Real-time MIDI Effects.

Note 4:
Take a look at the following examples to find out more about how Onyx MFX chains work:
09 How FX Chains Can Work (01 - Hello).opr
10 How FX Chains Can Work (02).opr

Note 5:
If your Onyx Project has assigned MIDI FX in Main and Orchestrator Tracks, all MIDI FXs will be automatically applied, Orchestrator Tracks will be rendered into Main Tracks when saving the Project data as a MIDI file (*.mid).

Note 6:
If your Onyx Project has assigned MIDI FX in Orchestrator Tracks, Orchestrator Tracks will be placed into Main Tracks and all MIDI FXs can be (or not) automatically applied, during their rendering, according to the mode of Rendering the Orchestrator Tracks dialog.

Note 7:
The result of Real-time MIDI Effects can be viewed in the View-Show Processed MIDI Data mode. Take a look at the Onyx Working Diagram to learn more how the program processes data, what type of data will be shown, and what kind of data can be edited in the Piano-Roll and Event List, and where Real-time MIDI FXs can be applied.

See also:
MFX Chain dialog
Event Filter dialog
Quantizer dialog
Modeler dialog
Controller Adjuster dialog
Drum Adjuster dialog
Time/Pitch Adjuster dialog
Interpolator dialog
AutoPhraser dialog
Chord/Key Transposer


Onyx Working Diagram

This diagram shows the basic Onyx program modules and the sequence of its MIDI data processing.

There is a principal difference between Initial Data, Generated Data and Processed Data. All of them are shown in the Piano-Roll view, the Main Measure Pane and the Orchestrator Measure Pane. However, Initial data can only be edited directly in the Piano-Roll and Event List. Generated and Processed data is the result of real-time work created by the Orchestrators (and/or FX transformation), Chord Audition, or FX transformation of Initial data "on the fly". This approach gives greater flexibility for music data creation - you can edit Initial data in the Piano-Roll and Event List, or apply offline Tools (Quantizer, Event Filter, Controller, Drum and Time/Pitch Adjusters, Modeler, etc.). Then, the data can be transformed by the chain of real-time FX which you have assembled. Only one thing requires your attention - the type of data currently displayed (i.e. Initial Data or Processed Data). Onyx makes this distinction in the status bar by showing Green [image] or Red [image] boxes.

You can still edit an event in the Orchestrator Tracks or the Chord Audition Pane by using the rendering commands (Rendering the Orchestrator Tracks and by Rendering the Chord Audition MIDI Data), which will convert Generated Data of Orchestrator Tracks and Chord Audition data into Initial Data. After this data has been rendered into the Main Tracks, it becomes accessible for editing in the Piano-Roll and Event List.


Converting MIDI file into OOStyle

Onyx allows you to convert any standard MIDI file into an OOStyle. Thanks to the intelligent stylemaker (MOM) technology specially developed for the Onyx program you can use any song with an appropriate arrangement for the creation of a new OOStyle (which can be used in your own projects).

The easiest way to make an OOStyle is to use the StyleMaker Assistant, which will guide you through the whole process and help to avoid unnecessary mistakes.

To create an OOStyle you must first select the number of measures and harmonize the selected fragment.

Note 1:
When you first start the StyleMaker all the parts will be selected and Solo'ed. The Track Type will also be defined automatically.

Note 2:
 If the initial data (e.g., a pre-made MIDI file) was recorded "out-of-time" - in other words, if the measure (Bar) lines are not related to the actual position of the notes, the StyleMaker will have a difficult time creating a useful style. Fortunately, this doesn't mean that "freeform" MIDI data cannot be used, as MOM technology does allow you to transform non-quantized data. However, this data must have some kind of meaningful relationship to the measure (bar) lines. Otherwise, you may have problems when combining Orchestrator tracks produced by an "out-of-synch" OOStyle with other parts of the song. In the case of intentional modification of a MIDI-file that affects Start Times, the Time/Pitch Adjuster might be useful to restore the correct relative position of the notes.

The current maximum number of OOStyle tracks is 10. The possible types of the tracks are as follows:

Bass | A track with properties typical for a Bass part (primarily the Bass line).
Pedal | A track with properties typical for a Pedal part (primarily prolonged Chords with notes of more than 1/2 measure length).
Drums | A track with Drum sounds (for GM format drums are found on MIDI Channel#10).
Chords | A track with data similar to Guitar, Piano, and Organ chords, arpeggios, etc.
Tune | A track with properties typical for a Solo part (mostly melodic lines, similar to Guitar, Pipe, Brass or Synth tune, improvisation, etc).
Ef (Effects) | A track with non-chromatic musical data (Effects) such as Guitar Fret Noises, Wind, Applause, etc.
None | An empty track (without any data).

The OOStyle MIDI Channel / track structure is as follows:

Track | MIDI Ch | Track Type
1 | 7 | Bass 1
2 | 8 | Bass 2
3 | 9 | Pedal 1
4 | 10 | Drums 1
5 | 10 | Drums 2
6 | 11 | Pedal 2
7 | 12 | Tune 1
8 | 13 | Tune 2
9 | 14 | Chords 1
10 | 15 | Chords 2

Therefore, the OOStyle Format requires 9 MIDI Channels (from 7 to 15). Orchestrator Tracks #1 and #2 usually are reserved for Basses, #3 and #6 = for Pedals, #4 and #5 = Drum tracks, #7 and #8 = Solos, and #9 and #10 = Chords.

If we use only one independent track for the Bass part, the second Bass track will acquire an empty status - "None". This is the same situation for all other unused tracks. Any empty track, excluding #4 and #5 (Drum tracks, MIDI Channel 10), can be used for Ef (Effects and controller parameters - i.e. any non-chromatic musical data).

If we mark a few initial tracks by the same type, for example, Bass 1, all notes and all controllers of the these tracks will be "mixed down" (combined) during the transformation into an OOStyle according to the OOStyle format. This may come in handy if you want to blend 2, 3 or more tracks together, for example several individual Drum tracks into one.

Notes:

  1. StyleMaker Assistant allows the creation of an OOStyle containing a number of measures/bars - but not more than 16. Tempo and/or Meter changes in the selected fragment are allowed.
  2. Only selected and Solo'ed tracks are preserved in an OOStyle.
  3. You can select certain measures and create an OOStyle while a file is being played back. In this way it is easier to avoid mistakes and control the selection of the needed fragment.
  4. All Onyx factory OOStyles are created with automatic - 64 Tc shift (for timebase = 960). This ensures a highly accurate generation of the Orchestrator Tracks in cases when non-quantized data on the first beat of the first Pattern measure is encountered.
  5. You are free to use any additional MIDI processing tools - Event Filter, Quantizer, Time/Pitch Adjuster, Controller Adjuster, Drum Adjuster, and Modeler for further refinement of your selected tracks.
  6. OOStyles should be placed only in the Onyx Projects/OOStyles folder and/or in the existing folders with the genre names (Pop, Waltz, etc.), or in your own folder in the same Onyx Styles root directory. Placing OOStyles into any other folders will make them invisible to the Orchestrator tool!
  7. An automatic name for the OOStyle is generated according to the following structure: the name of the original MIDI file plus additional info according to the StyleMaker Assistant and the optional attributes:

Song Part Markers (name of the part and its number), which can be selected in the Part drop-down list are:

Part Name:
Br - Bridge
Cd - Coda
Ch - Chorus
Df - Drum Fill
End - Ending
Im - Improvisation
Int - Intro
P - Part
R - Refrain
S - Solo
V - Verse
Part Number:
1,2,3,4, etc.

  • 4'4M - Meter mark, which means that your OOStyle is in 4/4 Meter. If your selection includes more than one Meter, the first Meter will be shown, and the letter V will be added instead of the letter M. For example, 3'4V.
  • 125T - Tempo mark, which means in this case that your OOStyle has a 125 BPM (beats per minute) Tempo. If your selection includes several Tempos, the first value will be shown, and the letter V will be added instead of the letter T. For example, 125V.
  • 8m - indicates the number of measures marked, meaning that in this case your OOStyle contains 8 measures.
  8. Genre, Subgenre, Artist, (if available) and serial (factory) number of an OOStyle will be displayed in the corresponding fields of the Orchestrator dialog. Comments including OOStyle comments, copyright, and vendor's info will appear.
Dev. Name | Opens a dialog which allows you to enter an OOStyle developer name. The name will be shown to the right of Dev. Name button. You can also enter an OOStyle Serial Number to make searches more convenient and for better (easier) style classification.
Password | Opens a dialog which allows you to set your own password for an OOStyle. This password protects an OOStyle's internal musical data and comments, and also your "developer name" from non-authorized change. It's impossible to open an OOStyle for editing without this password. This feature makes is easy to create your own OOStyles for free distribution or selling.

Note 1:
All OOStyles created by Jasmine Music Technology are password protected. You cannot edit these styles: all rights are reserved.

Note 2:
 Pay close attention to the harmonization process when creating a style! The SM Assistant can not estimate the real-world quality of the harmonization results. For example, the SM Assistant might conclude a harmony is OK, even if you have harmonized a fragment outside of the selected data. Make sure that harmonization is applied only to the selected fragment which you later intend to use for your OOStyle creation.

See also:
Tutorial 4: Converting a MIDI file into OOStyle
StyleMaker Assistant dialog
OOStyle Attributes Editor
Onyx OOStyles Folders


OOStyle Attributes Editor

The OOStyle Attributes Editor allows you to change Attributes of a OOStyle that you've previously created without changing the internal MIDI data of the style. To open the Attributes Editor, choose Edit-OOStyle Attributes Editor.

An Explorer window will appear. Double-click on an OOStyle. Onyx will show a dialog similar to the one found in the Choose Attributes section of the StyleMaker Assistant. In this dialog you may change the attributes for the selected OOStyle:

Genre | Sets the musical genre.
Subgenre | Sets the subgenre depending on the main genre which has been selected.
Artist/Band/Author | Sets the artist, band and author.
OOStyle Name | Sets the OOStyle name.
Part | Sets the name of the part in the project that this OOStyle refers to.
Number | Sets the number (the position in the project) where this part occurs; ranges 1 - 9.
Comment | Sets additional commentary text used to distinguish this OOStyle.

You may also save additional attributes after changing an OOStyle. To do this, click the Save OOStyle button. Note: any pre-existing file with the same name will be automatically overwritten.

Dev. Name | Opens a dialog allowing you to enter an OOStyle developer name. The name will be shown to the right of Dev. Name button. You can also enter an OOStyle Serial Number to make searches more convenient and for better style classification.
Password | Opens a dialog which allows you to set your own password for an OOStyle. This password protects all OOStyle internal musical data and comments, and also your "developer name" from non-authorized change. It's impossible to edit an existing OOStyle without this password. This is also useful if you create your own OOStyles for free distribution or for selling.

Note:
All OOStyles created by Jasmine Music Technology are protected by a password. Therefor, you cannot open them for editing; all rights are reserved.

See also:
StyleMaker Assistant dialog


List of Onyx Chord Types

All the Chord Types in the table below can be placed into the Chord Track of the Song Manager pane. Only some of these types are used during the auto-harmonization process according to the chosen mode of the Harmonizer.

Note:
Chord names of the Chord Type system can be changed by clicking the following buttons in the Song Manager Control pane toolbar:

Changes chord names from sharps (#) to flats (b) and visa-versa in the Chord track of the Song Manger pane.
Changes Chord Type system in the Chord track of the Song Manger pane.
System 1 (Maj) | System 2 (7+) | Type | St 1 | St 2 | St 3 | St 4 | St 5 | St 6
+5 | 5+ | norm | 1 | 5 | 9 | 13 | 17 | 21
+5 /st3 | 5+ /st3 | invert | 1 | 5 | 9 | 13 | 17 | 21
+9+5 | 5+79+ | norm | 1 | 5 | 9 | 11 | 16 | 21
+9-5x3 | 5-7+9x3 | norm | 1 | 7 | 12 | 15 | 19 | 24
-11-5x3 | 5-711-x3 | norm | 1 | 7 | 11 | 17 | 19 | 23
13-5x3 | 5-711x3 | norm | 1 | 7 | 11 | 18 | 23 | 25
-5 | 5- | norm | 1 | 5 | 7 | 13 | 17 | 19
6 | 6 | norm | 1 | 5 | 8 | 10 | 13 | 17
6+5 | 5+6 | norm | 1 | 5 | 9 | 10 | 13 | 17
6-5 | 5-6 | norm | 1 | 5 | 7 | 10 | 13 | 17
6-5- | 5-6- | norm | 1 | 5 | 7 | 9 | 13 | 17
679 | 679 | norm | 1 | 5 | 8 | 10 | 11 | 15
69 | 69 | norm | 1 | 5 | 8 | 10 | 15 | 20
6-9 | 679- | norm | 1 | 5 | 8 | 9 | 11 | 14
6sus4 | sus46 | norm | 1 | 6 | 8 | 10 | 13 | 18
7 | 7 | norm | 1 | 5 | 8 | 11 | 13 | 17
7 /st2 | 7 /st2 | invert | 1 | 5 | 8 | 11 | 13 | 17
7 /st3 | 7 /st3 | invert | 1 | 5 | 8 | 11 | 13 | 17
7 /st4 | 7 /st4 | invert | 1 | 5 | 8 | 11 | 13 | 17
7+5 | 5+7 | norm | 1 | 5 | 9 | 11 | 13 | 17
7-5 | 5-7 | norm | 1 | 5 | 7 | 11 | 13 | 17
7-5 /st3 | 5-7 /st3 | invert | 1 | 5 | 7 | 11 | 13 | 17
7-5x3 | 5-7x3 | norm | 1 | 7 | 11 | 13 | 19 | 23
76 | 67 | norm | 1 | 5 | 8 | 10 | 11 | 13
7-6 | 6-7 | norm | 1 | 5 | 8 | 9 | 11 | 13
7add2 | add27 | norm | 1 | 3 | 5 | 8 | 11 | 13
7sus2 | sus27 | norm | 1 | 3 | 8 | 11 | 13 | 15
7sus2-5 | sus25-7 | norm | 1 | 3 | 7 | 11 | 13 | 15
7sus4 | sus47 | norm | 1 | 6 | 8 | 11 | 13 | 18
7sus4-5 | sus45-7x3 | norm | 1 | 6 | 7 | 11 | 13 | 18
7sus4x5 | sus47x5 | norm | 1 | 6 | 11 | 13 | 18 | 23
7x3 | 7x3 | norm | 1 | 8 | 11 | 13 | 20 | 23
9 | 79 | norm | 1 | 5 | 8 | 11 | 15 | 17
-9 | 79- | norm | 1 | 5 | 8 | 11 | 14 | 17
9+ | 79+ | norm | 1 | 5 | 8 | 11 | 16 | 20
9+5 | 5+79 | norm | 1 | 5 | 9 | 11 | 15 | 21
-9+5 | 5+79- | norm | 1 | 5 | 9 | 11 | 14 | 17
9+5x7 | 5+9 | norm | 1 | 5 | 9 | 15 | 17 | 21
9-56 | 5-69 | norm | 1 | 5 | 7 | 10 | 13 | 15
-9-56 | 5-69- | norm | 1 | 5 | 7 | 10 | 13 | 14
-9-5-6 | 5-6-9- | norm | 1 | 5 | 7 | 9 | 14 | 17
9-5x3 | 5-79x3 | norm | 1 | 7 | 11 | 15 | 19 | 23
9sus4 | sus479 | norm | 1 | 6 | 8 | 11 | 15 | 18
-9sus4 | sus49- | norm | 1 | 6 | 8 | 14 | 18 | 20
9sus4x7 | sus49 | norm | 1 | 6 | 8 | 15 | 18 | 20
9x7 | 9 | norm | 1 | 5 | 8 | 15 | 17 | 20
-9x7 | 9- | norm | 1 | 5 | 8 | 14 | 17 | 20
add2 | add2 | norm | 1 | 3 | 5 | 8 | 13 | 17
dim | dim | norm | 1 | 4 | 7 | 10 | 13 | 16
M | M | norm | 1 | 5 | 8 | 13 | 17 | 20
m | m | norm | 1 | 4 | 8 | 13 | 16 | 20
M /st2 | M /st2 | invert | 1 | 5 | 8 | 13 | 17 | 20
m /st2 | m /st2 | invert | 1 | 4 | 8 | 13 | 16 | 20
M /st3 | M /st3 | invert | 1 | 5 | 8 | 13 | 17 | 20
m /st3 | m /st3 | invert | 1 | 4 | 8 | 13 | 16 | 20
m/add2 | madd2 | norm | 1 | 3 | 4 | 8 | 13 | 16
m/maj | m7+ | norm | 1 | 4 | 8 | 12 | 13 | 16
m/maj /st4 | m7+ /st4 | invert | 1 | 4 | 8 | 12 | 13 | 16
m/maj+5 | m5+7+ | norm | 1 | 4 | 9 | 12 | 13 | 16
m/maj-5 | m5-7+ | norm | 1 | 4 | 7 | 12 | 13 | 16
m/maj6 | m67+ | norm | 1 | 4 | 8 | 10 | 12 | 17
m/maj9 | m7+9 | norm | 1 | 4 | 8 | 12 | 15 | 20
m+3 | m3+ | norm | 1 | 4 | 5 | 8 | 13 | 16
m+5 | m5+ | norm | 1 | 4 | 9 | 13 | 16 | 21
m-5 | m5- | norm | 1 | 4 | 7 | 13 | 16 | 19
m-5 /st3 | m5- /st3 | invert | 1 | 4 | 7 | 13 | 16 | 19
m-5-6 | m5-6- | norm | 1 | 4 | 7 | 9 | 13 | 16
m6 | m6 | norm | 1 | 4 | 8 | 10 | 13 | 16
m-6 | m6- | norm | 1 | 4 | 8 | 9 | 13 | 16
m6 /st2 | m6 /st2 | invert | 1 | 4 | 8 | 10 | 13 | 16
m6 /st4 | m6 /st4 | invert | 1 | 4 | 8 | 10 | 13 | 16
m-6 /st4 | m6- /st4 | invert | 1 | 4 | 8 | 9 | 13 | 16
m69 | m69 | norm | 1 | 4 | 8 | 10 | 15 | 20
m7 | m7 | norm | 1 | 4 | 8 | 11 | 13 | 16
m7 | m7 | invert | 1 | 4 | 8 | 11 | 13 | 16
m7 /st3 | m7 /st3 | invert | 1 | 4 | 8 | 11 | 13 | 16
m7 /st4 | m7 /st4 | invert | 1 | 4 | 8 | 11 | 13 | 16
m7+5 | m5+7 | norm | 1 | 4 | 9 | 11 | 13 | 16
m7-5 | m5-7 | norm | 1 | 4 | 7 | 11 | 13 | 16
m7-5 /st2 | m5-7 /st2 | invert | 1 | 4 | 7 | 11 | 13 | 16
m7-5 /st3 | m5-7 /st3 | invert | 1 | 4 | 7 | 11 | 13 | 16
m7-5 /st4 | m5-7 /st4 | invert | 1 | 4 | 7 | 11 | 13 | 16
m76 | m67 | norm | 1 | 4 | 8 | 10 | 11 | 13
m7-9-5 | m5-79- | norm | 1 | 4 | 7 | 11 | 13 | 14
m7add2 | madd27 | norm | 1 | 3 | 4 | 8 | 11 | 13
m9 | m79 | norm | 1 | 4 | 8 | 11 | 15 | 20
m9+5 | m5+9 | norm | 1 | 4 | 9 | 13 | 15 | 16
m-9-5 | m5-9- | norm | 1 | 4 | 7 | 13 | 14 | 16
m-9-56 | m5-69- | norm | 1 | 4 | 7 | 10 | 13 | 14
m9x7 | m9 | norm | 1 | 4 | 8 | 15 | 16 | 20
maj | 7+ | norm | 1 | 5 | 8 | 12 | 13 | 17
maj /st3 | 7+ /st3 | invert | 1 | 5 | 8 | 12 | 13 | 17
maj /st4 | 7+ /st4 | invert | 1 | 5 | 8 | 12 | 13 | 17
maj/sus4 | sus47+ | norm | 1 | 6 | 8 | 12 | 13 | 18
maj+5 | 5+7+ | norm | 1 | 5 | 9 | 12 | 13 | 17
maj+5+9 | 5+7+9+ | norm | 1 | 5 | 9 | 12 | 16 | 21
maj+59 | 5+7+9 | norm | 1 | 5 | 9 | 12 | 15 | 21
maj-11-5x3 | 5-7+11-x3 | norm | 1 | 7 | 12 | 17 | 19 | 24
maj-5 | 5-7+ | norm | 1 | 5 | 7 | 12 | 13 | 17
maj-5+9 | 5-7+9+x3 | norm | 1 | 7 | 12 | 16 | 19 | 24
maj-56 | 5-67+ | norm | 1 | 5 | 7 | 10 | 12 | 13
maj-5x3 | 5-7+x3 | norm | 1 | 7 | 12 | 13 | 19 | 24
maj6+5 | 5+67+ | norm | 1 | 5 | 9 | 10 | 12 | 13
maj9 | 7+9 | norm | 1 | 5 | 8 | 12 | 15 | 17
sus2 | sus2 | norm | 1 | 3 | 8 | 13 | 15 | 20
sus24 | sus24 | norm | 1 | 3 | 5 | 13 | 15 | 18
sus4 | sus4 | norm | 1 | 6 | 8 | 13 | 18 | 20
x3 | x3 | norm | 1 | 8 | 13 | 20 | 25 | 32
z44 | z44 | special | 1 | 6 | 11 | 16 | 21 | 26
zdd | zdd | special | 1 | 3 | 5 | 7 | 9 | 11
zxx | zxx | special | 1 | 2 | 3 | 7 | 8 | 9
zyy | zyy | special | 1 | 2 | 3 | 4 | 5 | 6

See also:
Editing Chords
Song Manager pane
Tutorial 2: Harmonizing a Melody
Harmonizer dialog


Onyx Controllers Color Scheme

Onyx uses a fixed color scheme for the most frequently used MIDI controllers and parameters. These correspond to Modulation (01), Volume (07), Panning (10), Expression (11), Pitch Wheel (used in the Modeler), and also Tempo, Correlation and others. The colors in the chart below are used when drawing controllers (and Envelopes) and parameters in the Main and Orchestrator Measure panes, and also controllers in the Piano-Roll.

The colors used for controllers are shown in the following chart:

Pitch Wheel
Tempo
01 Modulation
02 Breath
04 Foot controller
05 Portamento time
07 Volume
08 Balance
10 Pan
11 Expression
64 Pedal (sustain)
65 Portamento
69 Hold 2
71 Harmonic Content (XG)
72 Release Time (XG)
73 Attack Time (XG)
74 Brightness (XG)
91 External Effects depth
92 Tremolo depth
93 Chorus depth
94 Celeste (detune) depth
95 Phaser depth
Other Controllers
Correlation. (Indicates correlation between a harmonized melody and a generated chord progression.)

Note:
If you require information about XG controllers, visit http://www.yamaha-xg.com and search for the Yamaha XG Format Specs.


Short Sysx GM, GS, XG Reset Sending

Use the Reset GM, GS or XG button in the Playback Control toolbar to send a Sysex GM, GS or XG reset to your MIDI devices.

To do this, click [image] , and choose the type of MIDI device you have. Then select the corresponding type of Sysex Reset and the Sysex message will be sent.


OOStyles Folders

The full list of Onyx OOStyles Folders is provided below. When creating an OOStyle you can choose the Genre and Subgenre name in StyleMaker Assistant in the corresponding drop-down lists. Genre and Subgenre, if entered, will be displayed in the corresponding fields of the Orchestrator dialog.

Genre | Subgenre
12’8 - 6’8 – 3’8 | Acoustic, Alternative, Ballad, Blues, Classic, Country, Fast, Film - TV, Jazz, Latin, Medium, Pop, Rock, Slow, Swing, undefined
16 Beat | Acid, Afro, Ballad, Film - TV, Funk, Latin, Pop, Rock, Traditional, undefined
2 Beat | Country, Easy, Fast, Film - TV, Light, Polka, Ragtime, Western, undefined
3 Beat – Waltz | Acid, Acoustic, Ballad, Classic, Club, Contemporary, Country, Film - TV, Fusion, Jazz, Latin, Pop, Rock, Swing, Techno, Traditional, undefined
5 - 6 - 7 Beat | Acoustic, Asia, Ballad, Classic, Electronic, Ethnic, Film - TV, Free, Fusion, Jazz, Latin, Light, Pop, Rock, Swing, Trance, undefined
8 Beat | Acid, Ballad, Film - TV, Free, Light, Pop, R'n'B, R'n'R, Rock, Slow, Traditional, undefined
Ballad | Acoustic, Electronic, Film - TV, Folk, Free, Pop, Rock, Slow, Shuffle, Traditional, undefined
Big Band | Broadway, Dixieland, Electric, Film - TV, Swing, Traditional, Waltz, undefined
Blues | Breaks, Chicago, Country, Delta, Electric, Film - TV, Funky, Jump, Memphis, Rock, Slow, Texas, Traditional, undefined, Vocal, Waltz, Zydeco
Boogie Woogie | Big Band, Film - TV, Guitar, Piano, Traditional, undefined
Bossa Nova | Brushes, Easy, Electronic, Fast, Film - TV, Guitar, Jazz Band, Mixed, Modern, Slow, Traditional, undefined
Classical | Baroque, Chamber, Choirs, Composers, Contemporary, Crossover, Duet, Electronic, Experimental, Film - TV, General, Guitar, Instrumental, Master's Hit, Medieval, Minimalist, Opera, Piano, Quartet, Renaissance, Romantic, Solo, Strings, Symphonic, Trios, Vocals, Woodwinds, undefined
Country’Folk | 2 Step, 60's Revival, Alternative, Anti'Folk, Ballad, Bluegrass, Blues, British, Christian, Contemporary, Cover Song, Ethnic, Fast, Film - TV, General, Honky Tonk, Indie, Jazzy, Modern, New, Polka, Rock, Rock Latin, Rockabilly, Rocky, Shuffle, Ska, Spiritual, Steel Guitar, Swing, Texas 2 Step, Traditional, Waltz, Western, undefined
Dance Other | 1980's, 1990's, 2000's, Club, Disco, Euro, Fast, Film - TV, Shuffle, Slow, Techno, Waltz, undefined
Dance World | Beguine, Bolero, Bomba, Bossa, Candombe, Cha'Cha'Cha, Chalypso, Charleston, Film - TV, Flamenco, Foxtrot, Galop, Gopak, Lesginka, Mamba, Merengue, Pasacalle, Pasodoble, Phumba, Polka, Reggae, Rhumba, Salsa, Samba, Soca, Tango, Tarantella, Twist, Waltz, undefined
Disco | 1970's, 1980's, 1990's, Film - TV, Funk, Fusion, Latin, Rock, undefined
Electronic | Acid Jazz, Alternative, Ambient, Big Beat, Breakbeat, Dark Ambient, Disco, Downbeat, Drum'n'Bass, Dub Techno, Electro Funk, Experimental, Film - TV, Jungle, New Wave, Noise, Trance, Trip Hop, undefined
Funk | 1970's, 1980's, Clavinet, Film - TV, Slap Bass, Traditional, Unplugged, undefined
Fusion | Fast, Film - TV, Shuffle, Soft, Swing, undefined
Gospel | 3'4, 6'8, Ballad, Fast, Film - TV, Medium, Piano, Rock, Southern, Traditional, undefined
Hip Hop | Abstract, Bass, Bright, Electronic, Fast, Film - TV, Funky, Gangsta Rap, Independent, Jazzy, Old, Pop Rap, Shuffle, Slow, Southern, Traditional, undefined
Rap | Deep, Disco, Film - TV, Funky, Garage, Hardcore, House, Industrial, Intelligent, Jazzy, Organic, Rock, Shuffle, Slow, Typical, undefined
Jazz Other | 1900's-1920's, 1930's-1950's, 1960's-1970's, 1980's-2000's, 6'8 Free, Acid, Afro, Avant Garde, Ballad, Be Bop, Big Band, Blues, Boogie Woogie, Bossa Nova, Cool, Dixieland, Film - TV, Funk, Fusion, Future, General, Guitar, Hip Hop, Honky Tonk, Latin, Piano, Ragtime, Rock, Shuffle, Small Group, Smooth, Swing, Traditional, Voodoo, Waltz, undefined
Latin Other | 3'4, 6'8, Ballad, Disco, Film - TV, Fusion, Jazz, Pop, Rock, Tropical, undefined
Latin Traditional | Beguine, Bolero, Bomba, Bossa, Brazilian, Candombe, Caribbean, Cha'Cha'Cha, Chalypso, Cuban, Cumbia, Film - TV, Flamenco, Lambada, Mamba, Merengue, Pasacalle, Pasodoble, Rhumba, Salsa, Samba, Soca, Steel Band, Tango, undefined
Metal | Alternative, Cover Song, Film - TV, Funk, Grindcore, Heavy, Industrial, Instrumental, Nu, Power, Progressive, Rapcore, Speed, Spiritual, Thrash, undefined
Pop | Aerobics, Afro, Alternative, Ambient, Ballad, Club, Contemporary, Dance, Disco, Easy Listening, Electronic, Euro, Film - TV, Hard, Indie, Jazzy, Jungle, Latin, New Age, Power, Rap, Reggae, Rock, Soft Rock, Spiritual, Synth Pop, Teen, Vocals, undefined
Punk | '77 Style, Alternative, Cow, Emo, Film - TV, Hardcore, NY Hardcore, Pop, Psychobilly, Rock, Ska, undefined
R’n’B | 8 Beat, Alternative, Burlesque, Disco, Fatback, Film - TV, Funk, G-Funk, Gospel, Memphis, New Orleans, Shuffle, Syncopated, Traditional, undefined
Reggae | 12'8, Dancehall, Dub, Electronic, Film - TV, Pop, Rock, Rock Steady, Roots, Ska, Traditional, undefined
Religious’Ritual | Birthday, Buddhist, Catholic, Ceremonial, Choral, Christian, Christmas, Church, Cult, Gospel, Greetings, Hanukkah, Holiday, Hymn, March, Military, Muslim, Mystic, Olympic, Parade, Shamanistic, Spiritual, undefined
Rock | 1950's, Acid, Alternative, AOR, Ballad, Blues, British, Classic, Film - TV, Folk, Free, Garage, Guitar, Half Time, Hard, Indie, Latin, Light, Metal, Motown, Old, Open, Pop, Punk, Pure, Shuffle, Slow, Southern, Traditional, undefined
Shuffle | 12'8, 6'8, Boogie, Film - TV, Kansas City, Pop, Rock, Traditional, undefined
Soul | 1960's, 1970's, Contemporary, Film - TV, Motown, New Soul, Quiet Storm, Traditional, undefined
Swing | 12'8, 6'8, Blues, Fast, Film - TV, Mambo, Slow, Strumming, Texas, Traditional, undefined
Techno | Acid, Detroit, Electronic, Film - TV, Gabber, Goa, Hardcore, Intelligent, Rave, Synth, Traditional, Trance, undefined
World | African, American, Arabic, Armenian, Asian, Azerbaijan, Caribbean, Caucasian, Celtic, Chinese, Cuban, English, Ethnic, European, Exotic, Film - TV, Flamenco, Folk, French, Fusion, Georgian, German, Greek, Gypsy, Hawaiian, Indian, Indonesian, Irish, Italian, Japanese, Jewish, Kazakh, Korean, Latin, North, Oceanic, Quebecois, Russian, Scandinavian, Spanish, undefined
Z Drum Fills | 12'8-6'8-3'8, 16 Beat, 3'4 - Waltz, 5-6-7-9 Beat, 8 Beat, African, Ambient, Ballad, Blues, Bossa, Classical, Club, Country'Folk, Dance, Disco, Ethnic, Funk, Hip-Hop, Jazz, Latin, Pop, Punk, Rap, Reggae, Rock, Shuffle, Swing, Techno, Trance, undefined

See also:
StyleMaker Assistant


Chords, Key/Scale, OOStyle, Fill

Q: How to insert chords:
A1: Double-click the Chord Track (Song Manager) and type in a chord name using your keyboard.
A2: Double-click in the Chord Pane and type in a chord name using your keyboard.
A3: Right-click the Chord Track (Song Manager) and select a chord from the menu.
A4: If there is a melody in the Main Track, generate chords automatically by opening the Harmonizer.

Q: How to assign OOStyle:
A1: Right-click the OOStyle Track (Song Manager) and select OOStyle from the menu.
A2: Click [image] next to the OOStyle button in the Song Manager Control pane and select OOStyle from the menu.

Q: How to listen to (audition) the inserted chords as an OOStyle is selected:
A: Click [image] in the Song Manager Control pane.

Q: How to listen to the chords as an OOStyle is selected without closing the Harmonizer dialog:
A: Click [image] in the Harmonizer.

Q: How to insert Fill in the necessary position:
A1: Click Orchestra Fill Track in the Song Manager when it is in the User Fill mode.
A2: Right-click Orchestra Fill Track in the Song Manager when it is in the User Fill mode, and choose Insert Marker from the menu.
A3: Use the Fill Mode drop-down list in the Orchestrator to select a mode of Orchestra Fill.

Q: Why is it necessary to insert the Key/Scale?
A: So that the Orchestrator can generate not only Drums, but also melodic tracks - using not only chord steps but scale steps also.

Q: What are the Marker, Key/Scale, Chord, User's (Orch.) Fill, OOStyle buttons in the Song Manager Control pane used for?
A: To select markers and to perform standard editing operations Cut, Copy, Paste and Delete.

Q: Why are markers in tracks Key/Scale, Chord, User (Orch.) Fill, OOStyle not always selected, even though their corresponding buttons in the Song Manager Control pane are pressed?
A: These markers are selected strictly along measure lines. Make a selection by measures - click [image] in the Snap to Grid toolbar. Now, when you make a time selection in the Time Ruler you will select only the whole number of measures. The indicator in the Selection toolbar will always show the number value, for example 8 (but not 8* or 8+).

Q: What does "Associated Chords" mean?
A: These are chords which are brought in from the Song Manager and are automatically built from the steps of Key/Scale that you have chosen (and also some additional steps of internal SubScales). These are the most typical chords for one or another Key/Scale.

Q: How do I find out which notes are included in a chord:
A1: The easiest way is to use the Keyboard view in the Chord Track mode. The exact notes that you have chosen during playback are displayed in the piano keyboard.
A2: You can also have a look at the table of chords types and their steps, but they are presented in a relative (not absolute) way.

Q: Why can't I move the Clip Boundary to the left of the OOStyle marker position?
A: Because data can be generated only to the right of the markers.


Orchestrator, Orchestrator Clips

Q: Why do I have empty Orchestrator clips or they only show Drums?
A: This happens if the appropriate Key/Scale and Chord markers are not inserted. You need to insert them.

Q: Why do I have empty Orchestrator clips and/or only Drums, even when Chords are inserted?
A: This happens if a Key/Scale marker is not inserted. You need to insert it.

Q: Is it possible to use a 16 measure OOStyle play only the first 2 measures?
A: Yes, it is. In the Orchestrator Pane, use the Pattern Use and Fill Control section to move the black flag-sliders so that only measures 1 and 2 are selected (between flags).

Q: Is it possible to restrict an 8 measure OOStyle to play Fills?
A: Yes, it is. In the Orchestrator, from the Pattern Use and Fill Control section select the Replace Fill with Measure mode and move the red flag-sliders so that there was no last measure of the template between them. For example, to measure 3. That way, this measure will be played instead of measure 8.

Q: Why does a Bass (Pedal, Chords, Tune) part in the Orchestrator track contain notes which are not used in my chord?
A: The 'MOM' technology used in the program has the ability to play back not only chord steps during the generation process, but also steps of the current Key/Scale. This is assigned by the Orchestrator Preset selected in the Score Morpher subsection. If you want to have only chord tones, select a different Preset for this track. Using the presets, you can both increase the number of used steps up to the whole current Key/Scale or decrease them down to only the first chord step, if desired.

Q: How do I change the Volume balance between tracks of my OOStyle:
A1: The easiest way is to use the settings in the Track Controls of the Orchestrator section.
A2: You can also use Volume envelopes (controllers) in each track.

Q: How do I change Patches in OOStyle tracks:
A1: Using the settings in the Track Controls of the Orchestrator you can independently change the Patches for a given OOStyle.
A2: Using the settings in the Patch column of the Orchestrator Track you can assign a common/default Patch for the chosen track, which will affect all OOStyle tracks.


MIDI Processing, Converting MIDI File to OOStyle, Modeler

Q: What can be done with the file I've chosen for converting to OOStyle, which is not quantized, but has proportional time compression?
A: You can use the Time/Pitch Adjuster feature, which contains a mode of compression/expansion (Comp/Exp) of all MIDI Events in time with a very subtle regulation.

Q: Why doesn't selection start from the first measure when the StyleMaker mode is chosen?
A: The displacement is done so that notes with time offset do not get lost. If some notes of the initial file begin with the first measure, all tracks should be shifted one measure to the right, using the Cut and Paste commands, or the Time/Pitch Adjuster feature.

Q: Why is the selection shifted -64 Ticks when the StyleMaker mode is chosen and the Offset parameter is on?
A: All OOStyles are created with automatic -64 Tc shift (for timebase = 960). This ensures a more accurate generation of the Orchestrator Tracks in cases when non-quantized data is encountered on the first beat of the first measure of the pattern.

Q: What can be done with the file I've chosen to convert to an OOStyle that was recorded without a click-track (no quantization)?
A: You can use the Time/Pitch Adjuster, which contains a feature called compression/expansion (Comp/Exp) to change the MIDI Events in time with a very subtle regulation, compressing or expanding separate fragments of the file, until the necessary fragment becomes quantized enough.

Q: Having applied the AutoPhraser, I don't see any phrase markers. What's wrong?
A: Phrase markers are displayed both in the Piano-Roll and in the Main View. For the Main view [image] must be pressed. For Piano-Roll, the Phrases parameter must be selected and also the necessary track(s) must be chosen (highlighted).

Q: How do I transpose several Main Tracks?
A: If you want to change notes, the easiest way is to use the Interpolator. If you don't want to change the notes (just the playback pitch), it's best to use the Master Key+ command in the Main Track Manager.

Q: How do I avoid overlapping notes in a Solo part?
A: With the help of the Modeler features. Use the PMStyle Z 01B Solo Transformation (Z Auxiliary Styles folder).

Q: How do I make all notes sound "legato" in a Solo part?
A: With the help of the Modeler. Use the PMStyle Z 01A Solo Transformation + Global Legato (Z Auxiliary Styles folder).


Tempo, Playback, Short Synth reset

Q: How do I play back my project at the Tempo of the OOStyle?
A: Click [image] in the Tempo toolbar.

Q: How do playback with the initial files Tempo?
A: Click [image] in the Tempo toolbar.

Q: How do I assign a constant Tempo to my project?
A1: Click [image] in the Tempo toolbar and enter the required value.
A2: Open the Tempo dialog and insert a value.
A3: Draw the necessary Tempo in the Piano-Roll.

Q: How do I send a GM, GS or XG Sysx Reset to the my sound module?
A: Click [image] in the Playback Control toolbar and select the appropriate device required to affect a Sysx reset.


Drum sounds visualization, Piano-Roll

Q: Why are all notes in the Drums part shown in the Piano-Roll in the same way as in other tracks, even if they are on MIDI Channel 10?
A: Switching to the visualization of drum sounds takes place only when a track type is assigned as Drums, and not according to the MIDI channel number.

Q: Why doesn't the name "Drums" appear during visualization of one Drum track in the Piano-Roll, even if MIDI Channel 10 is selected?
A: Switching to the visualization of drum names happens only when a track type is assigned as Drums, but not according to the MIDI channel number.

Q: Why can't I insert (or edit) a note in the Piano-Roll for Main Tracks?
A: Most likely, your project is in the Processed data mode and you need to change it to the Initial data, using [image] button in the View toolbar. Pay close attention to the inscription (Processed data in red color, Initial data in green color) in the Status bar.

Q: Why can't I insert (or edit) a note in the Piano-Roll for Main Tracks in the Initial data mode?
A: Most likely, the track in which you'd like to make changes is inactive. To make it active, click the track number in the Main Track List pane. Pay close attention to the note's color and the type of cursor displayed.


Harmonizer - How to ...

Harmonizer

Q: Why hasn't the Harmonizer inserted a chord marker in the beginning of a selection?
A: Either there is no data at all in the beginning of the selection, or there is not enough data to definitively assign a chord in the harmonization mode. Try another mode.

Q: I can play chords on a MIDI-keyboard, but I don't know what they are. How can I find it out?
A: Record your chords in a track using your MIDI keyboard. It is desirable that your playing is recorded with a metronome! Then, apply the Harmonizer feature to assign a chord progression for your recorded data. It's often best to use AutoSearch mode or presets with a simple set of chords, like Simple, Pop, or Folk.

Q: Why does a blue line appear in every chord in the first Main Track while the Harmonizer is in use?
A: This is a curve of Correlation (value). The bigger the value the better the chord fits the current notes.


Controllers

Q: How do I enter an Envelope for Controller 91 (External Effects depth) in the Main Tracks?
A: Open Main Track Manager. In the As. Ctrl (Assigned Controller) section select this controller in the dropdown list and click the Envelope button - Your Envelope will appear in the tracks.

Q: How do I delete an Envelope for Controller 93 (Chorus depth) in the Main Tracks?
A: Open the Main Track Manager. In the As. Ctrl (Assigned Controller) section select this controller in the dropdown list and click the Mute button - Your Envelope will be deleted from the tracks.

Q: How do I see which controllers are used in the track?
A: Click [image] in the Visible Events toolbar, then select the All button in the Visible Objects dialog - all existing controllers will be shown. You can also see the necessary controllers in the Piano-Roll using drop-down list and [image].

Q: How do I quickly delete a controller or a group of controllers?
A: The best way is to use the Event Filter. This way, if you select several tracks, all these controllers will be deleted for all tracks simultaneously.

Q: Why is the controller displayed 'rougher' in the Piano-Roll after being redrawn?
A: Onyx uses automatic optimization of data - controllers and parameters with the purpose of decreasing data size. You can set the optimization mode for basic controllers and also turn off/on optimization for the necessary controller in the Optimization dialog.


Colors

Q: How do I change the color palette of the graphics in Onyx?
A: Onyx has several factory color presets, and also special Brightness and Contrast settings in the Colors dialog. Using these you can choose the optimal mode of displaying elements.

Q: Which color of which curve (or Envelope) corresponds to:
A: Certain colors are assigned for the most frequently used controllers and parameters in Onyx. They are all described in the Onyx Controllers Color Scheme section.


Main View

The Main view is the principle window that you use to create, display, and work on your project. When you open a project, Onyx displays it using the Main view. If you close the Main view for a project the entire project file will also be closed.

The Main view is divided into seven sub-windows called "panes". Each pane provides information specific to various aspects of your project.

The project work area is divided into 7 sections: the Main Track pane, the Main Measure pane, the Chords Pane, the Song Manger Control pane, the Song Manager pane, the Orchestrator Track pane and the Orchestrator Measure pane. You can resize any of the individual panes by dragging the dividers between them. The other parts of the interface is comprised of all the great tools and features used while creating and working with your project.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FX can be applied.

Note:
Onyx uses a fixed color scheme for the most frequently used MIDI controllers and parameters. See more details in the Onyx Controllers Color Scheme.

See also:
Standard toolbar
Playback Control toolbar
MIDI Process toolbar
Tempo toolbar
Loop toolbar
Selection toolbar
Rendering toolbar
View toolbar
Main Tools toolbar


Main Track Pane

The Main Track pane displays the controls for all source tracks in your project and lets you see and change the initial settings for each track.

To change the current track, move the highlighted region (shown above on track 1) using the mouse or the keyboard as follows:

Key... | What it does...
Left/Right Arrow | Moves the highlight region to the next or previous control.
Up/Down Arrow | Moves to the same control to the next or previous track.

The following sections identify and briefly explain each track control:

Control... | What it does...
N (Number) | Displays controls for all source tracks in your project. Click on the Track Number (rectangular area to the far left of the window) to select a track. Press/Hold the Shift key while clicking to select multiple adjacent tracks or simply mouse-click and drag over adjacent tracks. Press/Hold the Ctrl key while clicking to select/deselect multiple nonadjacent tracks.
Type | Sets the kind of information a track contains. The Harmonizer and Chord Audition features use the Track Type parameter to determine how to utilize their respective enhancements.
Name | Sets the user-defined name assigned to each track. Double-click the Track Name area to display a text box in which you can type the name.
M (mute) | Suspends playback of the corresponding track. You can use the title of the Mute column to activate M buttons of all Main Tracks simultaneously. Click this button a second time to cancel the activation of M buttons of all Main Tracks. If you click this button a third time, it will return you to the previous settings (i.e. before the use of the Mute column title).
S (solo) | Isolates playback for the corresponding track by muting all other tracks. You can use the title of the Solo column to activate S buttons of all Main Tracks simultaneously. If you click this button a second time, this will cancel the activation of S buttons of all Main Tracks. If you click this a third time, this will return you to the previous settings (i.e. before the use of the Solo column title). Note that Solo button takes precedence over the Mute setting. If both Mute and Solo are selected, the track will be heard.
R (record) | Enables the track to receive and record incoming MIDI data.
Ch (MIDI channel) | Sets the MIDI channel through which the corresponding track plays. Click the arrow to display a drop-down list from which you can choose a channel.
Patch | Sets the instrument sound that will be used for playback. Click the arrow to display a drop-down list of all available voices you can assign to the track. When None selected, all patches assigned in the Main Track pane are not transferred to MIDI devices. But all patches set inside tracks are transferred to MIDI devices. When Mute selected, all patches assigned in the Main Track pane and set inside tracks are not transferred to MIDI devices.
FX | Assigns effect(s) to the track. Click the FX field to activate the MFX Chain dialog where you can choose the effect(s). If you click this button a second time, this will cancel the activation of M buttons of all Main Tracks. If you click this a third time, this will return you to the previous settings.
Bank | The set of bank names available for the track. Click the arrow to display a drop-down list of bank names from which you can select any name you like.
Vol (Volume) | The starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume). Click and hold up or down the left mouse button on the Vol field. This will change the cursor to a double arrow. Move the cursor upwards to increase or downwards to decrease the volume. Double-clicking the Volume field displays a text box along with a spin button. You can type a value into the text field or use the spin button to increase or decrease the current value.
Pan (Panning) | This controls the stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right). Click and hold while dragging the left mouse button up or down on the Pan field, and will be indicated by a double arrow cursor. Move the cursor upwards to shift Panning to the right or downwards to shift it to the left. Double-clicking the Panning fields displays a text box along with a spin button. You can type a value into the text field or use the spin button to change the current value.
Vel+ (Velocity+) | You can apply a relative change in velocity of notes by setting the value of the Vel+ parameter. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Key+ | Sets the number of steps by which the notes in the track are transposed on playback (e.g., 12 to transpose up one octave). Positive numbers transpose the notes up in pitch - negative numbers down. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Time+ | Sets a tick offset applied to the start time of all events in the track. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Out | Sets the device for the current track through which MIDI output is played.

For the fields in FX, Patch, Volume, Panning, Time+, and Key+ columns you can select various modes such as Mute, Mixed, Track, Envelope. You can set them independently for each track or use the Main Track Manager to set these modes for all tracks simultaneously. For the detailed description of all modes see the Main Track Manager dialog.

At the top of Main Track pane the following information is shown:

Master Time+ | Displays offset of the start time of all events in all tracks. Master Time+ may be set in Main Tracks Manager.
Master Key+ | Displays the number of steps by which notes in all tracks are transposed on playback. Master Key+ may be set in Main Tracks Manager.

Note:
If you assigned MIDI FXs in Main Tracks of your Onyx Project, all MIDI FXs will be automatically applied, while saving Project data as a MIDI file (*.mid).

See also:
Arranging Main Track
Main Track Manager
Track Properties


Main Measure Pane

The Main Measure pane displays the actual MIDI events for each track.

Area... | What it does...
Marker/Loop Bar | Displays small colored flags that indicate the start and end times for looped sections.
Time Ruler | Displays the musical measures of the project. It also shows the current selection in a highlighted color. You can set the current selection by clicking and holding down the left mouse button in the Time Ruler, dragging to the left or right and then releasing the button.
Track Data | Displays the MIDI data from left-to-right in a timeline with time increasing to the right. The Now time is the current time in the project (indicated by a vertical line).
Zoom Controls | Controls the magnification level. Click the Zoom In Track Height button [image] to increase the vertical magnification of the Main Measure. To decrease the magnification, click the Zoom Out Track Height button [image] . Click the Double Coordinate Zoom button [image] to increase or decrease the vertical and horizontal magnification of the Main Measure simultaneously.

Right-click the highlighted fragment to select the commands from the popup menu which can be applied to this fragment.

See also:
Arranging in the Main Measure pane


Chords Pane

The Chords pane allows you to see current chords of the Chord Track with increased size during playback or recording. This pane can also be used for inserting/editing a chord by double-clicking anywhere in the numbered bars.

Open the Chords Pane by using the View-Chord Pane command, or by clicking [image] in the View toolbar.

To Add a Chord

  • Double-click in the Chord pane.
  • Enter the name of the chord into the edit box.
  • Press Enter or simply click anywhere outside the box.

Onyx will add the Chord and will display it in the Chord pane and the Chord Track.

You can view the chords in many different ways:

Zoom Controls | Control the horizontal (time) and vertical (size) magnification level. Click [image] to increase the magnification of the Chords Pane. To decrease the magnification, click [image]. Click [image] to increase or decrease the vertical and horizontal magnification of the Chords pane simultaneously.
Auto Size | Applies auto-zooming effect to all chords taking in to account the number of characters they include.
Simple View | Presents all chords using first their 4 characters. Therefore a chord with a long set of extensions will be reduced. For example, if we have a chord like Amaj-5+9 (or A5-7+9+x3) it will be shown simply as Amaj (or A5-7), etc.
Colored Chords Allows you to Switch On/Switch Off an automatic color chords indication:
  • Green color - a chord is included into the list of Associated Chords of the current Key/Scale.
  • Blue color - a chord is an inversion of the associated chord of the current Key/Scale.
  • Yellow-Orange color - a chord is built based on the step of the current Key/Scale but it is absent in the list of Associated Chords.
  • Red color - a chord is not built based on a step of the current Key/Scale.

See also:
Main View


Song Manager Control Pane

The Song Manager Control pane displays the current timing information in SMPTE time code as hours, minutes, seconds and frames (hh:mm:ss,fra) and in musical measures, beats and ticks (mm:bb:ttt).

Clicking the Marker, Key/Scale, Chord, User/Orchestrator Fill, OOStyle buttons selects corresponding tracks for transformations like Cut, Copy, Paste, Delete. Next to these buttons are the [image] buttons with pulldown menus for corresponding tracks. These allow you to activate menus that perform various operations for markers at the current cursor position. The Song Manager Control pane also displays the current Marker, Key/Scale, Chord and OOStyle. Numbers in the last column shows the number of the corresponding markers.

The following five buttons activate these features:

Turns on/off automatic chord audition.
Displays the Chord Audition dialog.
Changes chord names from sharps to flats and visa-versa in the Chord track of the Song Manger pane.
Changes Chord Type system in the Chord track of the Song Manger pane.
Displays the Chord/Key Transposer dialog.


Song Manager Pane

The Song Manager pane is the main view used to create (and organize) your arrangement. The Song Manager pane has five tracks: Marker, Key/Scale, Chord, Orchestra Fill and Onyx Orchestrator Style (OOStyle). You can add markers in each track while playback is stopped or while playback is in progress (on the fly).

Marker Track
The Marker Track contains markers which visually represent different parts of the song (added to mark particular events), as well as to display Lyrics. There are four marker types available in the Song Manager Control pane:

  1. Song Structure markers are normally used to indicate boundaries to different parts of a song, such as Verse, Chorus, Refrain, etc. These are globally set and exist as an overview for an entire project; you cannot modify them separately for any particular track.
  2. Markers that indicate specific bars/events in your project. These are also set for an entire project and can't be modified separately for any particular track. These markers will also be automatically saved when you save your project as a MIDI file.
  3. Text Markers are set for a specific track of your choice. These markers will also be automatically saved when you save your project as a MIDI file.
  4. Lyrics markers are normally used to insert and display the song text. They are set for a specific track of your choice. These markers will be automatically saved when you save your project as a MIDI file.

Key/Scale Track
The Key/Scale Track is used to indicate Key/Scale markers only. Speaking in musical terms, the "Key" is a system of interacting notes, based on a tonic, or "main" pitch of a musical scale. With Onyx you can use Major, Minor, Blues Major, Blues Minor and Gypsy scales. Key/Scale affects only Orchestrator Tracks. Whenever the Harmonizer is activated, Key/Scale markers are inserted automatically.

Chord Track
Chord Track is used to set and indicate Chord markers. Using a menu in the Chord Track you can select chords from one of the following handy popup menus: Any Chords (full list), Limited Set, Associated Chords and Inversions of Associated Chords. Associated Chords and Inversions of Associated Chords are bound by the Key/Scale, which makes Chord selection easier. Whenever the Harmonizer is activated, Chord markers are inserted automatically. Orchestrator tracks will be generated according to the Key/Scale and Chords after OOStyles markers are set.

Note 1:
All chords are automatically color coded:
Green flag = a chord is included into the list of Associated Chords of the current Key/Scale.
Blue flag = a chord is an inversion of the associated chord of the current Key/Scale.
Yellow-Orange flag = a chord is built on a "step" of the current Key/Scale but is absent in the list of Associated Chords.
Red flag = a chord is "outside" (not from a step) of the current Key/Scale.

Note 2:
If your Onyx Project currently has Key/Scale and Chord markers in the Song Manager, they can be automatically placed as universal Text Markers (i.e. not proprietary meta-events) into empty tracks while saving the Project data as a MIDI file (*.mid). To enable this feature, choose the Option-Put Key/Chords into *.mid file command.

Orchestra Fill Track
The Orchestra Fill Track command (User / Orch. Fill) is used to set and/or display Orchestra Fill markers. An Orchestra Fill (e.g., a "break") is an expressive alteration of a pattern usually preceding the next section/part of a song. These markers can be set manually if the User Fill mode is selected in the Song Manager Control pane, or automatically according to the Orchestrator modes if the Orch. Fill mode is selected.

Note 1:
Orchestra Fill markers can be inserted into measure lines only. Therefore, they can be moved by a whole measure only.

Note 2:
Often a good place for an Orchestra Fill is BEFORE a Fill marker position. For example, if you place a marker on measure number 9, a one measure/bar Orchestra Fill will sound during measure 8.

OOStyle Track
The OOStyle Track is used to set OOStyle markers. After they are set, the Orchestrator track displays the generated data of this OOStyle according to the given Key/Scale and Chords.

See also:
Song Manager Control pane
Editing Markers
Editing Key/Scale
Editing Chords
Editing Orchestra Fill
Editing OOStyles
List of Onyx Chord Type


Orchestrator Track Pane

The Orchestrator Track pane displays the controls for all generated tracks that are used by the OOStyle Manager to accompany the melody. Each track has parameters that function in most cases identically to those described in the Main Track pane.

The following sections identify and briefly explain each track control:

Control... | What it does...
N | Displays a sequential track number used only for reference.
Type | Displays information about Orchestrator Track Type. Orchestrator Track Type is always constant.
Name | Sets the user-defined name assigned to each track. Double-click the Track Name area to display a text box in which you can type the name.
M (mute) | Suspends playback of the corresponding track. You can use the title of the Mute column to activate M buttons of all Orchestrator Tracks simultaneously. If you click this title the second time, this will cancel the activation of M buttons of all Orchestrator Tracks. If you click this title for the third time, this will return you to the previous settings (before the use of the Mute column title).
S (solo) | Isolates playback for the corresponding track by muting the remaining tracks. You can use the title of the Solo column to activate S buttons of all Orchestrator Tracks simultaneously. If you click this title the second time, this will cancel the activation of S buttons of all Orchestrator Tracks. If you click this title for the third time, this will return you to the previous settings (before the use of the Solo column title). Note that Solo takes precedence of Mute. If both Mute and Solo are selected, the track will still play.
Ch (MIDI channel) | Sets the MIDI channel through which the corresponding track plays. Click the arrow to display a drop-down list from which you can choose a channel.
Patch | Sets the instrument sound that will be used for playback. Click the arrow to display a drop-down list of all available voices you can assign to the track. When None or Clip selected, all patches assigned in the Orchestrator Track pane are not transferred to MIDI devices. But all patches set inside Orchestrator clips are transferred to MIDI devices. When Mute selected, all patches assigned in the Orchestrator Track pane and set inside Orchestrator clips are not transferred to MIDI devices.
FX | Assigns effect(s) to the track. Click the FX field to activate the MFX Chain dialog where you can choose the effect(s). If you click this button a second time, this will cancel the activation of M buttons of all Orchestrator Tracks. If you click this a third time, this will return you to the previous settings.
Bank | The set of bank names available for the track. Click the arrow to display a drop-down list of bank names from which you can select any name you like.
Vol (Volume) | The starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume). Click and hold up or down the left mouse button on the Vol field. This will change the cursor to a double arrow. Move the cursor upwards to increase or downwards to decrease the volume. Double-clicking the Volume field displays a text box along with a spin button. You can type a value into the text field or use the spin button to increase or decrease the current value.
Pan (Panning) | The stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right). Click and hold up or down the left mouse button on the Pan field. This will change the cursor to a double arrow. Move the cursor upwards to shift Panning to the right or downwards to shift it to the left. Double-clicking the Panning fields displays a text box along with a spin button. You can type a value into the text field or use the spin button to change the current value.
Vel+ (Velocity+) | You can apply a relative change in velocity to notes by setting the value of the Vel+ parameter. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Key+ | Sets the number of steps by which the notes in the track are transposed on playback (e.g. 12 to transpose up one octave). Positive numbers transpose the notes up in pitch; negative numbers down. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Time+ | Sets an offset applied to the start time of all events in the track. To modify the current values of any of these parameters follow the same procedure as described above for the Vol and Pan parameters.
Out | Sets the device for the current track through which MIDI output is played.

The Orchestrator Track pane always contains 10 tracks. You cannot add or delete tracks here.

For the fields in FX, Patch, Volume, Panning, Time+, Key+ columns you can select various modes, such as Mute, Mixed, Clip, Track, and Envelope. You can set them independently for each track or use the Orchestrator Track Manager to set these modes for all tracks simultaneously. For the detailed description of all modes see the Orchestrator Track Manager dialog.

At the top of the Orchestrator Track pane the following information is shown:

Master Time+ | Displays the start time offset of all events in all tracks. Master Time+ is set in the Orchestrator Tracks Manager.
Master Key+ | Displays the number of steps the notes in a track are transposed when played back. Master Key+ is set in the Orchestrator Tracks Manager.

Note:
If you assign MIDI FX in the Orchestrator Tracks of your Onyx Project, all MIDI FX will be automatically applied. Orchestrator Tracks will be rendered into Main Tracks when saving the Project data as MIDI file (*.mid).

See also:
Orchestrator Track Manager
Track Properties


Orchestrator Measure Pane

The Orchestrator Measure pane displays the MIDI data for each track used by the Onyx Orchestrator Style (OOStyle) track that is used to accompany the melody.

Area: | What it does:
Marker/Loop Bar | Displays small colored flags indicating the start and end times for a looped section and marker flags that delineate the song structure.
Time Ruler | Displays the musical measures of the project. It also shows the current selection in a highlighted color. You can set the current selection by clicking and holding down the left mouse button in the Time Ruler, dragging to the left or right and then releasing the button.
Track Data | Displays the MIDI data from left-to-right in a timeline with time increasing to the right. The Now time is the current time in the project indicated by a vertical line. Orchestrator-generated data is presented as clips with colored boundaries. The color of each Orchestrator is the same as the color of its Fill marker. In addition, MIDI Controller data is displayed using colored envelopes along the length of the track (as long as the Show Controllers as Envelopes command is selected in the Visible Events toolbar).
Zoom Controls | Controls the horizontal (time) and vertical (size) magnification level. Click [image] to increase the respective magnification of the Orchestrator Measure pane. To decrease the magnification, click [image] . Click [image] to increase or decrease the vertical and horizontal magnification of the Orchestrator Measure pane simultaneously.
Snap to Grid | Calls the Snap to Grid dialog, where you can assign the selection step in the Time Ruler and Markers insertion/editing step in the Markers Track.
Visible Objects | Calls Visible Objects dialog, where you can choose which objects will be shown in the Main and Orchestrator Tracks.

See also:
Arranging Orchestrator Clips


Piano Roll View

The Piano Roll view displays all MIDI notes and events from one or more Main and Orchestrator tracks. In the Notes pane, notes are displayed as horizontal bars.

In the Notes pane, pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries.

The Piano Roll view makes it easy to add, edit, and delete MIDI events from a track.

You can open the Piano Roll view by selecting the track you want to edit and choosing View-Piano-Roll or clicking [image] in the View toolbar.

The Piano Roll view consists of the Main Track List Pane, Orchestrator Track List Pane, Note Pane, Controllers Pane, Piano-Roll Tools, Visible Events, Snap to Grid, Note Duration, and Phrases Control toolbars:

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FX can be applied.

See also:
Main Tracks List Pane
Orchestrator Tracks List Pane
Notes Pane
Controllers Pane
Piano Roll Tools toolbar
Visible Events toolbar
Snap to Grid/Note Duration toolbar
Phrases Control toolbar


Main Track List Pane

The Main Track List pane shows the Main Tracks of a project and allows you to select them so they can be shown and edited in the Note Pane and Controllers Pane.

To change the current track, move the highlighted region using your mouse or the keyboard as follows:

Key... | What it does...
Left/Right Arrow | Moves the highlighted region to the next or previous control.
Up/Down Arrow | Moves to the same control to the next or previous track.

To view the Main Track contents in the Note and Controllers Pane you must select their corresponding Tracks. To do this, click track number in N column (rectangular area on the far left-side of the window). Press/Hold the Shift key while mouse-clicking to select multiple adjacent tracks - or simply click and drag over adjacent tracks. Press/Hold the Ctrl key while mouse-clicking to select multiple nonadjacent tracks.

You can edit the contents of only one track at a time. To do this, click the track number in the corresponding N column to select the track and make it active.

The following sections identify and briefly explain each track control:

The Track Number identifies the track order in the project and provides a way to select the entire track.

The Track Name is a user-defined name you assign to each track.

The Mute button suspends playback of the corresponding track, allowing you to pay more attention to the project's remaining tracks.

The Solo button isolates playback of the corresponding track by muting all the other tracks in the project.

The Track Type displays what kind of information a given track contains.

To Insert a Main Track

  • Position the mouse where you want to add a new track, right-click and select Insert Empty Track.

Onyx will insert the empty track in the selected place.

To Delete a Main Track

  • Position the mouse on the track you want to delete, right-click and select Delete Track.

Onyx will delete the Track. You can use Edit-Undo if you have made a mistake.


Orchestrator Track List Pane

The Orchestrator Track List pane shows the Orchestrator Tracks of your project. Use it to select tracks and to display them in the Note Pane and Controllers Pane.

To view the Orchestrator Track contents in the Note and Controllers Panes, you must first select the desired Tracks. To do this, click the appropriate track number in the 'N' column (rectangular area to the far left of the window) to select the track. Hold the Shift key while mouse-clicking to select multiple adjacent tracks, or simply click and drag over adjacent tracks. Press/Hold the Ctrl key while mouse-clicking to select multiple nonadjacent tracks.

The following sections identify and briefly explain each track control:

The Track Number identifies the track order in the project and provides a way to select the entire track.

The Track Name is a user-defined name you assign to each track.

The Mute button suspends playback of a track, allowing you to pay more attention to the project's other tracks.

The Solo button isolates playback of the corresponding track by temporarily muting all other tracks in the project.

The Type shows the Track Type of the corresponding Orchestrator Track. The Track types of Orchestrator Tracks cannot be changed.


Note Pane

In this pane you can add, edit, and delete notes from the Main Tracks. The Note pane can also display the notes from the Orchestrator Tracks.

The Note pane uses 4 different colors for note drawing.

Typical color pattern (preset Factory 0001):
- a note from the Main Track accessible for editing.
- a selected note from the Main Track accessible for editing.
- a non-editable note from the Main Track.
- a note from the Orchestrator Track (always non-editable).
Drum notes have another graphical image in both the Main and Orchestrator Tracks, if a Drum Track Type is chosen.

In the Time Ruler of the Note pane different marker types may be shown. The marker type can be chosen using the drop-down list in the Piano Roll toolbar. In the Note pane, the Phrase Beginning and Phrase End markers must be set to a Modeler Style. Note: Modeler Styles that require phrase markers will not work correctly if no markers are present.

You must set (highlight) the track you want to edit. To do this, click on the track in the Main Track List pane.

To select notes in the Piano Roll view, click [image].

You can add notes to a track simply by clicking in the Note pane with the pencil tool - [image]. You can edit notes freely using the mouse to change the start time, pitch, or duration. You can also right-click any note to edit the start time, pitch, duration, velocity, and channel of that note. You can also move and copy notes.

To Select Notes with the Selection Tool

Click [image] to select the Select tool.

Select notes as shown in the table:

To do this... | Do the following...
Select a single note | Click the note
Select several notes at once | Drag a rectangle around the notes you want to select
Add to the selection | Hold the Ctrl key while selecting notes

Selected notes are highlighted (in Dark Green color) in the Piano Roll view, and the time of selection is set to the range from note start to note end.

To Edit a Note

Click [image] to select the Draw tool.

Edit notes as described in the table:

To do this... | Do the following...
Change the start time | Drag the left edge of the note in either direction. The start time of the note is moved to the new location.
Change the pitch | Drag the middle of the note up or down.
Change the duration | Drag the right edge of the note in either direction.

To Change Note Parameters

  1. Right-click a single note to display the Note Properties dialog.
  2. Edit the desired start time, pitch, duration, velocity.
  3. Click OK when you are done.

Onyx will update the note event accordingly. Note that you can also edit note velocity in the Controllers pane.

To Move Notes

  1. Click [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Drag the selected notes to a new location.
  4. The Drag and Drop Options dialog will appear.
  5. Select an option and click OK.

Onyx will move the selected notes.

To Copy Notes Using Drag and Drop

  1. Select the notes you want to copy.
  2. Enable the Snap Grid, if desired.
  3. Position the mouse of the selected notes.
  4. Click the left mouse button.
  5. Press and hold the Ctrl button.
  6. Drag the notes to the new location, and release the mouse button.
  7. If necessary, choose the options you want from the Drag and Drop Options dialog, and click OK.

Onyx will copy the notes to their new location.

To Add a Note

  1. Click [image] or press D to select the Draw tool.
  2. Press the left mouse button in the Piano Roll view. Onyx will add a new note.

To Erase a Note

  1. Click [image] or press E to select the Erase tool.
  2. Click any note to delete it.

To Erase Several Notes

  1. Click [image] or press E to select the Erase tool.
  2. Drag the cursor across notes to delete them.
  3. Release the mouse button when you are done.

Note:
Onyx allows you to edit the initial data only (when initial mode is on [image]) - View-Initial Data.

See also:
Piano Roll Tools toolbar
Snap to Grid toolbar
Phrases Control toolbar
Onyx Working Diagram


Controllers Pane

In this pane you can edit tempo, controllers, velocity or pitch wheel parameters in the Main Tracks during both playback or recording in real time. Select the controller you want to edit from the Piano Roll Tools toolbar. The Controllers Pane can also show Orchestrator Tracks.

Tip: You must set the track you want to edit as the current one. To do this, click on the track in the Main Track List pane.

The Controllers pane looks like a graph; the horizontal axis represents time while the vertical axis represents event values. Each event appears as a single vertical line (when [image] is switched on) or as an envelope (when [image] is switched off), and the height of this line shows the value of an event. The Controllers pane shows events for all selected tracks. However, you can edit only one type of a controller at a time. (The exception is Tempo data, which is not channel specific.)

You can zoom in and out on the Controllers pane using the zoom in [image] and zoom out [image] on the toolbar.

The Controllers pane has several tools you can use to add or modify events. The following tools are applied only to the track that is selected in the Main Track List pane:

Tool... | Name... | What it's for...
 | Draw | To draw a custom curve indicating changes in controller value.
 | Draw Line | To draw a straight line indicating a steady increase or decrease in controller value.
 | Erase | To erase controller changes that have been made previously.

To Display Tempo, Controller, Velocity or Pitch Wheel

  1. Select the track, the controller, or other data that you want to view by clicking the track number (N column) in the Main Track List or in the Orchestrator Track List panes.
  2. Choose the data you want to see according to the table:
To see this... | Do this...
Tempo data | Click [image] in the Visible Events toolbar.
Controller data | Choose Controller from the first dropdown list in the Visible Events toolbar or click one of the buttons at the bottom of the screen that corresponds to a limited set of controllers.
Velocity data | Click [image] in the Visible Events toolbar.
Pitch Wheel data | Click [image] in the Visible Events toolbar.

Onyx will display all controller data in the Controllers pane.

To Insert a Controller Value

  1. Choose data type or controller number from the Piano Roll Tools toolbar.
  2. Click [image] to select the Draw tool or [image] to select the Draw Line tool.
  3. Click in the Controllers pane at any desired time point and value.

Onyx will add a controller at the selected point.

To Draw a Linear Series of Controllers

  1. Choose data type or a controller number from the Piano Roll Tools toolbar.
  2. Click [image] to select the Draw Line tool.
  3. Drag a line in the Controllers pane from the starting time and value to the ending time and value.

A series of controllers will be added and any existing controller values will be erased (overwritten) that are in the same time interval.

Note:
 The Tempo Changes curve is drawn with the resolution of the assigned size of grid.

To Draw a Series of Controller Value Changes

  1. Choose data type or a controller number from Piano Roll Tools toolbar.
  2. Click [image] to select the Draw tool.
  3. Drag the cursor across the Controllers pane, adjusting the value as you move left to right.

Onyx will add a series of controllers and will erase any existing controller values in the same time interval.

To Remove or Erase Controllers

  1. Choose data type or a controller number from the Piano Roll Tools toolbar.
  2. Click [image] to select the Eraser tool.
  3. Drag the mouse over the desired region to highlight the region you want to erase.
  4. Release the mouse button when you have highlighted the desired region.

All controllers of the selected type will be deleted.

Note 1:
You cannot delete velocity events in the Controllers pane. You must delete the notes that have those velocities.

Note 2:
Controllers and parameters will be drawn (displayed) according to the settings of Optimization dialog.

Note 3:
Onyx uses the invariable color scheme for the most frequently used MIDI controllers and parameters. See more details in the Onyx Controllers Color Scheme.

See also:
Piano Roll Tools toolbar
Visible Events toolbar
Snap to Grid toolbar
Phrases Control toolbar
Onyx Working Diagram


Event List View

The Events List view hides or displays all the events in a project in a list. Clicking one of the buttons in the Event List toolbar hides the kind of event that the button represents. You can insert, delete, copy, select or modify any kind of event, including notes, pitch wheel data, velocity, MIDI controllers, patch changes, lyrics, and text.

To open the Event List view, select one or multiple tracks, then choose View-Event List or click [image] in the View toolbar.

You can change the parameters of any event by moving the rectangular highlight to the cell you want to change and doing one of the following:

  • Type in a new value and then press Enter.
  • Double-click a cell, choose a new value and then press enter.

If you change the time of an event, it may also change its position in the event list. The Event List view follows that event to its new location.

If you try to change the event type (kind of event), Onyx lets you choose the kind of event you want from a list.

The Events List can show events in different colors: black for edited and red for unedited data.

You can copy, paste, cut or delete selected events. The current event (the one which is highlighted) is always selected. You can select additional events as shown in the following table:

To do this... | Do this...
Select an event. | Click the event. The event is selected, and all other events - except the current one - are deselected.
Select several adjacent events. | Click the first event in the group on the right of the last column, drag the mouse to the last event in the group, and release the mouse button.
Add or remove a single event from the selection. | Hold the Shift key and click the event to add it to the selection; hold the Ctrl key and click the event to toggle its selection status.
To select events between first and last events on time interval. | Click the first event in the group in the first column, drag the mouse to the last event in the group, and release the mouse button. This operation selects only time interval, which will be displayed in the Time Ruler.

To Copy an Event

  • Select one or several events.
  • Select Edit-Copy (or Ctrl+C). Choose what you want to copy in the Copy dialog.
  • Click OK. Onyx will copy the entire event into the clipboard.
  • Select Edit-Paste (or Ctrl+V). Choose the mode of event insertion in the Paste dialog:
Starting Track: Set the number of the track where you want Onyx to begin pasting the data.
Starting at Time: Set the Now time when you want the pasted data to begin.
Repetitions: Set how many copies of the pasted data you want to paste into the track, repeated one after another.

What to do with existing material:

Blend Old and New | Choosing this option tells Onyx to mix new data with the old one.
Replace Old with New | Choosing this option tells Onyx to delete the old data.
Slide Over Old to Make Room | Choosing this option tells Onyx to slide the old data either forward or backward in the track to make room for the new data.

Also, please, select which data you want to insert.

  • Click OK.

Onyx will paste the events into a new place.

To Insert a New Event

  1. Move the highlight (use the mouse or arrow keys) to the point where you want to insert an event.
  2. Press Insert, or click [image]. Onyx will make a copy of the highlighted event.
  3. Change the event to the kind of event you need by double-clicking on the name of the event that's listed in the Kind column. The Kind of Event popup menu will appear. Now choose the kind of event you need to change.
  4. Edit the event time and other parameter values as required.
  5. If the Event List is initially empty, pressing the Insert key creates a default note event.

To Delete an Event

  1. Select one or several events that you want to delete.
  2. Press Delete, or click [image].

Onyx will delete the events.

Event List View Toolbars

The Event List view has two toolbars to view or edit events:

MIDI Events Toolbar

Show all events.
Hide all events.
Show all Controllers only.
Make MIDI Events Toolbar controls work as checkboxes or Radio buttons.
Show/hide Volume events.
Show/hide Expression events.
Show/hide Modulation events.
Show/hide Panning events.
Show/hide 91 Controller events.
Show/hide 92 Controller events.
Show/hide 93 Controller events.
Show/hide 94 Controller events.
Show/hide Assigned Controller, selected from list. The list is on the right of the button.
Show/hide Pitch Wheel events.
Show/hide Patch Change events.
Show/hide Sysx events.
Show/hide other events.

Markers Toolbar

Show all Markers.
Hide all Markers.
Make Markers Toolbar controls work as checkboxes or Radio buttons.
Show/hide Phrase Marker events.
Show/hide Track Type events.
Show/hide Lyrics events.
Show/hide Text events.
Show Initial or Processed MIDI Data.
Insert event.
Delete event.

Note:
 Only Main Tracks events (Initial Data) can be edited in the Event List!

See also:
Onyx 2.1 Working Diagram


Tempo View

The Tempo view allows you to enter tempo changes. Tempo changes affect all tracks.

To open the Tempo view, choose the View-Tempo command, or click [image] in the View toolbar.

The Tempo view displays a list of all the tempo changes in the project. You can add, delete, or edit tempo changes by clicking on the corresponding buttons at the top of the view.

Onyx has three tempo modes:

Constant | This mode sets tempo constant for the whole project.
Main | This is a sequencer mode. The tempo will appear exactly as it is assigned in the Main Track view or drawn in the Piano Roll.
Orchestrator | This mode sets tempo to those recorded in OOStyles. You can change it only when editing the OOStyle.

See more details in Tempo toolbar.

To Add a Tempo Change

  1. Open the Tempo view.
  2. Click [image] to open the Tempo dialog.
  3. Enter information about the new tempo change.
  4. Click OK.

Onyx will insert the tempo change into the project.

To Delete a Tempo Change

  1. Select the tempo change to be deleted from the list.
  2. Click [image] .

Onyx will remove the tempo change from the project. Note: You cannot delete the first tempo change from measure 1 of a project.

To Edit a Tempo Change

  1. Select the tempo change to be edited.
  2. Click [image] to open the Tempo dialog.
  3. Edit the tempo change properties.
  4. Click OK.

Onyx will change the properties of the tempo change.

Note:
 Only Main Tempo can be edited in Tempo View.

See also:
Tempo toolbar


Meter View

The Meter view allows you to enter meter changes on measure boundaries. Meter changes will affect all tracks.

To open the Meter view, choose the View-Meter command, or click the [image] button in the View toolbar.

The Meter view displays a list of all the meter changes in the project. You can add, delete, or edit meter changes by clicking the corresponding buttons at the top of the view.

To Add a Meter Change

  1. Open the Meter view.
  2. Click [image] to open the Meter dialog.
  3. Enter information about the new meter change.
  4. Click OK.

Onyx will insert the meter change into the project.

To Delete a Meter Change

  1. Select the meter change to be deleted from the list.
  2. Click [image] .

Onyx will remove the meter change from the project. Note that you can edit but not delete the first meter change from measure 1 of a project.

To Edit a Meter Change

  1. Select the meter change to be edited.
  2. Click [image] to open the Meter dialog.
  3. Edit the meter change properties.
  4. Click OK.

Onyx will change the properties of the meter change.


Sysx View

The System Exclusive view has a list box for a maximum of 256 Sysx banks, plus a toolbar of buttons. Most of the buttons affect whatever bank you have selected in the list. System Exclusive messages (Sysx) are commands that are unique to each brand or model of sound module.

To open the System Exclusive view, choose the View-Sysx command, or click [image] in the View toolbar.

You can import an external .syx file. You can also edit an empty sysx bank to create a new bank from scratch.

To Import a Sysx Bank into a Project

  1. Click [image] to load a bank from a file.
  2. The Open dialog will appear.
  3. If necessary, navigate to the folder that contains your .syx files, select the one you want to import, and click Open.

The file will appear as a new bank.

To Create a Sysx Bank

  1. In the Sysx view, select an empty bank, and click [image] to edit data.
  2. The Edit System Exclusive Bytes window will appear.
  3. Type your message. Each message you add to the window must begin with F0 and end with F7 (that's F zero and F seven). See your instrument's manual for the messages you can create.
  4. When you finish typing the message, click OK to close the window.

After you close the editing window, your new bank will appear in the Sysx view. Save your .syx file for future use.

Sysx View Buttons

(Clear Bank) | This deletes the selected bank.
(Edit Data) | You can edit the bytes of shorter messages in hex format.
(Load Bank) | You can import banks from files with the file extension .syx.
(Save Bank) | You can save banks to files with the file extension .syx.


Keyboard View

The Keyboard View allows you to see the currently sounding notes of any MIDI channels, as well as notes of current chords of the Chord Track during playback. This view has two similar piano-keyboard panes for indicating two different (or the same) sources of data simultaneously. One piano-keyboard pane can show only data from one source at a time. The selection of the currently playing notes is performed by the output MIDI device and MIDI channel setting only, not by track(s).

Open the Keyboard View by using the View-Keyboard View command, or by clicking [image] in the View toolbar. Press the Advanced button to display both piano-keyboard panes.

The Keyboard View has the following settings:

Source | This drop-down list of the top and bottom piano-keyboard panes allows you to select the source from which data will be taken. The list includes the Output MIDI devices that you have selected in the MIDI Devices dialog, and also the Chord Track line. If you select Chord Track for the piano-keyboard, it will display all the currently playing chords, but if you select MIDI Device it will display the individual notes.
Channel | This drop-down list is active when a MIDI Device is chosen. It allows you to choose a MIDI channel for this MIDI Device.
Advanced | This button shows/hides the second piano-keyboard pane.
Link Scrolls | This button allows you to link (synchronize) keys / octave in both piano-keyboard panes.
Colors

This setting allows you to Switch On/Off the automatic coloring of chord notes and MIDI data. The color used to show the MIDI data depends on the number of the MIDI channel. The same color scheme used in the Song Manager is used to indicate Chords in the keyboard view:

  • Green color - a chord is included into the list of Associated Chords of the current Key/Scale.
  • Blue color - a chord is an inversion of the associated chord of the current Key/Scale.
  • Yellow-Orange color - a chord is built of the step of the current Key/Scale but it is absent in the list of Associated Chords.
  • Red color - a chord is "outside" of the current Key/Scale.

Currently playing notes are shown by little circles at the bottom of the keys. These circles can be colored in 16 colors according to the MIDI channel number. Colors used for the MIDI channels from 1 to 16 are presented below:

Notes of current chords are shown by little squares, in contrast to the indication of playing notes. Their color depends on the type of a chord - it is the same as a little flag of the chord in the Song Manager.

Every keyboard pane has a horizontal scrollbar allowing you to shift the visible part of a virtual 10 octave keyboard one octave left or right. The scrolls can be moved in the keyboard panes independently until the Link Scrolls button is pressed. Both virtual keyboards are always synchronized with their keys in any mode.

White keys of the first octave (beginning from note C4) are colored in grey.

Note 1:
Keyboard View shows note data by MIDI channel only, not by a MIDI track. So, if your song has a number of tracks with the identical channels (of the same MIDI Device), all data on these tracks will be shown simultaneously.

Note 2:
All chords are shown in the Keyboard View according to the initial note combination as it is presented in the List of Onyx Chord Types.

Note 3:
Keyboard view can is displayed only in the Playback mode.

See also:
Main View


About dialog

When you use the Help-About command the Onyx logo appears with the current version number of your Onyx product listed below it.


Assign Instruments dialog

The Options-Instruments command opens the Assign Instruments dialog. This command lets you choose one or more output/channel configurations and assign an instrument to them.

Onyx lets you assign a MIDI instrument definition to each available MIDI output and channel. The assignments you make determines the MIDI bank names, patch names, note names, and controller names that you see during your Onyx session.

The Assign Instruments dialog has the following fields:

Output/Channel
This field lists all of your computer's MIDI outputs and all the channels for each output. Highlight the output/channel combination you want to assign an instrument definition to. You can select several output/channel combinations at the same time (for example, all 16 channels of an output) by pressing the Ctrl or Shift key while highlighting.

Uses Instrument
This field lists all of the instrument definitions that are currently stored by Onyx. Selecting an instrument binds it to any output/channel combinations that are selected in the Output/Channel field.

Define button
Clicking this button opens the Define Instruments and Names dialog, which allows you to define your own MIDI instruments. This is useful if you have a non-standard MIDI instrument module/keyboard or a number of user-defined instruments that you wish to easily refer to for use with the program.


AutoPhraser dialog

The AutoPhraser is a special MIDI processing tool intended for real-time auto-insertion of Phrase markers into MIDI data - which then will be used by the Modeler MIDI Effect. AutoPhraser inserts the same markers that can be inserted in the Piano-Roll view using the commands found on the Phrase Control toolbar. These markers are called Phrase Beginning and Phrase End. The work of the AutoPhraser is based on the recognition of such characteristics as the Absolute Pause between parts of a score, pause between starts of the neighboring notes, rhythmic and pitch periodicity, etc. This process offers very realistic results for most typical musical scores.

To open the AutoPhraser, choose the MIDI Process-AutoPhraser command, or click [image] in the MIDI Process toolbar.

Note 1:
A musical phrase is something that a musician knows very well and can quite easily recognize in a music score. Musicians often divide musical material into separate phrases instinctively, and the same composition can be divided in a different way by different musicians. An automatic division of MIDI data into phrases is not such a simple task. Therefore, the results from the AutoPhraser are not always the correct division from a musician's point of view. However, this tool makes the process of inserting Phrase Markers a lot easier.

Note 2:
When AutoPhraser is used as an FX in a track, all Phrase markers inserted will be visible only in the Processed Data mode. These markers can not be edited in the Piano-Roll until the AutoPhraser FX is applied. If used AutoPhraser as an off-line (non realtime) tool, its markers will be visible in both Initial data and Processed data modes. To see the Main view, press [image]. For a Piano-Roll view the Phrases parameter must be selected and all the necessary track(s) must be selected.

The AutoPhraser dialog has two shortcut sections which can be opened/closed independently:

  • Phrase Length - Recognition Criterion
  • Additional Settings

Phrase Length - Recognition Criterion section

Min | Sets minimal possible length between inserted markers. Ranges from 3/8 to 64/8 (8 whole notes in 8 measures of 4/4 Meter).
Max | Sets maximum possible length between inserted markers. Ranges from 3/8 to 64/8 (8 whole notes in 8 measures of 4/4 Meter).
Absolute Pause | Sets the desired value of absolute pause between the end of the previous note and the start of the next note. Ranges from 2/8 to 16/8 (2 whole notes in 2 measures of 4/4 Meter).
Previous Note Start | Sets the desired value of a pause between the previous note start and the start of the next note. Ranges from 2/8 to 32/8 (4 whole notes in 4 measures of 4/4 Meter).
Dynamics | Turns on the recognition of the character of the processed data rhythmic structure.
Pitch | Turns on the recognition of the character of the processed data pitch structure.
Dynamic/Pitch | Turns on the recognition of the character of both rhythmic and pitch structures of the processed data.
Period/Peak | This drop-down list offers the analysis of periodicity or character of peaking of the processed data.
Sensitivity | Sets the threshold of recognizing the place where the marked phrase can be inserted. Ranges from 1 to 100 %.

Note 1:
Different types of musical data need different approaches of inserting phrase markers. However, almost all modes can be activated simultaneously, which means that the places of phrase markers will be calculated using a number of criteria.

Note 2:
Try working with the supplied presets. The presets allow you to go ahead and insert phrases in your melody, and also illustrates which AutoPhraser modes are preferred for a given type of data.

Additional Settings section

These settings allow you to fine-tune how the AutoPhraser will work:

Quantize | Turns on the internal AutoQuantizing of the processed data.
Dynamic First | Sets the analysis of the character of the processed data rhythmic structure before the analysis of the pitch structure.
Pitch First | Sets the analysis of the character of the processed data pitch structure before the analysis of the rhythmic structure.
Phrase Beginning Offset | Allows setting a small offset in the Ticks of the phrase marker position. Ranges from 0 to -64 Ticks.
Shift Marker Onward | Allows adjustments to the procedure of placing a phrase marker along the sounding of the current note. Ranges from 0 to 64/64.

Note:
The AutoPhraser can be used as a MIDI FX, as a part of MFX chain, or as an Offline MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, and what kind of data can be edited in Piano-Roll and Event List views, and where Real-time MIDI FXs can be applied.

See also:
Using Preset
Using MIDI Effects


Chord Audition dialog

The Chord Audition feature is used for generating MIDI data - Chords and a Bass line, according to the chord progressions of the Song Manager pane. It is also used to "audition" chords during the editing of chord progressions in the Song Manager pane. The generated MIDI data is directed to the chosen MIDI Out, or mixed with Main tracks and Orchestrator tracks during playback (assuming they use the same MIDI Out). Also, Chords and Bass data can be rendered into Main tracks by clicking [image] in the Render toolbar.

You can open the Chord Audition dialog using the following ways:

Via Menu: | Options-Chord Audition...
From the Song Manager Control pane: | by clicking
From the Harmonizer dialog: | by clicking

Chords and Bass sections can be turned on/off by clicking the [image] button in the Song Manager Control pane or in the Harmonizer dialog.

Chords Section

Velocity | Velocity parameter value of the generated notes.
Volume | Value of Volume parameter for the channel where notes are generated.
Duration | Selection of the generated notes duration: MaxDur, 1/4, 1/8, 1/16.
Octave | Shift of the generated notes by octave: -2, -1, 0, +1, +2.
Rhythm Setting of start time position of the generated notes:
  • Chord Change Only
  • Ch. Change & Msr. (Chord Change & Measure)
  • All Odd 1/4 Notes
  • All Odd 1/8 Notes
  • All Even 1/4 Notes
  • All Even 1/8 Notes
Structure Setting of chord step structure of the generated notes:
  • Full Step Chord
  • Auto Ch. Inversion (Chord Auto Inversion)
  • 4 First Steps
  • Full Guitar Chord
  • 4 High Guitar Notes
Patch | Selection of GM voice.

K

Keep the same patch for all sections.
Channel | Selection of the MIDI Channel where the notes will be generated.

K

Keep the same Channel for all sections.
MIDI Out | Selection of MIDI Out.

K

Keep the same MIDI Out for all sections.

Bass Section

Velocity | Velocity parameter value of the generated notes.
Volume | Value of Volume parameter for the channel where notes will be generated.
Duration | Selection of generated note duration: MaxDur, 1/4, 1/8, 1/16.
Octave | Shift of the generated note by octave: -2, -1, 0, +1, +2.
Rhythm Setting of start time position of the generated notes:
  • Chord Change Only
  • Ch. Change & Msr. (Chord Change & Measure)
  • All Odd 1/4 Notes
  • All Odd 1/8 Notes
Structure Setting of chord steps for the generated notes:
  • First Ch. Step Only (First Chord Step Only)
  • 1 & 3 Chord Steps
  • All Chord Steps
Patch | Setting of GM voice.
Channel | Setting of the MIDI Channel where notes will be generated.
MIDI Out | Selection of MIDI Out.

Audition section

Velocity | Velocity parameter value of the generated notes.
Volume | Value of Volume parameter for the channel where notes will be generated.
Octave | Shift of the generated note by octave: -2, -1, 0, +1, +2.
Patch | Setting of GM voice.
Channel | Setting of the MIDI Channel where notes will be generated.
MIDI Out | Selection of MIDI Out.

Master Volume, % - Common Volume parameter for the Chords, Bass and Audition sections.

Chord Audition MIDI data, generated according to any chord progression and placed into Chord Track of Song Manager can be rendered into the Main Track using Rendering-Rendering the Chord Audition Midi Data or by clicking [image] .

See also:
Rendering the Chord Audition MIDI Data dialog
Using Presets


Chord/Key Transposer dialog

This feature allows you to transpose Key/Scale markers and the chords found in the Song Manager a given number of semi-tones in the selected fragment. This can be useful if you want to use the same harmony in different parts of a modulated song (for example, first verse in A minor, and second verse in Bb minor).

To open the Chord/Key Transposer dialog, choose the MIDI Process-Chord/Key Transposer command, or click [image] in the MIDI Process toolbar.

There are 3 modes available:

Key/Scale and Chords | Transposing of Key/Scale and Chords simultaneously.
Key/Scale | Transposing of Key/Scale only.
Chords | Transposing of Chords only.

A transposition value is set by using the spin control - ranging from -11 to + 11 semi-tones.

If an operation is being performed in the middle of a chord progression, the Chord/Key Transposer will automatically insert corresponding markers at the beginning of the fragment and after it, so that non-transformed parts of the chord progression are not disrupted. For example, if in the middle of a chord progression in A minor you select a fragment and shift it 2 semi-tones lower, then an additional G minor marker will be automatically inserted at the beginning of the selected fragment after Amin. Also, an additional chord will be inserted if no chord has been set at the end of the selection and the current chord has been active.

Note 1:
Be careful when selecting the fragment in which you wish to perform a transposition - this operation is rounded up to whole measures.

Note 2:
Note that a separate transposition - only Chords or only Key/Scale, in most cases, leads to a disruption of the relationship between Chords and the Key/Scale. These changes can be easily seen by noting the chord flags changed colors.

Note 3:
Chord/Key Transposer can be used as an offline (non-realtime) MIDI processing tool only.

See also:
Using Preset
Using MIDI Effects


Colors dialog

Allows you to choose the factory presets that determine the color schemes for Onyx.

You can also adjust Brightness and Contrast for the chosen preset. Brightness and Contrast settings are saved for each preset automatically.

See also:
Onyx Controllers Color Scheme


Common Morphing Parameters dialog

It contains special settings used to make fine adjustments of Velocity, Time parameters, and also Smoothing that are employed during the morphing process. These settings are applied to Bass, Tune, Chords and Pedal (chromatic) tracks only. Interval in ## /8 Note parameter will be active only for tracks in which Sm button is pressed.

Chord Look Around | Some notes of pattern are not quantized by chord grid (swinging notes). There is a problem to define which chord this note belongs to - the current chord or the preceding one. Chord Look Around sets the "swing zone" for more suitable result of morphing process of the notes, which start a little bit earlier than a chord marker position.
Min Next Chord Overlapping | If a note lasts to the next chord zone, but this overlapping zone is not larger then Min Next Chord Overlapping parameter, then this note will not be truncated.
Max Next Chord Overlapping | If a note lasts to the next chord zone, and this overlapping zone is between Min Next Chord Overlapping and Max Next Chord Overlapping, this note can be truncated or cannot, depending on rules of morphing process.
New Note velocity Reducing | If a note lasts to the next chord zone, and this overlapping zone is larger than Max Next Chord Overlapping parameter, then this note will be truncated anywhere.
Interval in ## /8 Note | The maximum Interval without Chord Step Notes, where smoothing will be applied. The algorithm will not smooth longer intervals.

See also:
Orchestrator dialog


Controller Adjuster dialog

The Controller Adjuster is a MIDI FX used for real-time adjustment of Controllers, Velocity, Pitch Wheel, Channel Aft and Key Aft in the track. The Controller Adjuster displays the listed parameters available in the played fragment, allows you to replace one Controller with another, and lets you change the values for each Parameter independently. By changing various parameters the following adjustments are possible:

  • to limit bottom or top values (High Gate, Low Gate)
  • to proportionally shift the values up or down (Shift+)
  • to alter the value linearly (Scale) or non-linearly (Distortion) expanding or compressing the dynamic range.

All these settings can be applied simultaneously and the parameter change function is displayed as a diagram in the right-hand section of the window.

To open the Controller Adjuster, choose the MIDI Process-Controller Adjuster command, or click [image] in the MIDI Process toolbar.

The parameters used to specify the Controller Adjuster effect are as follows:

Parameter/Option... | Meaning...
N | Row number. Click [image] to sort all parameters according to their order serial numbers.
Controllers | Number or name of the Controller. Click the name of the selected Controller or [image] of any Controller to call the re-assignment menu. The initial Controller will be highlighted in the grid by bold font, and the assigned parameter will be marked by [image] . Click [image] to clear all re-assignments.
M | Mute. Click [image] to UnMute and UnSolo all parameters.
S | Solo. Click [image] to UnMute and UnSolo all parameters.
Shift+ | Decreases or increases a parameter, adding or subtracting an assigned value. Click [image] to restore all parameter to initial (default) value.
Scale (%) | Linearly changes (compresses/expands) the dynamic range. If Scale value is less than 100, the range will be compressed, if more than 100, it will be expanded. Click [image] to restore all Scales values to the initial (100%) values.
Dist | Distortion. Applies to non-linear expansions / compressions to distort the values of a parameter. Positive Distortion value results in Compression, while negative value leads to Expansion. Click [image] to restore all Distortion values to zero.
Gate | Limits the lower (Low Gate) and upper (High Gate) parameter range. Click [image] to restore parameter values (1 : 127).
Sort | Places all discovered parameters at the beginning of the list. If the Sort button is in the depressed position, the sorting is done automatically.
Reset | Clears all settings of the selected parameter.
Reset All | Clears settings of all parameters.
Statistics | Updates statistics information. While in the playback mode the Controller Adjuster displays parameters available in the played fragment and a diagram of the parameter range for the selected parameter.
ControllerSet select control | Selects ControllerSet (Controller names), set in Onyx.
Bypass | Select to hear the unaffected track during playback. This is a useful feature when doing comparisons between affected and unaffected tracks.

Note:
The Controller Adjuster can be used as a part of a MFX chain or as an offline MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in the Piano-Roll and Event List, and where Real-time MIDI FX can be applied.

See also:
Using Preset
Using MIDI Effects


Copy dialog

The Edit-Copy command opens the Copy dialog, which allows you to put on the clipboard any selected objects. You can then paste the contents of the clipboard elsewhere.

The Copy dialog has the following fields:

Events in Main Tracks | If you check this checkbox, Onyx copies all events in the selected object of the Main Tracks.
Tempo Changes | If you check this checkbox all tempo changes in the selected object are copied.
Meter Changes | If you check this checkbox all meter changes in the selected object are copied.
Markers | If you check this checkbox all markers in the selected object are copied.
Key/Scales | If you check this checkbox all Key/Scales in the selected object are copied.
Chords | If you check this checkbox all Chords in the selected object are copied.
User Fill | If you check this checkbox all Orchestra Fill markers to the selected object are copied.
OOStyles | If you check this checkbox all OOStyles in the selected object are copied.

See also:
Paste dialog
Cut dialog


Cut dialog

The Edit-Cut command opens the Cut dialog, which lets you remove any selected objects from the project and put them on the clipboard.

The Cut dialog has the following fields:

Erase Only | Erases events only.
Erase and Delete Hole | Onyx removes the space in the track where the events were. Then all objects after the deleted events are moved forward in time for the length of the deleted events, but only as far as the nearest whole measure.

Events in Main Tracks | If you check this checkbox every event in the selected object is removed.
Tempo Changes | If you check this checkbox all tempo changes in the selected object are cut.
Meter Changes | If you check this checkbox all meter changes in the selected object are removed.
Markers | If you check this checkbox all markers in the selected object are cut.
Key/Scales | If this checkbox is enabled, all Key/Scales in the selected object will be removed.
Chords | If you check this checkbox, Onyx removes all Chords in the selected object.
User Fill | If you check this checkbox, all Orchestra Fill in the selected object will be cut.
OOStyles | If you check this checkbox all OOStyles in the selected object will be removed.

See also:
Paste dialog


Define Instruments and Name dialog

When you use the Options-Instruments... command, the Assign Instruments dialog appears, which contains the Define button. Clicking this button opens the Define Instruments and Names dialog.

The Define Instruments and Names dialog contains two "trees":

The Instruments Tree
The Instruments tree occupies the left side of the dialog and lists all defined instruments and their characteristics.

The Names Tree
The Names tree shows all the resources you use to define an instrument.

The Define Instruments and Names dialog contains an Import button. Clicking the Import button opens the Import Instruments Definitions dialog, which lets you choose instrument definitions from the manufacturer of your instrument. It has the following fields:

Look in | Use this field to navigate to the folder that contains the instrument definitions you want to import.
File name | You can type the name of the file that you want to import, or click the file name in the window that is just above the Filename field. Instrument Definition files have the extension .ins.
Files of type | The only choice in this field is Instrument Files (*.ins).

Note:
Onyx offers full support of the instrument definition files (*.ins), typically used by Cakewalk. Visit this page to download them for free:
ftp://ftp.cakewalk.com/pub/InstrumentDefinitions/

See also:
Assign Instruments dialog


Drag and Drop Options dialog

Drag and Drop Options appear only in Piano Roll - when you drag any selected notes.

The Drag and Drop dialog has the following fields (see below).

What to do with existing material:

The fields in this section deal with the situation that occurs when you try to drag a note to a place in a track that already has notes in it.

Blend Old and New | Choosing this option tells Onyx to mix the new note with the old.
Replace Old with New | Choosing this option tells Onyx to delete the old note.
Delete Whole Measures | Choosing this option tells Onyx to delete the old note up to the next measure line, regardless of whether the new note fills the space up to the next measure.
Slide Over Old to Make Room | Choosing this option tells Onyx to slide the old note either forward or backward in the track to make room for the new note.
Align to Measures | Choosing this option tells Onyx to slide the old note up to the next measure line, regardless of whether the new note fills the space up to the next measure.

See also:
Piano Roll view


Drum Adjuster dialog

The Drum Adjuster is a MIDI FX for real-time adjustment of percussion sounds in the drum track. The Drum Adjuster displays the drums available in the played fragment, allows you to replace one drum with another, and to flexibly change Velocity values for each drum independently. By changing various parameters of Velocity the following adjustments are possible:

  • to limit bottom or top values (High Gate, Low Gate)
  • to proportionally shift the values up or down (Velocity+)
  • to alter the value linearly (Scale) or non-linearly (Distortion) expanding or compressing the dynamic range.
  • to introduce random value deviations (Rnd).

All these settings can be applied simultaneously and the Velocity change function is displayed as a diagram in the right-hand section of the window.

The Start Shift (Offset) can be assigned independently for each drum.

To open the Drum Adjuster, choose the MIDI Process-Drum Adjuster command, or click [image] in the MIDI Process toolbar.

The parameters used to specify the Drum Adjuster effect are as follows:

Parameter/Option... | Meaning...
N(umber) | Row number. Click [image] to sort all drums according to their order number.
Drum Name | Drums Number or name of the drum. Click the name of the selected drum or [image] of any drum to call the re-assignment menu. The initial drum will be highlighted in the grid by bold font, and the assigned drum will be marked by [image] . Click [image] to clear all re-assignments.
M(ute) | Mute. Click [image] to UnMute and UnSolo all drums.
S(olo) | Solo. Click [image] to UnMute and UnSolo all drums.
Velocity+ (-127/+127) | Decreases or increases Velocity of all notes for a drum, adding or subtracting an assigned value. Click [image] to restore all Velocities to initial (default) value.
Scale (%) | Lineally changes (compresses/expands) the dynamic range. If Scale value is less than 100, the range will be compressed, if more than 100, it will be expanded. Click [image] to restore all Scales values to the initial (100%) values.
Rnd | Random. Sets range of random deviations for Velocity. The assigned random value will be added or subtracted from the basic Velocity value. Click [image] to restore all random values to zero.
Dist(ortion) | Distortion. Applies non-lineal expansions / compressions to distort values of all Velocities for all drum notes. Positive Distortion value results in Compression, while negative value leads to Expansion. Click [image] to restore all Distortion values to zero.
Offs(et in Ticks) | Offset. Shifts start time of a drum note ahead or behind the initial value by a certain value ticks. Click [image] to restore Offset value to zero.
Gate | Limits the lower (Low Gate) and upper (High Gate) Velocity range. Click [image] to restore Velocity values (1 : 127).
Sort | Places all discovered drums in the beginning of the list. If the Sort button is in depressed position, the sorting is done automatically.
Reset Active | Clears all settings of the selected drum.
Reset All | Clears settings of all drums
Statistics | Updates statistics information. While in playback mode Drum Adjuster displays drums available in the played fragment and a diagram of the Velocity range for the selected drum.
Bypass | Selects to hear the unaffected track during playback. This is a useful feature when doing comparisons between affected and unaffected tracks.
DrumSet select control | Selects DrumSet (drum names), set in Onyx.

Note:
The Drum Adjuster can be used as a part of MFX chain or as an Offline MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in the Piano-Roll and Event List, and where Real-time MIDI FXs can be applied.

See also:
Using Preset
Using MIDI Effects


Edit Sysx dialog

When you select a bank in the Sysx view and click [image], the Edit Sysx (Edit System Exclusive Bytes) dialog appears. This dialog lets you edit your bytes in hex.

See also:
Sysx view


Event Filter dialog

The Event Filter is a MIDI FX used for deleting events in the tracks in real-time. The Event Filter is also intended to be used for assigning a constant value to the parameters of certain events.

For best results, we recommend that you use the Event Filter for tweaking the Velocity, Pitch Wheel, Modulation, Expression* and Panning parameters before sending the data to the Modeler.

Note:
The Event Filter does not currently work with RPN and NRPN events.

To open the Event Filter, choose the MIDI Process-Event Filter command, or click [image] in the MIDI Process toolbar.

Delete Pane

The Delete pane shows all found types of events and their range in a selected fragment or track. If you mark a parameter with the [image] symbol, all corresponding events will be deleted.

Note that the Filter defines a range of durations of the notes (Short Notes parameter) and a range of Velocity of all notes (Quiet Notes parameter) in the selected fragment. The Short Notes parameter allows deletion of short (casual, unnecessary) notes. Double-clicking on the Short Notes will call up the Edit Value dialog, in which it is possible to assign a minimum duration (in Ticks). The notes having duration less than that assigned will be deleted when the Short Notes checkbox is enabled.

The Quiet Notes parameter allows the deletion of "ghost notes" (i.e., notes having a zero or very small Velocity value). Double-clicking on Quiet Notes will call up the Edit Value dialog, in which it is possible to assign a minimum value of Velocity. The notes having a value of Velocity less than that assigned will be deleted when the Quiet Notes checkbox is enabled.

Advice:
The Short and Quiet notes are quite often introduced by human playing on the MIDI-keyboard and recording in real-time mode. Usually such "superfluous" notes are not intended to be part of the score, but are imperceptible to the listener. However, after leveling values of Velocity and quantizing a part, the "superfluous" notes will become appreciable and can seriously deform a score. The specified notes can also be a significant handicap for transformation of a part with the help of the Modeler. Therefore, when parts are played in real-time it is recommended that they be filtered first.

Button/Mode... | How it works...
Select All | Selects all parameters in the Delete pane.
Unselect All | Cancels all selections in the Delete pane.

Set Initial Values pane

The Set Initial Values pane allows you to assign identical meanings of the parameters of events for all selected fragments. It also allows you to assign a Time Offset for all events in the selected fragment.

Double-clicking on the name of event or its value will call up the Edit Value dialog, in which it is possible to assign a new value. The new value will be applied if the appropriate checkbox is enabled.

You can also add any controller by pressing the Add button and then choosing the necessary controller in the Add Parameter dialog.

Tip:
 To achieve predictable results in the Modeler transformation it is recommended that you assign identical values to the following parameters: Velocity, Expression*, Tempo, Panning, and "zero" values for Pitch Wheel and Modulation. Also you should adjust the Time Offset according to measures (bars), if necessary.

Button/Mode... | How it works...
Select All | Selects all parameters in the Set Initial Values pane.
Unselect All | Unselects all parameters in the Set Initial Values pane.
Add | Adds a new parameter.
Properties | Edits the parameter.

Note:
The Event Filter can be used as a part of a MFX chain or as an offline MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FXs can be applied.

See also:
Using Preset
Using MIDI Effects


Harmonizer dialog

The Harmonizer automatically generates chord progressions for a MIDI melody or an entire MIDI song. It utilizes the unique IAH (Intelligent Auto-Harmony) technology developed specifically for the Onyx software line. Harmony is generated based on a flexible algorithms and a two-step approach to creating the chord progression:

  • the recognition of Key/Scale of the original music data
  • the creation of a chord progression

IAH technology employs an internal database of chord progressions compiled from a number of actual songs with different music scales and different types of harmonization.

You can adjust the Harmonizer algorithms according to your own musical objective and taste. All the settings can be saved as your own Harmonizer preset for future use.

To open the Harmonizer, choose the MIDI Process-Harmonizer command, or click [image] in the Main Tools toolbar.

The Harmonizer Dialog has four shortcut sections which can be opened / closed independently:

  • Key Recognition Mode and Harmonization Style
  • Best Progressions AutoSearch
  • Chord Assignment Control
  • Quality Estimation and Statistics

Note 1:
This special MIDI processing tool also has a Bypass mode. While the Harmonizer is open you can open the Chord Audition dialog as well, which can be used to control the volume and balance between harmonized tracks and created chords. All these operations can be performed without closing the Harmonizer dialog.

Note 2:
Whenever a MIDI file in GM or XG format is opened in Onyx, the system automatically detects chromatic (note) data (Bass, Tune, Chord and Pedal tracks) and non-chromatic data (e.g., Drums and/or Effects tracks). You can override these assignments manually in the Main Track pane. However, if you do, you must ensure that you do not assign non-chromatic tracks (Drums or Effects) to the Bass, Tune, Chords and Pedal types. Otherwise, the program will attempt to harmonize them and musical errors will likely occur. When you open the Harmonizer the Track Type will be defined automatically for the selected fragment.

Key Recognition Mode and Harmonization Style section

The first drop-down list serves to control the main modes of Key/Scale and Chord Progression recognition: General, Progressions AutoSearch and Song Manager Markers.

General | Choose Key/Scales and Harmonization Style in this section.
Progressions AutoSearch | Selects Progressions AutoSearch mode and activates controls of the same section.
Song Manager Markers | Allows the use of user-defined Key/Scales from Song Manager.

Key/Scale Choice drop-down list serves for switching between Auto and Single modes of Key/Scale recognition and is active in General mode only.

Auto | Enables automatic recognition of Key/Scale. Use the Found drop-down list to set one of the automatically recognized Key/Scales as the initial one. The Found drop-down list is active only in the Auto mode of Key/Scale Choice.
Single | Allows you to manually select the Key/Scale using Key and Scale drop-down lists. Key drop-down list is active only in Single mode of Key/Scale Choice.

Key drop-down list is used to choose a key - A, A#, B, C, C#, D, D#, E, F, F#, G, G# when Single mode is active.

Scale drop-down list is used to choose the type(s) of music scale when Auto or Single mode is active.

Style drop-down list is used to choose the Harmonization Style. The list of Harmonization Styles depends on the musical scale chosen in the Scale drop-down list.

Style name | Min | Maj | Min/Maj | BluesMin | BluesMaj | BluesMinMaj | Gypsy
Simple Min/Maj | + | + | + |  |  |  |
Pop Min/Maj | + | + | + |  |  |  |
Folk Min/Maj | + | + | + |  |  |  |
Jazz Min/Maj | + | + | + |  |  |  |
CLassic Min/Maj | + | + | + |  |  |  |
Special Min/Maj | + | + | + |  |  |  |
Pop/Jz Min/Maj | + | + | + |  |  |  |
Cl/Jz Min/Maj | + | + | + |  |  |  |
FullPull | + | + | + |  |  |  |
Blues Min/Maj |  |  |  | + | + | + |
Gypsy Min/Maj |  |  |  |  |  |  | +

Note 1:
Key/Scale recognition can be performed for the following Scales: Minor, Major, Blues Minor, Blues Major and Gypsy.

Note 2:
Only one Key/Scale will be used for the harmonization of the selected fragment in Single mode.

Note 3:
When using the Song Manage Markers mode only Minor and Major Key/Scales can be inserted into the Song Manager and corresponding harmonization styles can be used. Thus, any sequence of Blues Minor and Blues Major Key/Scales is possible, but then only the Blues harmonization style can be used. Similarly, any sequence of Gypsy Key/Scales is possible, but only the Gypsy harmonization style can be used in these parts.

Best Progressions AutoSearch section

Progressions AutoSearch mode uses the internal Harmonizer's presets and Quality Estimation criteria for searching for the best chord progressions. The controls of the section are active when the Progressions AutoSearch mode is selected in the Key/Scale Mode and Harmonization Style section.

Start | Executes auto-search to find the best harmonic variations based on the internal Harmonizer's presets.
Presets Searched | Allows you to set depth of the use of internal Harmonizer's presets.
Done/Found | Displays the total number of Calculated and Chosen harmonic variations. Each Chosen variant can then be selected as the Active variant using Select Variant drop-down list.
Select Variant | Selecting a variation from the drop-down list activates it.

Note 1:
All settings of Chord Assignment Control section are operating in the Progressions AutoSearch mode.

Note 2:
Harmonizer is limited to processes of not more than 64 measures at once. Optimally, you should try to pick 8-16 measures in a song, harmonize them in the Progressions AutoSearch mode, then choose the best results and save those settings as a Harmonizer preset for auto-harmonization of the rest of the song. If there are many measures and tracks in a song, the Progressions AutoSearch feature may take a long time. Furthermore, to constantly audition a long (e.g., 64 bar) piece may not be very convenient.

Note 3:
Qualitative and statistical results of the chosen variant will be displayed in the Quality Estimation and Statistics section.

Chord Assignment Control section

Step by ## Note Specifies the measure interval where chord changes are placed; Possible values (for timebase = 960 ticks):
2 M - every 2 measures;
1 M - every measure;
1/2 - every 480 ticks;
1/4 - every 240 ticks.
Root - Relation, % | Sets the ratio between the root of the chord and the current note of the melody, or a dominating note in a polyphonic texture; ranges from 1% to 100%. The higher the value is, the stronger the root is linked to the current musical texture.
Search Depth, % | Sets how deep the Harmonizer searches the database; ranges from 1% to 100%. The higher the value is, the more chord types and progressions become available for harmonization.
Look Around by ## /32 Note | Sets how much data the Harmonizer analyzes preceding the next chord change. Ranges from 0 - 16 measured in 32nd notes.

Quality Estimation and Statistics section

The section displays qualitative and statistical results of the last harmonization.

Correlation | Indicates "correlation" between the harmonized melody and the generated chord progression (with 100 as the best possible value).
Progression Smoothness | Indicates "smoothness" of the harmonization result (with 100 as the best possible value).
Used Scale Steps | Displays the number of Scale Steps used to create the chord progression.
Used Chord Types | Displays the number of Chord Types used to create the chord progression.

Note 1:
Correlation and Smoothness are based on a mathematical (objective) analysis of the harmonized melody (or the entire MIDI song) and the generated chord progression. These estimates will not always coincide with your own (subjective) estimate.

Note 2:
Parameter Correlation for each chord is also displayed as a function for all tracks used for harmonization. You can see this function in the Piano-Roll in the Controllers pane and in the Main Measure pane when the button [image] is activated. The range of this parameter is the same as for controllers (0 to 127).

Note 3:
Some examples of the Onyx Harmonizer's output are located in the Onyx Projects/Onyx Examples folder (as *.mid files) with the file names beginning with letters W, Y and Z. You will find that common tunes as well as quite absurd tunes can be harmonized in many different ways.

Also please listen to examples:
19 No Woman No Cry (Auto-Harmonization in Bb Minor).opr
20 No Woman No Cry (Auto-Harmonization in Db Major).opr

See also:
Tutorial 2: Harmonizing a Melody
List of Onyx Chord Type
Using Preset


Interpolator dialog

The Interpolator is a powerful offline (non-realtime) MIDI processing tool which allows you to change and adjust various parameters of a fragment, track or complete song for the purpose of additional parameter tweaking. It can alter such parameters as the Number of Notes, Pitch, Velocity, Controllers, and more.

To open the Interpolator, choose the MIDI Process-Interpolator command, or click [image] in the MIDI Process toolbar.

The Interpolator has three sections:

  • Initial
  • Parameter
  • Result

Initial section

A range of selected types is shown in the unedited indicators by red numbers (Initial). After choosing the parameter in the drop-down list these values will also be exposed according to the analyzed data in the Result section.

Parameter section

The Interpolator defines the presence of events in a selected fragment. All types of the events found are shown in the Parameter drop-down list.

Result section

The controls of this section offer the ability to change the initial values of the data in accordance with their positions and current values. The Result section has two blocks: Beginning and Ending. These refer to the beginning and ending parts of the processed data. Both blocks have the same regulators as shown here:

Min(imal) | This regulator changes the minimal value of the data parameters of events.
Mid(dle) | This regulator changes the average value of the data parameters of events (a mathematical average if the Smart mode is not selected, or an average time if this mode is assigned).
Max(imum) | This regulator changes the maximum value of the data parameters of events.
Middle | This spin control duplicates the changes made by the Mid regulator.
Distortion | This spin control allows the parameter "to bend", to deform linear transfer of the data parameters of events (similar to the Velocity Curve parameter often found in a MIDI-keyboard/Synthesizer). This parameter (smoothly) displaces average values of a parameter in the part with smaller or larger values. Ranges from -20 to +20.

Changing positions of Min or Max Regulators in the Result section will proportionally scale the data parameters of events - to increase or to reduce a range of rather average value. Moving the Mid regulator can also shift all ranges (Min and Max values) simultaneously.

The Interpolator has additional settings for even more flexible tweaking:

Link | Allows linking all regulators of Beginning and Ending blocks, which allow getting the same control of the Beginning and Ending of the processed data parameters.
Smart | To switch on/off the mode of optimization in conformity with the internal Interpolator settings. When this mode is switched off, the calculation of the parameter is made as average arithmetic value.
Optimize

Switching on/off the Optimization mode provides filtration of MIDI-events in the transformed fragment. It is necessary after transformation when the fragment includes many messages, the number of which can be reduced without significant influence on the character of the music. The filtration and optimization of a fragment can be executed with such parameters as Expression, Pitch Wheel, Modulation, and Panning as well as with other controllers.

By default the values filtration step is the following:

  • Expression - 2
  • Modulation - 8
  • Panning - 4
  • Pitch Wheel - 128
  • Volume - 2
  • Other Controllers - 2

All other controllers will be optimized with the step of 4. For example, for Modulation a value of 8 means that the Modulation value changes will be drawn with the step of 8.

Note:
The Interpolator can be used for optimization of the whole MIDI file at once, which may shrink its size substantially. To do this, select all tracks and open the Interpolator. Without changing the position of regulators simply select Optimize mode and click OK - data will be processed.
Reset All | Returns to the initial values of the parameters of a selected fragment and initial conditions of the Interpolator dialog.

Note: 1
The operation of the Interpolator is an extremely flexible way of manipulating the data parameters of events in real-time. It is very convenient when you want to adjust large amounts of data simultaneously - to change, to limit or to distort Velocity range, to alter Expression or Modulation curves, to get different fades, or even to distort the order of notes in a unique new way, etc. The more powerful/sophisticated a hardware or software synth is, the more sensitive it is to tiny changes of controller parameters. The Onyx Interpolator is an ideal tool for these kinds of effects.

Note 2:
The Interpolator can only be used as an offline MIDI processing tool.

See also:
Using Preset
Using MIDI Effects


Load Chord Progression dialog

The Load Chord Progression dialog appears when you import a chord progression in the Key/Scale and Chord tracks.

The Load Chord Progression dialog has the following fields:

What to do with existing material:

Replace Key/Scales/ Chords | Choosing this option tells Onyx to delete the old data.
Slide Key/Scales / Chords | Choosing this option tells Onyx to slide the old data forward in the Key/Scale and Chord track to make room for the new data.
Slide Key/Scales / Chords and Main Tracks Data | Choosing this option tells Onyx to slide the old data forward in the Key/Scale, Chord and all Main Tracks Data track to make room for the new data.

What to do with existing Meter:

Fit to existing Meter | Key/Scale and Chord markers are set according to the existing meter beat-wise.
Replace Meter | The original meter is replaced with the meter contained in the Chord Progression file. The meter is replaced in the fragment, where the Chord Progression is inserted.

See also:
Editing Chords


Main Track Manager dialog

The Main Track Manager allows you to control the following columns in the Main Track pane: FX, Patch, Volume, Panning, As. Ctrl, Time+, Key+. Data is transferred to and modified in all tracks simultaneously.

To open the Main Track Manager, choose the View-Main Track Manager command, or click [image] in the View toolbar.

The Main Track Manager has the following modes:

FX section

Mute All | Switches 'off' all Effects in all the tracks. The Mute button will become activated (on) in each track found in the Main Track pane.
Mixed | Switches 'off' the Effects in any tracks you choose.
On All | Switches 'on' all Effects in all tracks. The Mute button will become deactivated (off) in each track found in the Main Track pane.

Patch section

Mute All | All patches assigned in the Main Track pane and which are set inside the tracks themselves are not sent to your MIDI device.
Mixed | Mute can be assigned and Patch changes can be set for any tracks in this mode. If an assigned Patch is in the Main Track pane then for this track all other Patches (including ones set inside a track) are sent to your MIDI device.
Track | All patch data assigned in the Main Track pane and/or set inside tracks are sent to your MIDI devices.

Volume section

Mute All | All Volume assigned in the Main Track pane and/or set inside tracks is not sent to your MIDI device.
Mixed | Mute can be assigned and Volume data or Volume Envelopes can be set for any tracks in this mode. If a Volume assignment is present in the Main Track pane then for this track all other Volumes (set inside tracks) are sent to your MIDI device.
Track | All volumes assigned in the Main Track pane and/or set inside tracks are sent to your MIDI device.
Envelope | In this mode you can graphically draw Volume envelopes in the Main Measure pane for all tracks. This Volume Envelope data will be sent to your MIDI device.

Panning section

Mute All | All Panning settings assigned in the Main Track pane and set inside tracks are not sent to your MIDI devices.
Mixed | Mute can be assigned and Panning Controls or Envelopes can be set for any tracks in this mode. If a Panning assignment is in the Main Track pane, then for this track all other Panning data that is set inside tracks is also sent to your MIDI device.
Track | All Panning parameters assigned in the Main Track pane and set inside tracks is sent to your MIDI device.
Envelope | Envelope mode affects all tracks. In this mode you can graphically draw a Panning envelope in the Main Measure pane. This envelope Panning will be sent to the MIDI device and overrides any other Panning settings.

As. Ctrl (Assigned Controller) section

The Assigned Controller section is used to set various controller parameters (modes) for any MIDI controller, excluding Volume and Panning (performed elsewhere). For each selected list of controllers it is possible to install a mode. The following modes can be selected:

Mute All | All Assigned Controllers set in the Main Track pane and set inside tracks are not transferred to your MIDI device. No envelopes will be visible in the Main Measure pane if the Mute All is enabled.
Mute | The Assigned Controller (selected in the drop-down list) set inside tracks is not sent to your MIDI device. Its corresponding envelope also won't be shown in the Main Measure pane.
Track | The Assigned Controller (selected in the drop-down list) set inside tracks is sent to your MIDI device. However, Its envelope won't be shown in the Main Measure pane.
Envelope | Envelope mode affects all tracks. In this mode you can graphically draw an Assigned Controller envelope (selected from the drop-down list) in the Main Measure pane. This envelope of a given Assigned Controller will be sent to your MIDI device and overrides any other settings for the controller.

Note:
You can draw any controller envelop with the help of an envelope in the Main Track as discussed in the Track Properties dialog.

Time+ section

Mute All | Switches 'off' the Time Offset parameter for all tracks in the Main Track pane.
Mixed | Allows you to assign individual Time Offsets for each track.
Master Time+ | Allows you to assign the same Time Offset parameter for all tracks.

Key+ section

Mute All | Switches 'off' the Key+ setting for all the tracks in the Main Track pane.
Mixed | Allows you to assign individual Key+ settings for each track.
Master Key+ | Allows you to assign the same Key+ for all the tracks.
Exclude Ch | Switches 'off' Key+ for specific (user defined) MIDI Channels.

Note 1:
Mixed mode is activated whenever different parameter types are assigned to tracks. For example, if you set Master Time+ and then change the Time Offset in one of the tracks, Mixed mode will be automatically switched 'on' for that track, while the Master Time+ value will be retained for the remaining tracks.

Note 2:
Repeatedly clicking the appropriate column title in the Main Track pane allows you to select modes in order.

See also:
Main Track pane
Track Properties dialog
Onyx Working Diagram


Marker dialog

The Marker dialog appears when you insert markers into the Markers track.

Name: - Enter the name you want to give the marker.
Time: - Enter the time at which you want to place the marker.

See also:
Editing Markers


Meter dialog

The Meter dialog appears when you insert meter changes in the Meter view. This dialog box allows you to set the meter change in entire project or in any part of a project.

At Measure:
Select the starting measure where you want the changes to take effect.

Beats per Measure:
Select the number of beats per measure.

Beat Value:
Select the value of each beat (e.g., 1 = whole note, 2 = half note, etc.)

See also:
Meter view


Metronome dialog

The Options-Metronome... command opens the Metronome Settings dialog. This dialog lets you set the following metronome options:

Output: | Chooses the output that the metronome MIDI notes will play through.
MIDI Channel: | Chooses the MIDI channel your metronome plays on.
First Beat: | Chooses a Key (a note) for the first metronome attack in the measure.
Other Beats: | Chooses a Key (a note) for the other metronome attacks in the measure.

Note:
The Metronome in Onyx is audible only during the recording process.

See also:
Tutorial 1: Recording MIDI


MFX Chain dialog

This dialog is intended to allow you to build a MIDI effects chain for any of your project's MIDI tracks (independently). Data will be processed by each effect along this chain sequentially.

To open the MFX Chain dialog, click in the FX column of the track in the Main or Orchestrator Tracks pane.

The following Real-time MIDI processing tools can be used to make MFX chains:

  • AutoPhraser
  • Controller Adjuster
  • Drum Adjuster
  • Event Filter
  • Modeler
  • Quantizer

The MIDI processing tools listed bellow cannot be included in an MFX chain because they are intended for the offline (non-realtime) use only.

  • Time/Pitch Adjuster
  • Interpolator
  • Chord/Key Transposer

MFX Chain dialog has the following buttons:

Save | Allows you to save your MFX chain as a special *.mfx file with any name you want for future use.
Open | Allows you to open a previously saved MFX chain into the MFX Chain dialog of any track.
Insert | Allows you to insert any effect you want from the opened list (see above) into the chain.
Delete | Allows you to delete the selected effect.
Up | Moves the selected effect up through the chain.
Down | Moves the selected effect down through the chain.
Apply All FXs | Allows you to apply all effects simultaneously and/or to delete them from the chain.
Close | Closes the MFX Chain dialog.

You can use the [image] button to independently mute any effect in the chain.

Note:
You can use any number of effects (and any sequence of them) in a chain you create. However, note that some effects require lots of math calculations and may consume large amounts CPU power. If you use too many effects simultaneously your CPU may become overloaded and erratic playback may occur.

See also:
Using MIDI Effects


MIDI Devices dialog

The Options-MIDI Devices command opens the MIDI Devices dialog, which lets you choose the MIDI outputs and MIDI inputs you want to use.

MIDI Devices dialog have 2 tabs: MIDI Outputs and MIDI Inputs.

Setting MIDI Outputs:

  1. Click the MIDI Outputs tab in the MIDI Devices dialog.
  2. In the Other MIDI Out Devices list, select the device that you want to use for MIDI output and click Add. The device you selected has been activated and will now appear in the Active MIDI Out Devices list.
  3. You can add several MIDI Devices and prioritize them in the devices list. To move a device up or down in the list, select (highlight) it and click the Up or Down button.

The MIDI Outputs setting has the following fields:

Sysx
You can choose the following ways to send Sysx during playback:

Smart - Sends Sysx one time during loop playback.
Always - Sends Sysx every time it appears in your project.
Never - Never sends Sysx.

Delay (ms)
This parameter allows you to slow down the stream of Sysx data in cases where your MIDI device cannot accept the fast transfer of a large volume of data.

Setting MIDI Inputs

  1. Click the MIDI Inputs tab in the MIDI Devices dialog.
  2. In the Active MIDI In Device list, select your soundcard's MIDI In device or the MIDI In for your external MIDI interface.

The MIDI Inputs has the following fields:

MIDI In Filter
Selects MIDI In channel for recording.

MIDI Thru
This mode allows a MIDI device to sound when you're playing on a MIDI keyboard.

Notes, Controllers, Pitch Wheel
Use the fields in this section to choose what kind of MIDI events you want to record.


Modeler dialog

Modeler transforms MIDI files intelligently, adding a "live" feel to them. Modeler algorithms analyze MIDI files, inserting or changing the following controls:

  • Start Time
  • Duration
  • Velocity
  • Expression* (Volume, Breath, Expression, Brightness)
  • Pitch Wheel
  • Modulation
  • Panning
  • Variable

The result of this transformation is, a MIDI file that sounds like a live musician performing on a real instrument. Using other settings you can achieve unreal sounding MIDI files which are interesting from a musical point of view, and fully controllable using Modeler.

Onyx Modeler library has more than 450 Performance Modeler Styles (PMStyles), and 100 PMStyle are included into Onyx package. These Styles allow you to imitate the performance of various instruments and to execute global, context sensitive transformations of MIDI files. Modeler gives a completely new level of quality to your musical material and saves a composer's and arranger's time and efforts when changing styles of music.

You can easily choose a Style "on-the-fly" for the part according to its parameters.

To open the Modeler dialog, choose MIDI Process-Modeler command or click [image].

Choosing a PMStyle

Using the upper drop-down list you can select a necessary folder, while the lower drop-down list (Style) allows to transform the selected fragment or track, according to the simulated musical instrument, timbre and the necessary musical manner. The basic purpose of the Style is specified in its name.

There is more detailed information on the appropriate Style in the Style Requirements, Special Style Action columns and in the Comments window. Move the highlighted bar in the drop-down list with the help of computer keyboard keys to find the correct Style for the selected track or fragment.

Note:
Using a chain of two MIDI FXs - Modeler and Controller Adjuster you can easily convert one controller produced by Modeler (PMStyle algorithm) to another controller as you like. For example, you can freely set the transformation of Controller #11 (Expression) to Controller #55, or #77 or others in Controller Adjuster. It can be useful while working with non-GM MIDI instruments.

Assigning initial parameters (Initial Parameters section)

The results of any transformation depends to a great degree on the settings made in the Initial Parameters section. The starting conditions and preliminary filtration use the Initial Parameters section settings as their starting point. This section has two columns - Initial and Assign.

Note:
In working with Modeler special modes of transformation of Initial data, you can make more adjustments if you require them by making added changes in the Initial and Assign columns.

Initial column
If in the Initial column [image] next to the Velocity, Volume, Pitch Wheel, Modulation, or Panning parameters is depressed, these parameters will remain the same as they were in an original track (i.e. they will not be filtered before transformation). So for example, if all notes in an initial fragment measured Velocity = 100, then from this value all transformations will be carried out. Or, for example, if in an initial fragment there are Pitch Wheel messages, and [image] next to Wheel in the Initial column is depressed, the initial Pitch Wheel messages will be preserved.

Assign column
If you de-activate [image] in the Initial column for the Velocity, Expression*, and Panning parameters in the Assign column you can then set new values, identical for the whole fragment. In this case all previous values will be deleted. So if you set the value of 50 for Expression* in the Assign column, then from this value all deviations will be derived. If you will deactivate [image] in the Initial column for Pitch Wheel, and Modulation, these parameters will be deleted from a selected fragment (i.e. will be filtered). You can use this feature if you need to make global changes to any of the available parameters.

For Expression* parameter the following controllers can be assigned: Volume (7), Expression (11), Breath (2) or Brightness (74).

Button [image] works in the following way:

  • when pressed for the first time - all buttons in the Initial column go to the upper position and the values in the selected fragment become identical to those in the column Assign;
  • when pressed for the second time - all buttons in the Initial column become depressed;
  • when pressed for the third time buttons return to their default state.

Recommended mode
When you choose a Style and also click the Reset button, the settings of the Initial and Assign columns will be assigned to an initial condition, which is recommended by the Style developers. The most correct action of Styles and most predictable result can be achieved when there are no Pitch Wheel or Modulation messages and the parameters for Velocity and Expression* have certain (identical for all notes) values. For with the loading of a Style the Initial and Assign columns are usually setup in such a condition where the Pitch Wheel and Modulation messages are deleted.

Setting Conditions of Transformation (Transformation Regulators section)

In the Transformation Regulators section there are three columns - Mute, Depth% and Random%, where transformation modes of these parameters are set. The Modeler Styles can transform Start Time, Durations, Velocity, Expression*, Wheel, Modulation, Panning and Variable.

Variable - additional control of some parameters of transformation. These parameters are indicated in the Comments. Variable is a special parameter programmed by the Style developer. In every particular style VARIABLE can be linked to one or more ordinary parameters (Velocity, Duration, Pitch Wheel, etc.) Sometimes this interaction can be rather complicated. For instance, increase of VARIABLE value may simultaneously increase arpeggio timing and decrease Velocity of longer notes. Application of VARIABLE considerably enhances Style possibilities. The nature of the parameter action is indicated in the style comment.

Note:
The controller Expression (11) is assigned to Expression* parameter by default. If you want, it can be changed to controller Breath (2), Volume (7) or Brightness (74). See the detailed description of Modeler Options dialog.

To set the values of parameters of the Transformation Regulators section to their initial values (100 for Depth% and 20 for Random%), click the Reset button.

Transformation Regulators also have Double-coordinate controllers - to smoothly change two chosen parameters at once in real-time. Values for axes X and Y are set by the drop-down lists, which are placed under each Regulator.

Note:
If a parameter is greyed-out (is not active), it means that a Style will not transform this parameter.

Mute column
If you press [image] in the Mute column for any parameter, the transformation of this parameter will be overridden. So for example, if a Style can transform Velocity, but in the Mute column the Velocity button [image] is depressed, Style will not transform the Velocity.

If you click [image], all buttons in the Mute column go to the upper position (if at least one of the buttons was previously depressed). The second click will depress all Mute buttons in this column.

Depth% column
In this column you can set the depth of transformation for all parameters which will be transformed by Style. It can accept a value from 0 up to 200%. The default setting is 100%. The character of change of that parameter depends on the Style and also the initial fragment. Depth% allows you to increase or to decrease the rate of change. For example, if initially set to (100%) the chosen Style will cause a change of Pitch equal to a half tone; a Depth% equal to 200% changes the Pitch to a whole tone; a value of 50% changes the pitch only to a quarter tone.

When pressing [image] all values in the Depth% column go default.

Random% column
In this column you can set the degree of random deviations for all parameters which will be transformed by a Style. Its value can be any value from 0 up to 30%, and a default value of 20%. If in this column you assign a value of 0% for all parameters, the result you will achieve will be completely identical to the initial fragment no matter how many transformations you make. If you assign the value of Random% at the maximum (i.e. 30%) for all parameters, every time (with one style and one fragment) you will achieve a different (to some extent) variant of performance, even without any other changes of settings in the Depth% and Random% columns. This column is very much at the heart of this program's ability to PLAY as if it were human. The random parameter allows for the individuality each musician brings to a piece of music. Even when a person tries to play a piece of music exactly the same way each time they can not. Random% allows you to adjust the amount of the human feel Modeler will put into a particular piece of music.

When pressing the [image] all values in the Random% column become default. Pressing for the second time assigns all values in this column to 0%.

Note:
100 PMStyles included into the Onyx, as well as additional Onyx PMStyle Sets use PM algorithms which are closer to SEM2.0 Styles. However, all Onyx PMStyles have special Onyx editon, also they have "Mode of influences mixing" as the default mode. It means that each Onyx PMStyle after the opening will work using the mixing of initial controllers (which already exist in the Initial or in Generated Data) and controllers producing by a style.

Style Requirements section

In this section the requirements of the chosen Style are displayed. These requirements are not strict, but they show optimal parameters of a fragment where the work of the Style will be most effective.

Special Style Actions section

In this section some special parameters of a Style are shown. If YES is displayed, the action will be carried out. NO means, that Style does not carry out this operation.

Generation Notes | Style includes an algorithm for the generation of notes, for example such as the generation of an arpeggio or creation of rhythmic fills based on the initial chords.
Solo Transforming | Style will transform an initial fragment from Poly or "mixed" score type to a Solo type.
Deleting Notes | Style deletes the notes of certain length. Can be specified: Dur<6Tc, that means all of the notes with duration less than 6 Ticks will be deleted. Remember that this value is based on the number of ticks.
Decoding Notes | The numbers of the notes will be changed (reordered) based on the Style.

Test Examples (***.opr) section

In this section specific ***.opr examples used to demonstrate the effect of a chosen PMStyle are displayed. All test examples will be in the Program Files directory, in the Jasmine Music Technology/Onyx Arranger 2.1/Onyx Projects/MIDI Effects/Modeler 1.0/PM Test Examples subdirectory, after Onyx installation by default. Test Examples are samples of musical scores, which can be transformed by the PMStyles.

All the Test Examples have digital names (for example - 006.opr). The presence of the letter p after a number (for example - 007p.opr) - specifies, that in an example there are phrase markers.

Test Examples do not contain any special messages, such as Patch, Sysx, controllers etc., but only quantized notes with an identical Velocity.

Use the same Test Example to test various PMStyles. When you choose a Test Example do not forget to assign a Patch and to assign a Tempo within the recommended values as listed in the Style comments.

Note:
Some Test Examples have two or three tracks. The first is the material for transformation, and the second and third are a percussion part or background accompaniment track, or a pedal - sometimes it is easier to listen to result of a transformation together with these additional tracks.

Comments

This window contains more detailed comments about the Style opportunities. The comments describe the manner simulated by the Style, a musical instrument or their family. Also the most appropriate applications for the Style are recommended. There are also notes on: the optimum Tempo, the features of parameter adjustments that can be made in the Transformation Regulators section, the numbers of GM voices, variants of score type, the necessity of marking phrases etc.

This window also contains information on the parameters controlled by Variable.

Note:
Modeler can be used as a part of MFX chain or as an Off-line MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more how the program processes the data, what type of data will be shown, and what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FXs can be applied.

See also:
Modeler Options
PMStyle Library
Basic Performance Modeling Principles
Special Modes of Transformation
Phrase Markers
Using Preset
Using MIDI Effects


PMStyle Library

There are more than 450 PMStyles in the Onyx PMStyle library. In this list there are Styles for imitation of various instrument soloing and musical styles, for the generation of accompaniment, and more.

Note:
 There are currently 100 PMStyles included into the Onyx, as well as additional Onyx PMStyle Sets that use PM algorithms which are closer to SEM2.0 Styles. However, all Onyx PMStyles have a special Onyx editon, as well as the "Mode of influences mixing" as the default mode. This means that each Onyx PMStyle upon opening will work without modification using the mix of initial controllers (which already exist in the Initial or in Generated Data) and controllers producing by a style.

All Styles according to their purpose can be sorted into the following groups:

Accordion 01A 090P2'4G Pop Rhythm Fill.oms
Banjo 01A 100P4'4G 16-th Rhythm Fill with Triplet Inserts (Notes to Pitch).oms
Banjo 02A 140P4'4G 16-th Rhythm Fill with 5-th Inserts (Notes to Pitch).oms
Bass 01A 100S4'4 Slap Intensive with Special Gliding.oms
Bass 02A 100S4'4 Fretless Simple.oms
Bass 05A 100S Solo Lyrical with Frets Gliding.oms
Bass 07A 130S4'4G Generation 16-th Octave Fill.oms
Bass 08A 100P4'4G Generation 16-th Fill from Chords (Notes to Pitch).oms
Bass 09A 130S4'4G Generation 8-th Fill (Notes to Pitch).oms
Bass 10A 130S4'4G Generation 8-th Octave Fill.oms
Bass 11A 100S4'4G Generation Slap 8-th Fill (Notes to Pitch).oms
Bass 15A 100S4'4G Swing Chromatic 16-th Fill.oms
Bass 19A 100S4'4 ''Heavy Work'' Low Gliding.oms
Bass 29A 160P4'4G Generation Beat Line from Chords.oms
Brass 01A 100P Chords Jazz Energy Breathy and Simple Solo.oms
Brass 03A 100P Chords Jazz Accent Breathy and Simple Solo.oms
Cello 01A 110S Solo Renaissance Manner.oms
Clavinet-Bass 01A 090P4'4G Generation Rock 16-th Fill.oms
Clavinet-Bass 03A 140P4'4G Generation Pop 8-th Fill.oms
Confusing 01A 090SPG Crazy ''Singing'' Solo.oms
Drums 01A 110PS4'4 Rock ' Pop GM Drums (#35-70).oms
Drums 02A 100PS3'4 Rock ' Pop GM Drums (#35-70).oms
Drums 03A 110PS4'4 Jazz-Rock GM Drums (#35-70).oms
Drums 04A 100PS3'4 Jazz-Rock GM Drums (#35-70).oms
Drums 05A 100P4'4G Generation Rock GM Drums (#35-69).oms
Drums 06A 150PS4'4 Dance GM Drums (#35-59).oms
Drums 07A 130SG 32nd Snare Fill (#38#40) from Melody Line.oms
Drums 08A 110PS4'4G Enhancing & Smart Delay GM Set (#35-70).oms
Drums 10A 120PS4'4G Generation Dance & Smart Delay GM Set (#35-70).oms
Drums 11C 090PS4'4G Generation Ambient Fill & Smart Delay GM Set (#35-70).oms
Drums 12A 110PS3'4G Enhancing & Smart Delay for M3'4 GM Set (#35-70).oms
Female Singing 04A 090S Solo Legato Lyrical.oms
Fiddle 01A 100S4'4 Solo Folk Simple.oms
Flute 01A 110S Solo Lyrical Free.oms
Flute 02A 090S Solo Exotic.oms
Flute 03A 090S Solo Legato Wave Breathy.oms
Flute 06A 110S Solo Original (Notes to Pitch).oms
FX 01A 080P4'4G ''SPACE'' Harp Stream Arpeggio.oms
FX 03A 100SG ''JUMPING BALLS'' from Melody.oms
FX 04A 120S XG Talking Box Line.oms
Guitar 02A 090P4'4G Lyrical Rhythm Fill.oms
Guitar 03A 120PS4'4G Strumming and Simple Solo.oms
Guitar 06A 085P4'4G 16-th Triplet Rhythm Fill.oms
Guitar 10A 200PS4'4G Strumming with Frets Gliding and Simple Solo.oms
Guitar 11A 140P4'4G Lyrical Rhythm Fill with Triplet Inserts.oms
Guitar 12A 120P4'4G Rhythm Fill.oms
Guitar 14A 110P4'4G Strumming Intensive.oms
Guitar 15A 120P4'4G Rhythm Fill.oms
Guitar 16A 100P4'4G Lyrical Rhythm Fill.oms
Guitar 17A 150P4'4G Strumming Rhythm Fill.oms
Guitar 18A 110P3'4G Lyrical Ballad Rhythm Fill.oms
Guitar 19A 130P3'4G Strumming Intensive.oms
Guitar 20A 100P4'4G Strumming with Frets Gliding.oms
Guitar 22A 080P3'4G Spain Manner Rhythm Fill.oms
Guitar 23A 090P2'4G Pop Rhythm Fill.oms
Guitar 59B 080P4'4G Masterly Light Ballad Fill.oms
Guitar Acoustic 07A 100SP Solo Lyrical Traditional with Frets Gliding.oms
Guitar Acoustic 08A 100SP Solo Lyrical with Frets Gliding.oms
Guitar Acoustic 09A 090SG Solo Simple Lyrical Tremolo (Notes to Pitch).oms
Guitar Distortion 01A 100SP Solo Lyrical Bending.oms
Guitar Distortion 03A 110S Solo Original Too Compressed.oms
Guitar Distortion 04A 100SP Solo Simple and Chords with Frets Gliding.oms
Guitar Distortion 05A 100SP Solo Simple and Chords.oms
Guitar Distortion 06A 110S Solo Intensive Vibrato and Bending.oms
Guitar Distortion 07A 090S Solo Slow Handle Attack.oms
Guitar Jazz 01A 090SP Solo Lyrical Simple and Chords.oms
Guitar Jazz 02A 085PS Solo Lyrical Simple and Chords.oms
Harmonica 01A 100S Solo Breathy Lyrical.oms
Harmonica 02A 100SG Solo Original Terz Tremolo with Pitch Gliding.oms
Human Voice 01A 100S Solo Legato Free.oms
Human Voice 02A 110S Solo Legato Exotic.oms
Human Voice 03A 090S Solo Legato Simple.oms
Human Voice 04A 100PS Chords Accent Back-Vocal.oms
Organ 04A 120P4'4G Rock ''KOKORIN'' Chords Manner.oms
Piano 07A 110P4'4G Pop ''ALEX'' Manner.oms
Piano 11A 125P3'4G ''VIENNESE WALTZ'' Chords and Bass.oms
Piano 16A 070P4'4G 32nd Arpeggio.oms
Piano 26A 110P4'4G ''STORM'' 8-th triplet Arpeggio.oms
Pizzicato 01A 100P3'4G Rhythm Fill.oms
Pizzicato 07B 075P4'4G Pop Syncopated Fill.oms
Sax 01A 100S Solo Legato Soft Attack.oms
Sax 05A 075S Solo ''FAUSTO'' Sweet Legato Manner.oms
Sax 08A 110S Solo Crying Non-Legato.oms
Strings 01A 090P Chord Slow Soft.oms
Synth 01A 110S Solo Legato Simple Handle Wheel.oms
Synth 02A 110SP4'4G Generation Fast Pulsation.oms
Trumpet 01A 100S Solo Lyrical Free.oms
Vibraphone 01A 090SG Solo Lyrical Tremolo.oms
Vibraphone 03A 090SG Solo 32nd Octave Tremolo.oms
Violin 01A 110SP Solo and Chords Traditional Simple.oms
Violin 110SP 01A Solo and Chords Traditional Simple.oms
Z 01B Solo Transformation.oms
Z 02A Clear Drums.oms
Z 04A Global C5 (#60) Flip.oms
Z 04B Global C5 (#60) Flip + 1 Octave Up.oms
Z 04C Global C5 (#60) Flip + 1 Octave Down.oms
Z 07C Swing on 16-th.oms
Z 10A From Score to Maj or Min Chord of Dominant Key.oms
Z 12A Random Value of Velocity.oms
Z 14A Random Value of Start Time.oms

Solo | Transform only Solo Score Type
Solo and Poly | Transform Solo Score Type with Poly inclusion
Poly and Solo | Transform Poly Score Type with Solo inclusion
Poly | Transform only Poly Score Type
Generation Poly | Generate accompaniment from a chords (Poly)
Generation Poly and Solo | Generate accompaniment from a chords (Poly) and will transform Solo

It is impossible to forbid the use of a certain Style to be used in a situation it was not designed for. Besides, in some cases it provides for some very interesting musical results. But the most convincing results will be obtained by observing the recommendations included in the Style comments.

Style Name

The basic name identification of a Style is defined by the first word(s) of a style's name, which corresponds to its purpose is coded as to what type of Style it is. For example, for the Style "Guitar 02A 090P4'4G Lyrical Rhythm Fill" these are "Guitar" and "02A".

The name of a Style also includes a brief 'code' delineating its functionality and also a very brief comment. For example, for the above Style these are "090PS4'4G" and "Lyrical Rhythm Fill". The comment describes a musical manner, and the 'code' is used to sort the Style into the appropriate folder, based on the following parameters:

  • Three symbols placed at the head of the coding indicates the default Tempo. For example 090P4'4G means that the Style is intended for an average Tempo of 90 BPM.
  • The subsequent alphabetic symbol (or two alphabetic symbols) will mean following: P - Poly, S - Solo, PS - Poly/Solo, SP - Solo/Poly. So P in the above example corresponds to the Poly type of musical score.
  • The following digital symbols (4'4) corresponds to the Style's Meter, so in the specified example this will mean the Meter is 4/4.
  • And finally, the alphabetic symbol at the end of the coding (G) mean Generation.

Thus, the brief "code string" allows the Styles to be sorted within a folder automatically in order based on their average Tempo, score type, Meter, and also such property, such as "Generation". This naming convention facilitates the easy searching for a necessary Style for use with your project.

Note 1:
Pay particular attention to the use of Styles for accompaniment generation, and also Styles intended for a specific Meter. Usually, Styles generating accompaniment include special internal algorithms (patterns connected to a measure division) and have a length of 2 or 4 measures. Therefore, for correct results it is necessary to select a fragment intended to be "transformed" precisely on a measure division. If you do not observe this rule, you can receive a completely different rhythmic structure. However, in some cases this can create quite useful results.

Note 2:
[ _Style ] folder includes the additional set of PM Styles used for the Onyx demo and tutorial projects and for the Modeler's presets which are useful in the OOStyle creating.

Note 3:
Currently, more than 450 PM Styles have already been developed ! For information on the additional style sets please visit our web site: http://www.jasminemusic.com

See also:
Modeler
Modeler Options
PMStyle Library
Basic Performance Modeling Principles
Special Modes of Transformation
Phrase Markers


Basic Performance Modeling Principles

The basic ideas and terms
The Performance Modeling method is based on the idea that the character of a musical performance is, to a large degree, determined by the musical text (Score), musical instrument and musical style.

The Modeler was developed using algorithms which recognize the Musical Objects (MO) in the musical text and transform them with the help of special ‘rules’.

Styles represent sets of rules which approximate a specific style of music. The playback emulates a live musician, or with other parameter adjustments, an unusual or interesting approach to a piece of music.

The Styles included with the program are tested on MIDI files specific to a certain musical style. The process of debugging a Style includes adjusting the ‘rules’ and auditioning the changes. In essence, this process is "training" the Style to match the type of musical text (Score) and character for a given type of music.

How do Styles work?
All ‘rules’ included in a Style systematically scan the musical text. When a Rule finds a Musical Object, for example a chord or a melody line, (the interval jump or the single note with a characteristic context), the Rule transforms the Musical Object to fit the rule parameters.

For a chord, this transformation might be a change of the Start Time of the note, or a change in the Velocity Value, or a change in the Modulation or Duration parameters in a melody.

The same notes can be processed by various rules for every Style. The notes can simultaneously be part of several different Musical Objects. So for example, the note can be in a musical phrase - and also an element of a melody figure. When the transformation is completed, the final functions (the changes which have been caused by the Modeler in the MIDI file) can be very complex.

The Styles found in the Modeler can affect practically any parameter of most musical texts, and this, under certain conditions, can radically change the electronic score and sound. For example, practically all Styles imitating a solo instrument playing include an algorithm to transform the score to a Solo type, even when the initial fragment is a sequence of chords.

The probability of the Modeler
The Modeler works using probability. There are two reasons for this: the musical text and the Style you use on it (see below).

Musical Text
It is impossible to "train" a Style to transform certain musical texts. A Style is tested for most of the common characteristics of the particular instrument and type of score, but (as with a real musician!) an unusual musical text can not be overcome.

Styles
The second reason for probability in the Modeler is due to the way Styles are organized. All transformations in the Modeler (unless you assign the ‘Random % Value’ parameter equal to "0") are carried out with random deviations. In some cases this function can result in rather appreciable distinctions for each new transformation under constant conditions (i.e. the same fragment, the same Style, the same value of Transformation Regulators, etc.). Such an approach is justified, as it allows the program to achieve more convincing results.

What occurs when the conditions of transformation change?
It is possible to achieve slightly different versions using only one Style by changing the positions of the Transformation Regulators, just as you would have different versions of a piece played by just one performer. If, for example, you change the value of the Duration Regulators, all Rules included in the chosen Style which have an influence on event duration receive a command - to increase or to reduce the influence of the Duration Regulators parameter.

Interrelation of the transformation parameters
The majority of the parameters transformed by a Style are interconnected, so if single notes are truncated (shortened duration) by one Rule, it is quite possible that another Rule will not transform these notes, as they now have a smaller duration. If you, having changed positions of the Transformation Regulators, achieve a staccato manner of execution, you will not hear the characteristic changes of Pitch Wheel and Modulation that are peculiar for longer notes.

The role of structural division in the musical text
The analysis and use of structural divisions of the musical text into phrases, motives, and musical statements plays an important role of imitating the performance of a live musician. Structural divisions are especially obvious in solo parts. Even in the performance of a pianist there is an obvious phrase division. The majority of Modeler Styles used for solo imitation make transformations to Velocity, Expressions* parameters, and Start Time (Tempo) - using the phrase divisions which are specified by the user. If a selected fragment includes one or several phrases, it is necessary to set Markers. Then, according to these Markers, the Style makes the appropriate phrase changes.

The time factor in performance
Time is one of the most important factors in determining the microstructure of a performance. In a musical performance timing is critical. The earlier or later a note is played by a musician, the slower or faster the pitch of a sound being modulated (vibrato) is changed by a singer or violinist or the speed a guitarist slides frets. These are very important factors when trying to create realistic MIDI files. Even small nuances in the "timing" can radically change the character of a performance.

Practically all Modeler Styles influence "time" parameters during execution. In some cases this means a change of duration, a shift in a note's Start Time in musical phrases or in chords. In some cases it is the generation of accompaniment according to a certain "time structure" specific to the Style algorithms or even replacing a Start Time of two neighboring notes. All curves (Expression*, Pitch Wheel, Modulation etc.) apply to a single note, to a melody figure or to a musical phrase are all connected to certain "time" characteristics.

The Styles carry out operations rendering a greater or lesser influence on "time" organization of the electronic score. This process requires attention to the "time" factor and application of Styles according to the recommendations. If a Style is intended to transform musical texts written in Tempo 100, it should not be used to transform a MIDI file which will be played back at Tempo 200.

Are Styles universal?
There are different genres of music, various instruments and myriad performers, but all submit to certain musical laws. The violinist, pianist, and guitarist make different sounds, but they all accent certain parts of a piece of music and make deliberate tempo changes so that the performance can be really expressive and emotional. Musicians observe some "musical norms" if they want the nuances to be perceived by the listeners.

Onyx Styles include "Rules" which provide general laws of performance (changes of volume and Start Time in phrases). Rules emulate a performance characteristic of the particular instrument or group of related instruments. The set-up of the primary Rules can be almost identical in Styles for different instruments. While other Rules can have other adjustments, the Styles (and Rules) of the Modeler are considered practically universal.

For example, the Styles for one group of instruments are interchangeable. If a Style is intended for acoustic guitar accompaniment, it can be used for "Overdriven guitar playing" by reducing the depth (amount) of Velocity transformation. The Style for the simulation of solo overdriven guitar playing can be used to achieve an acoustic guitar solo by the reducing influences on Pitch Wheel and Modulation. The Styles for Breath and Wind instruments are quite universal. A very interesting result can be achieved using the Solo Flute Style or Trumpet Style for Sax and vice versa.

Who defines the result of performance modeling?
The Onyx Modeler is only a tool. The modeler is not able to experience, feel, or internalize music as a human listener or musician would. For this reason, you can define the Modeler to perform the way you want by changing the Modeler’s parameters. Until now, the nuances of a realistic musical performance were largely a secret from science - and a very difficult subject for computer modeling. Now, with Onyx Modeler, you can adjust the conditions of the transformation and achieve a convincing level of performance. The final result is up to you!

Do not be afraid to experiment with different values of the Transformation Regulators! You will undoubtedly know it if you move in the wrong direction. Even if you do not know how to play the instrument you are modifying, your musical experience will prompt you to move in the proper direction and help you achieve great results.

The Modeler is a very powerful tool which allows you to achieve the expressiveness you desire in the performance of your music.

See also:
Modeler
Modeler Options
PMStyle Library
Special Modes of Transformation
Phrase Markers


Special Modes of Transformation

The settings found in the Initial and Assign columns (Initial Parameters section) combined with parameters such as Mute, Depth% and Random% columns (Transformation Regulators section) results in a wide range of possibilities in the transformation of your material.

Usual mode
In the default settings, the Style Modeler carries out a filtration of a selected song fragment and will transform this data in a generally useful way. The Depth% regulators are assigned to '100' and all of the Random% parameters are set to '20', so the Style Modeler feature will transform the data on a normal scale, and the 'casual deviations' will not exceed 20%. Each new transformation of a song fragment by the Style Modeler left at the default settings will yield slightly different results each time. See The probable character of Modeler work for additional details.

Changing the initial value of deviations
For parameters such as Velocity, Expressions* and others you can make transformations in such a way that all deviations will be carried out not from initial/default values (displayed in the Assign column) but from new values of your choosing. So for example, if you assign a large Depth% parameter (let's in 160-200%), the deviations will be limited by the top range of the controller (=127) and you would then need to assign a value of 40-60 in the Assign column. The Style Modeler feature, as a rule, compensates for such restrictions. But it is necessary to remember similar situations. A specific set of parameters can be required in a case when you do not specify a large depth%, for example, but you want all deviations to be carried out from a small or average value of a parameter.

Mode of influences mixing
You also have the ability to mix influences (changes) of the Modeling parameters based on your own MIDI-keyboard playing by using the data from a user-created Style. So for example, if you do not set the filtration checkbox on the Velocity parameter (by clicking the checkmark in the Initial column), the Style Modeler will add its own deviations to the Velocity changes that are already present (from your playing). This feature can be assigned to other parameters too! However, when mixing modeling influences it is difficult to guarantee a satisfactory result for all situations. The Style Modeler does not analyze deviations already present in your played-in material (e.g., Velocity, Expression*, Pitch Wheel or Modulation messages) and will use it's own deviations in addition to yours. For complete control and predictable behavior in the Style Modeler you would have to use an absolutely clean (only notes) electronic score.

The combined mode
You can also apply a combined mode of operations, where certain parameters are kept fixed, while other parts will be changed by a Style. For example, say you want to keep the initial Velocity and Pitch Wheel changes (your own individual interpretation of accents in musical phrases and your specific control of pitch intonation), but you'd like to create all Expressions* and Modulation changes with the help of Modeler. In this case it is necessary to enable the checkmark in the Initial column for Velocity and Pitch Wheel parameters and to clear the checkboxes for Expressions* and Modulation. If you enable the checkbox in the Mute column of the Transformation Regulators section for Velocity and Pitch Wheel parameters the Modeler will exclude these parameters from transformation.

The important notes

Note 1:
100 PMStyles are already included with Onyx, as well as many additional PMStyle Sets (these use PM algorithms which are closer to SEM2.0 Styles). Note that all PMStyles have been specially modified for use with Onyx. They also they have "influences mixing" (see above) as the default mode. This means that each Onyx PMStyle will work using a mix of the the initial controllers (already existing in the Initial or in Generated Data) and controllers produced by a Style.

Note 2:
It is necessary to remember that the majority of parameters in the Style Modeler are interconnected. Therefore, excluding (by using the checkboxes in the Mute column) one or more parameters from the transformation function can influence the transformation of other parameters. See the section titled Interrelation of the transformation parameters for details.

Note 3:
The Start Time parameter plays an especially important role in the generation of accompaniment in Onyx. This parameter determines a "time" structure of rhythmic fills. If in a given Style you assign a Start Time Depth% of '50', the fragments of rhythmic fills will be compressed by 1/2 (are played 2 times faster). If you assign a Depth% of 200, the fragments of rhythmic fills will be stretched proportionately. A non-devisable value of Depth% for Styles results in a problematic unit of "time" organization of an accompaniment which gives rise to an unrhythmical performance. However, if you will choose as a value of Depth% '66' or '150', the 4/4 rhythmic fill will result in a triplet feel. But in this setting it is impossible to guarantee satisfactory results for the any musical situation.

Note 4:
Some Styles are rather critical to any adjustment of depth of the Pitch Wheel parameter. This parameter can be used to imitate fret slides (for example in acoustic guitar styles) or to carry out the role of melody intonation (i.e. when Pitch Wheel messages replaces the notes), for example, with imitation of musical "ornaments". In this case the change of depth of the transformation Pitch Wheel can essentially break the musical intonation. So with a value of Depth% at 100 we receive deviations close to 1/2 or a whole tone, and with a Depth% setting equal to '50' we receive a deviation accordingly in 1/4 or 1/2 tones.

See also:
Modeler
Modeler Options
PMStyle Library
Basic Performance Modeling Principles
Phrase Markers


Phrase Markers

The important role of imitating the performance characteristics of a live musician is made possible by the analysis and use of structural divisions of the "musical text" into phrases, motives, and musical sentences. The need for this is especially obvious in solo parts. The majority of PMStyles used for solo imitation/modeling make transformations to Velocity, Expression parameters, and Start Times (Tempos) by using the phrase divisions specified by the user with the help of Phrase Markers. According to the Markers used (and their placement) the Style will bring in the appropriate phrase changes. User-defined Boundary settings help the Modeler better understand the musical material (score) and helps the transformation process produce realistic results.

Note:
To easily auto-insert phrases you can use the AutoPhraser - as a part of MFX chain or as an offline MIDI processing tool. Alternatively, you can mark phrases manually (see below).

Marking Phrases Manually:

Step 1. Select a melody fragment and set the Song Position Pointer to the start of the first note of a phrase. For exact placement it is possible to use the [image] (Go to Next Note) and [image] (Go to Previous Note) buttons.

Step 2. Click [image] to set the Marker on the beginning of a phrase.

Step 3. Set the Song Position Pointer to the end of the last note of a musical phrase. Use the useful [image] and [image] buttons for exact placement.

Step 4. Click [image] to set the Marker on the end of a phrase.

Note 1:
There is no need to mark the end of a phrase if it precisely coincides with the beginning of the next phrase.

Note 2:
Be careful when using the phrase markers - the beginning of next phrase must not be placed before the end of the previous one!

Note 3:
If you set a phrase marker "on a note" (for example in the middle of a note) the note may become truncated (cut off) when applied to some PMStyles.

Marking Phrases Semi-automatically

Step 1. To select a phrase, drag the cursor in the Time Ruler from left to right over the necessary area to you want to select. Release the mouse button when you have marked the necessary area.

Step 2. Click [image] (Mark Selection As Phrase) and two markers will appear - at the beginning and at the end of the selection.

Deleting a single Phrase Marker

Step 1. Set the Song Position Pointer on the Marker of the beginning (or on the Marker of the end) of a musical phrase. You can use the mouse or the [image] (Go to Next Phrase) and [image] (Go to Previous Phrase) buttons.

Step 2. Click [image] . The marker will be deleted.

Deleting several Phrase Markers

Step 1. Select a fragment that contains several music Phrase Markers.

Step 2. Click [image] (Delete Phrase Markers). All phrase markers will be deleted from the selection.

See also:
Phrases Control toolbar
Modeler
Modeler Options
PMStyle Library
Basic Performance Modeling Principles
Special Modes of Transformation


Modeler Options dialog

Expression* MIDI Message

This section is intended to familiarize you with the Expression* parameter. For this parameter, the following controllers can be assigned: Volume (7), Expression (11), Breath (2) or Brightness (74).

The controller Expression (11) is assigned to the Expression* parameter by default.

You can choose controller Expression (11) for local changes of loudness which will be inserted by the Modeler during transformation, but you also have an opportunity to control the loudness of the whole track with the help of the Volume Controller (7). However you should remember that not all the instruments react to Expression (11), and sometimes this controller may be switched off. Please ensure that Expression (11) is enabled on your synth/sound module if you plan to use this feature.

The choice of Breath (Controller 2) is available for instruments that respond to breath control. For example, the sound modules of the Yamaha VL series respond to Breath Controller expression parameters.

The choice of Brightness (74) offers wide opportunities for effective cutoff frequency control of the filter for Yamaha XG modules and for other modern synthesizers.

Note:
Using a chain of two MIDI FXs (e.g., the Modeler and Controller Adjuster), you can easily convert one controller produced by the Modeler (PMStyle algorithm) to another controller. For example, you can freely set the Controller Adjuster for the transformation of Controller #11 (Expression) to Controller #55, or #77, etc. This can be very useful when working with non-GM MIDI instruments.

Auto Optimization section

The Auto Optimization function provides for filtration of the MIDI-events in the transformed fragment. It is necessary when after transformation the fragment includes many messages, the number of which can be reduced without essential influence on the character of the music. The filtration and optimization of a fragment can is executed with the following parameters: Expression*, Pitch Wheel, Modulation and Panning.

For each of these parameters it is possible to precisely set the level of filtration according to which events will be filtered. The smaller the number, the more MIDI events will be generated to control a fragment and the function of the changed parameter will be more precisely drawn. For example, if you have assigned a Modulation value of 5, the modulation value changes will be drawn in steps of 5 units.

If you uncheck the checkbox of a given parameter you cancel its filtration.

Note:
Operation of the filtration and optimization for parameter Expression* will be carried out only for those controllers which are assigned to this parameter. So for example, if for the Expression* parameter the controller Brightness (74) is selected, only these messages will be utilized.

See also:
Modeler
PMStyle Library
Basic Performance Modeling Principles
Special Modes of Transformation
Phrase Markers


Note Properties dialog

The Note Properties dialog lets you edit a note's Start Time, Duration, Pitch, and Velocity. To display the Note Properties dialog, right-click on a single note. Edit the Start Time, Pitch, Duration, Velocity as desired. Click OK when you are done. Onyx will update the note event accordingly.

Note:
Remember - in Piano-Roll only notes from the Main Tracks (initial data) can be edited. Notes of the Orchestrator Tracks are display-only in the Piano-Roll Note pane.

See also:
Notes Pane


Orhestrator dialog

Orchestrator dialog

The Orchestrator controls automatic generation of tracks based on the currently selected OOStyle, Key/Scale and chord progression. It utilizes the unique Music Object Morphing technology (MOM), developed for the Onyx software line.

Music Object Morphing enables you to transform any music object, such as a song or a melody, into a new music object by applying harmonic and rhythmical models contained in a pattern. Onyx implements the idea of MOM technology in which any MIDI file can be used as a pattern. MOM does this by first analyzing the pattern and then creating a new arranging "style" (OOStyle). This style is then applied to the song and can also be saved for future use.

If a pattern includes a chromatic bass line, or transitional notes "played around" chord steps, all of these notes will be preserved in OOStyle and you will see it in your song. You can freely compose a fast and dense harmony progression, or use just one chord in your song. Internal OOStyle data (Pattern) will be faithfully morphed according to your song order.

The principle Orchestrator function is to morph internal OOStyle data (Pattern) in two aspects:

  • Transformation of the initial rhythm of OOStyle constrained by the Pattern Use and Orchestra Fill control modes

  • Transformation of the initial harmony of OOStyle constrained by the selected Key/Scale and chord progression

The additional Orchestrator functions are to give you most flexible control of the generation process: independent Score Morphing, Velocity accent, adjusting of Panning, changing of Patch for every track, Drum sounds and changing of their Velocities, and more.

To open the Orchestrator, choose the MIDI Process-Orchestrator command, or click [image] in the Main Tools toolbar.

The Orchestrator dialog has three shortcut sections, which can be opened / closed independently:

  • Pattern Use and Fill Control

  • Track Controls - Drum Converter

  • Style Comment

Pattern Use and Fill Control section includes core Orchestrator settings. Track Controls section provides access to additional settings including the Score Morpher presets, chord steps and octave shifting, notes ranging for Bass, Pedal, Tune and Chords tracks (chromatic data) and to the Drum Converter subsection for drum tracks. All adjustments can be saved as a custom Orchestrator preset belonging to the currently selected OOStyle, available for future use.

For the purpose of this manual we use the following conventions:

Bass | Any melodic line in low pitch range (as opposed to chord accompaniment in the same range). However it does not have to be the main bass of a song.
Chords | Parallel sounding notes, or overlapping notes with the duration of about up to a whole note (like Guitar, Piano score or Jazz Brass chords).
Pedal | Parallel sounding notes, or overlapping notes with the duration of more than a whole note (like Strings or Pad score).
Tune | Any melodic line in the middle/high pitch range (as opposed to chord accompaniment in the same range). However it does not have to be the main melody of a song.
Ef | A track with non-chromatic musical data such as Guitar Fret Noises, Wind, Applause, etc.

The top of the Orchestrator dialog has Presets drop-down list, with the related Save, Delete and Refresh buttons, Help button, Reset Clips button, Next and Prev. button, Folder and Style drop-down lists.

The indicator [image] is green if the SPP (Song Position Pointer) is within the region of activity of this Orchestrator.

 | Switches an OOStyle in the current open Orchestrator dialog to the next OOStyle, set in the project.
(Previous) | Switches an OOStyle in the current open Orchestrator dialog to the previous OOStyle, set in the project.

Note 1:
If during the process of switching to the Next or Previous OOStyle the jump to the OOStyle, which has an open Orchestrator dialog, occurs, then this Orchestrator dialog will be closed.

Note 2:
or [image] buttons will be disabled, if in the Orchestrator dialog you have opened the next OOStyle ( [image] is disabled) or the first OOStyle ( [image] is disabled), presented in your project.

There are also indicators that display information pertaining to the currently selected OOStyle:

Length | Displays the full pattern length in measures.
Meter | Displays the pattern's meter followed by the letter "M" for constant meter or "V" for variable meter.
Tempo | Displays the pattern's tempo followed by the letter "T" for constant tempo or "V" for variable tempo.
SN | Displays the serial (factory) number of the OOStyle.

The Reset All button resets all Orchestrator settings to their default values / conditions.

Pattern Use and Fill Control section

This section includes most important controls of generating data on basis of OOStyle content and used Key/Scale and Chords. So they define how (in what way) the internal OOStyle data (pattern) will be repeated (and Morphed) when generating the Orchestrator tracks.

Pattern Use

Three controls define how pattern measures will be used during Orchestrator tracks generation:

Use | Specifies the number of measures of internal OOStyle data (pattern) to use when generating.
From | Specifies the starting measure from which the pattern is used.
Stretch | Specifies in what proportional time scale the original pattern will be compressed or expanded when being generated. This operation is executed after the commands From and Use, as well as all the commands of the Orchestra Fill Control. The possible choices for this parameter are: 1:1, which leaves the pattern length unaltered; 2/1, which doubles the pattern length; 1/2, which shortens the pattern length in half. Note: Stretch operates in the Orchestrator Fill (Orch. Fill) mode only. This mode is set in the Song Manager Control pane. Stretch won't operate in the Insert Fill Before Measures mode (Fill Mode drop-down list).

Two little black flags-sliders above the Initial pattern image (a line of colored boxes) define which measures will be used in the pattern. Appropriate numbers are shown in Use and From indicators. The Result of the measures use is presented at the bottom of the section as a line of colored boxes.

The Stretch parameter can be controlled with the help of the Stretch button.

For example, if you have an 8 measure pattern and you want to use measures 2, 3, 4, 5 of this pattern, set 2 for the From indicator, and 4 for the Use indicator using little black flags-sliders.

Fill Control

Orchestra Fill (a break) is an expressive alteration of the pattern usually preceding the next part of a song. Fill Mode drop-down list allows selecting one of 5 modes of fill applying, when Orchestrator Fill (Orch. Fill) mode is set in the Song Manager Control pane.

Fixed Position of the Fill | The select mode when a Fill remains fixed and doesn't change its position.
Replace Fill with Measure | Replacement of the Orchestra Fill with measures from another specified measure (defined by the position of the little blue flag-slider).
Insert Fill with Step | Specifies the interval (in measures) where the Fill is repeatedly inserted (defined by a number inserted into the appropriate spin).
Insert Fill Before Measures | Specifies a comma-separated list of specific measures before which the Fill is inserted.
Insert Fill at the End | Specifies that the Fill is inserted only once at the end of the pattern before the position of the next OOStyle marker.

When User Fill mode is selected in the Song Manager Control pane, then Song Manager Markers line appears in Fill Mode drop-down list. That means that Fill Markers can be inserted into the Fill Track of the Song Manager.

The following indicators in the Fill line show what measures of the initial pattern will be used as a Fill:

Use | Shows the length of the Fill - a number of measures which will be used as an orchestra Fill.
From | Shows the starting measure from which the pattern is used as a Fill.

Two little red flags-sliders under the Initial patter image (a line of colored boxes) define measures of the pattern which will be used as a Fill. Appropriate numbers are shown in the Use and From indicators. The Result of measures use is presented at the bottom of the section as a line of colored boxes.

The following indicators in the Replace line show what measures of the initial pattern will be used for replacing the Fill:

Use | Shows a number of measures which will be used for replacing the Fill.
From | Shows the starting measure for replacing the Fill.

Two little blue flag-sliders under the red flags-sliders define measures of the pattern which will be used for replacing the Fill. Appropriate numbers are shown in the Use and From indicators.

The Result of measures use is presented at the bottom of the section as a line of colored boxes.

Note 1:
For example, if you have an 8 measure pattern and you want to define measure #8 as an Orchestra Fill, you must set "1" for Use (Fill Size) using red flags-sliders.

Then if you choose Fixed Position of the Fill mode no change in a pattern structure will occur.

If you use Replace Fill with Measure mode and set, say, "6", (using blue flags-sliders) you will get measure #8 replaced with measure #6.

To set a Fill only once before the beginning of a new OOStyle, you must use Insert Fill at the End mode.

If you want to insert a Fill every 3 measures, please select Insert Fill with Step mode and set value "3" in the appropriate spin.

If you put "13,17", using Insert Fill Before Measures mode, you'll get fills placed before measures 13 and 17, starting from the beginning of OOStyle.

Take a look at the pictures below for better understanding of possible OOStyle structure changes.

Note 2:
If Fill button of Song Manager Control pane is switched into Orchestrator Fill (Orch. Fill) mode the real positions of the Orchestra Fill will be indicated as non-edited Fill Markers in the Fill track. If Fill button of Song Manager Control pane is switched into User Fill mode, all Orchestrators will follow the User Fill markers, which can be easily edited by their mouse in Fill track of Song Manager. In this case all Fill Control modes will be disabled.

Note 3:
See also 04 How OOStyle Structure & Fill Position Can Be Changed.opr (Onyx Projects/Onyx Examples folder) file to learn more how Fill position can be changed.

Track Controls - Score Morpher / Drum Converter section

Track Controls section allows to change basic track parameters of the current OOStyle. It includes tab with 13 columns. All columns are active for Bass, Tune Chords and Pedal tracks. Columns #6-13 are automatically closed whenever Drum track is selected - Drum Converter subsection appears instead.

Track Controls subsection

N | A sequential track number used only for reference.
S | Isolates playback for the corresponding track by muting the remaining generated tracks.
Type | Displays the Onyx track type.
Vel+ | Relative Velocity value that will be applied to notes in the track during playback. Ranges from -127 to +127.
Pan | The stereo distribution of the output, ranging from -100 (%, hard left) to +100 (%, hard right); a value of "C" indicates that sound that is centered left-to-right.
F | Switches on/off Controller Filter. It allows to change controllers content of a generated track. "On" (blue color of button) means that all controllers and Pitch Wheel will be removed. "Off" (grey color of button) means that Expression, Modulation, Panning and Pitch Wheel will be presented in the track. Note: We recommend you to leave only Expression, Modulation, Panning and Pitch Wheel in a track, as only these parameters can be run through the Orchestrator Filter. If there are Volume changes in your fragment, which you'd like to keep in a style, modify them into Expression changes with the help of the Controller Adjuster.

Score Morpher subsection

Morphing Mode | This drop-down list serves for selecting a preset, which will determine the type of transformation - from transformation to only first step of the current chord, to the first and third steps, to all steps of the chord, to steps of the chord and steps of the current Scale (or even internal SubScale) and etc. (See the tab with all existing presets below).
1st | This button is used for choosing the mode of "linking" the first chord step. "On" (blue color of button) means that first chord step will be applied in the place of every new Measure Line and every new chord. "Off" means that "linking" will not be applied.
ChSt (Shift Score by ## Chord Step) | Shifts (inverts) all chord steps by the specified number of steps. Ranges from -8 to 8.
OcSt (Shift Score by ## Octave Step) | Shifts all notes by the specified number of octaves. Ranges from -3 to 3.
LGt (Low Gate) | Sets the lower note pitch limit. All notes are generated within the specified range of the higher octave; ranges from 0 to 115. LGt (Low Gate) and HGt (High Gate) controls are linked, and minimal possible interval between them is one octave.
HGt (High Gate) | Sets the upper note pitch limit. All notes are generated within the specified range of the lower octave; ranges from 12 to 127. LGt (Low Gate) and HGt (High Gate) controls are linked, and minimal possible interval between them is one octave.
Sm (Smoothing) | Applies a linear smoothing that flattens the melody line. It can be applied to the polyphonic data too: Chords, Arpeggios with melodic elements, etc.

Track Up button allows moving track up to the empty place (track).

Track Down button allows moving track down to the empty place (track).

Note:
Any Bass, Tune, Chords and Pedal (chromatic) track can be moved into any empty chromatic track. So, for example, Bass track can be replaced with Bass, Tune, Chords or Pedal tracks. But Drum track can be moved to the Drums track only.

There are two lists which serve for choosing Patch and Bank of the current (selected) track at the bottom of Track Controls section:

Patch | The instrument sound that will be used for playback.
Bank | To change / assign a Bank.

Reset All button resets all parameters of the Track Controls section.

Reset Score Morpher button resets all Score Morpher parameters of the current (selected) track only.

The current track (the one containing the highlight) is always selected.

Morphing Modes

The Score Morpher internal modes are intended for various kinds of musical texture transformation based on the assigned Key/Scale and Chord progressions. They give an extreme flexibility in transformation of internal data of a pattern.

Morphing Mode name | What to do with Pattern Chord Step … in the new Chords & Key/Scale | What to do with Pattern Scale Step … in the new Chords & Key/Scale | What to do with Pattern Other Notes … in the new Chords & Key/Scale
01 1st Chord Step Only | keep 1st Nearest Chord Step | keep 1st Nearest Chord Step | keep 1st Nearest Chord Step
02 1&3 Chord Steps Only | keep 1&3 Nearest Chord Steps | keep 1&3 Nearest Chord Steps | keep 1&3 Nearest Chord Steps
03 Bass All Chord Steps | keep the same Chord Steps | to the nearest Chord Step | to the nearest Chord Step
04 Chord/Pedal Nearest | to the nearest Chord Step | to the nearest Chord Step | to the nearest Chord Step
05 Chord/Pedal 1&3 Steps | keep 1&3 Chord Steps | to the nearest Chord Step | to the nearest Chord Step
06 Chord/Pedal 1st Step | keep 1 Chord Step | to the nearest Chord Step | to the nearest Chord Step
07 Bass All Steps | keep the same Chord Steps | to the nearest Scale Step | to the nearest Chord Step
08 Bass/Tune Nearest Steps | to the nearest Chord Step | to the nearest Scale Step | to the nearest Chord Step
09 Bass/Tune 1&3 Steps Only | keep 1&3 Chord Steps | to the nearest Scale Step | to the nearest Scale Step
10 Bass/Tune 1st Step Only | keep 1 Chord Step | to the nearest Scale Step | to the nearest Scale Step
11 Free Bass/Tune All Steps | keep the same Chord Steps | keep the same Scale Step | to the nearest Scale Step
12 Free Tune Nearest Steps | to the nearest Chord Step | keep the same Scale Step | to the nearest Scale Step
13 Free Ch./Ped. 1&3 Steps | keep 1&3 Chord Steps | keep the same Scale Step | to the nearest Scale Step
14 Free Ch./Ped. 1st Step | keep 1 Chord Step | keep the same Scale Step | to the nearest Scale Step
15 Free Bass/Tune All Steps | keep the same Chord Steps | to the nearest Scale Step | to the nearest Scale Step
16 Free Tune Nearest Steps | to the nearest Chord Step | to the nearest Scale Step | to the nearest Scale Step
17 Free Bass/Tune 1&3 Steps | keep 1&3 Chord Steps | to the nearest Scale Step | to the nearest Scale Step
18 Free Tune 1st Step | keep 1 Chord Step | to the nearest Scale Step | to the nearest Scale Step

Note 1:
Scales, specified in the columns, signify internal SubScales, which are defined automatically by the Score Morpher (but not by Current Scale, set by a user or recognized by Harmonizer).

Note 2:
NTONYX MOM Technology allows using a style in different meters and a different rhythm of harmony sequence. OOStyle can also preserve initial tempo changes. Take a look at the following examples to make it clear:

05 How 4'4M OOStyle Can Work in 3'4 5'8 and 3'8 Meters.opr
06 How 6'8M OOStyle Can Work in 5'8 4'8 and 3'8 Meters.opr
07 How OOStyle Content Will Be Morphed To New Harmony Rhythm.opr
08 Piano Moods (Variable Tempo Example).opr

Drum Converter subsection
This section is applied only when Drum tracks are processed and allows to alter and mute drum notes and change their relative velocity value. This section is turned on automatically and individually for each Drum track.

Reset Resets all parameters of Drum Converter for the current drum track.

Common Morphing Parameters dialog

It contains special settings used to make fine adjustments of Velocity, Time parameters, and also Smoothing that are employed during the morphing process. These settings are applied to Bass, Tune, Chords and Pedal (chromatic) tracks only. Interval in ## /8 Note parameter will be active only for tracks in which Sm button is pressed.

Chord Look Around | Some notes of a pattern are not quantized by the chord grid ( e.g., swung notes). To overcome the problem of how to define which chord a given note belongs to - the current chord or the preceding one. Chord Look Around sets the "swing zone" for more suitable result of morphing process of the notes, which start a little bit earlier than a chord marker position.
Min Next Chord Overlapping | If a note lasts to the next chord zone, but this overlapping zone is not larger then Min Next Chord Overlapping parameter, then this note will not be truncated.
Max Next Chord Overlapping | If a note lasts to the next chord zone, and this overlapping zone is between Min Next Chord Overlap and Max Next Chord Overlap, this note may be split at the next chord change position , depending on the rules utilized in the morphing process. If the overlapping zone is larger than the Max Next Chord Overlapping parameter, then the note will be truncated anywhere.
New Note velocity Reducing | When a note is split into two new notes, the velocity of the note will be reduced by the New Note velocity Reduction percent value.
Interval in ## /8 Note | The maximum Interval without Chord Step Notes, where smoothing will be applied. The algorithm will not smooth longer intervals.

Note:
See also 03 How ONE OOStyle Can Sound On ONE Chord.opr (Onyx Projects/Onyx Examples folder) file to learn how, due to the use of advanced settings, the sounding of one OOStyle can be changed.

Reset Clips Resets clips to their initial length.

Note:
All OOStyles have Factory 01 (and in some case even 02,03,04,05) Presets. They allow using a certain OOStyle in its optimal mode. These Factory Presets will be uploaded automatically if OOStyle marker is placed into Style Track of Song Manager use menu. If OOStyle is uploaded into Orchestrator, using Orchestrator Style dropdown menu, Factory Preset will not be uploaded (but it can be selected by hand), however, Orchestrator will apply its default settings. These default settings can be changed in accordance with a certain task of the user, and a new mode of Orchestrator work can be saved as user's preset for this OOStyle.

Take a look at the Onyx Working Diagram to learn how the program processes the data, what type of data will be shown, and what kind of data can be edited in Piano-Roll and Event List, and also where Real-time MIDI FXs can be applied.

Style Comment section

This section displays the author, the genre and the subgenre of the pattern, as well as some additional OOStyle info.

See also:
Editing Fill Markers
Tutorial 3: Orchestrating a Melody


Orchestrator Tracks Manager dialog

The Orchestrator Track Manager allows you to control the following parameters organized into columns in the Orchestrator Track pane: FX, Patch, Volume, Panning, As. Ctrl, Time+, Key+. Data is transferred to and modified in all tracks simultaneously.

To open the Orchestrator Track Manager choose the View-Orchestrator Track Manager menu command, or click [image] in the View toolbar.

The Orchestrator Track Manager has the following modes:

FX section

Mute All | Switches 'off' all Effects in all tracks. The Mute button will become activated in each track in the Orchestrator Track pane.
Mixed | Switches 'off' Effects in the tracks of your choice.
On All | Switches 'on' all Effects in all tracks. The Mute button will become deactivated in each track in the Orchestrator Track pane.

Patch section

Mute All | All patches assigned in the Orchestrator Track pane and set inside clips are not sent to your MIDI devices.
Mixed | Mute can be assigned, Patches can be set, or Clips can be selected for any tracks in this mode.
Clip | Patch info is utilized only from the Orchestrator Clips.
Track | Only those Patches set in the Orchestrator Track pane (but not those assigned inside individual tracks) are transferred to your MIDI device.

Volume section

Mute All | All Volume data assigned in the Orchestrator Track pane and set inside clips is not sent to your MIDI device.
Mixed | Mute can be assigned and Volume, Envelope or Clip can be set for any tracks in this mode. If an assigned Volume is in the Orchestrator Track pane, for this track all other Volumes, set inside clips, are transferred to MIDI device.
Clip | Volume data is transferred only from Orchestrator Clips. Volumes assigned in the Orchestrator Track pane are not sent to your MIDI device.
Track | Only Volumes set in the Orchestrator Track pane (but not those assigned inside individual tracks) is sent to your MIDI device.
Envelope | Switches 'on' Envelope mode for all tracks. In this mode you can graphically draw Volume envelopes in the Orchestrator Measure pane. This Volume envelope data will be sent to your MIDI device and overrides all other envelope settings.

Panning section

Mute All | All Pannings assigned in the Orchestrator Track pane and set inside clips is not transferred to MIDI device.
Mixed | Mute can be assigned and Panning, Envelope or Clip info can be set for any tracks in this mode. If an assigned Volume is in the Orchestrator Track pane, for this track all other Panning info (set inside each clip) is sent to your MIDI device.
Clip | This setting indicates that Panning info is sent only from Orchestrator Clips. Panning settings assigned in the Orchestrator Track pane are not sent to your MIDI device.
Track | Only the Panning data set in the Orchestrator Track pane (but not those assigned inside individual tracks) is transferred to your MIDI device.
Envelope | Switches 'on' Envelope mode for all tracks. In this mode you can graphically draw Panning envelopes in the Orchestrator Measure pane. This envelope Panning will be sent to your MIDI device and overrides all other panning settings.

As. Ctrl (Assigned Controller) section

The Assigned Controller section is used to set ways (modes) of controlling any MIDI controllers - except Volume and Panning. For each selected list of controllers it is possible to install a mode. The following modes can be selected:

Mute All | All Assigned Controllers set in the Orchestrator Track pane and set inside clips are not transferred to MIDI devices. No Envelopes will be visible in the Orchestrator Measure pane.
Mute | The Assigned Controller (selected in the drop-down list) set inside clips is not transferred to MIDI devices. Its envelope won't be shown in the Orchestrator Measure pane.
Clip | The Assigned Controller is transferred only from Orchestrator Clips.
Envelope | Switches 'on' Envelope mode for all tracks. In this mode you can graphically draw an Assigned Controller Envelope (selected from the drop-down list) in the Orchestrator Measure pane. This envelope will be sent to your MIDI device and overrides all other settings.

Note:
You can choose to graphically draw an envelope for any controller with the help of the "envelope for Orchestrator Track" setting as seen in the Track Properties dialog.

Time+ section

Mute All | Switches 'off' the Time Offset parameter for all the tracks in the Orchestrator Track pane.
Mixed | Allows you to assign the Time Offset mode for each track.
Master Time+ | Allows you to assign the same Time Offset for all tracks.

Key+ section

Mute All | Switches 'off' the Key+ parameter for all the tracks in the Orchestrator Track pane.
Mixed | Allows you to assign an individual Key+ for each track.
Master Key+ | Allows you to assign the same Key+ for all the tracks.
Exclude Ch | Switches 'off' Key+ parameter for specific (user defined) MIDI Channels.

Note 1:
Mixed mode is activated whenever different parameter types are assigned to tracks. For example, if the program is set to Master Time+ mode and then the Time Offset parameter in one of the tracks is changed, Mixed mode will be switched on automatically, and the Master Time+ value will be retained for the remaining tracks.

Note 2:
By repeatedly clicking the appropriate column title in the Orchestrator Track pane you can select each mode sequentially.

See also:
Orchestrator Track pane
Track Properties dialog
Using Preset
Onyx Working Diagram


Optimization dialog

This dialog allows you to set the necessary value of optimization steps.

Expression, Modulation, Panning, Pitch Wheel, and Volume parameters have independent settings. All other controllers can be filtered according to common settings.

For each of these mentioned parameters it is possible to set a precision of filtration, according to which the events will be filtered. The smaller the number is, the more MIDI events will be generated to control a fragment - and the more precisely the function of the changed parameter will be drawn. For example, if you have assigned a value of 4 for Modulation, the modulation value changes will be drawn with the step of 4 units.

If you uncheck the checkbox of the parameter, you will cancel filtration for this parameter.

Note 1:
All parameters (excluding Pitch Wheel) can be controlled with the step of '1' (ranging from at least 1 to 32 with full range being 1-127). Pitch Wheel ranges from 1 to 256 (full range - from -8192 to +8191).

Note 2:
Recommended (default) optimization settings are the following:

Expression: 2
Modulation: 8
Panning: 4
Wheel: 128
Volume: 2
Other Controllers: 4

The Reset button resets all Optimization dialog settings to their default values.


Paste dialog

The Edit-Paste command opens the Paste dialog, which lets you put the contents of the clipboard into any appropriate place in your project.

The Paste dialog has the following fields:

Starting Track: | Sets the number of the track where you want Onyx to begin pasting the data.
Starting at Time: | Sets the Now time where you want the pasted data to begin.
Repetitions: | Sets how many copies of the pasted data you want to paste into the track, repeated one after another.

What to do with existing material:

Blend Old and New | Choosing this option tells Onyx to mix the new data with the old.
Replace Old with New | Choosing this option tells Onyx to delete the old data.
Slide Over Old to Make Room | Choosing this option tells Onyx to slide the old data either forward or backward in the track to make room for the new data.

What to Paste:

Events in Main Tracks | If you check this checkbox, Onyx pastes all MIDI events from the copied data.
Tempo Changes | If you check this checkbox, Onyx pastes all tempo changes from the copied data.
Meter Changes | If you check this checkbox, Onyx pastes all meter changes from the copied data.
Markers | If you check this checkbox, Onyx pastes all markers from the copied data.
Key/Scales | If you check this checkbox, Onyx pastes all Key/Scales from the copied data.
Chords | If you check this checkbox, Onyx pastes all Chords from the copied data.
User Fill | If you check this checkbox, Onyx pastes all Orchestra Fill from the copied data.
OOStyles | If you check this checkbox, Onyx pastes all OOStyles from the copied data.

See also:
Copy dialog
Cut dialog


Rendering the Chord Audition MIDI Data dialog

This dialog allows you to select a necessary mode for the Rendering the Chord Audition MIDI Data command. The rendered data is set in the Chord Audition dialog according to the parameters made by the user.

To open the Rendering the Chord Audition MIDI Data dialog, choose the Rendering-Rendering the Chord Audition MIDI Data command, or click [image] in the Render toolbar.

By Measures section

This section has several modes which allow you to select the measures that need to be rendered:

All Existing Chords | Selection of all existing measures with Set Chords.
According to the Selection | Rendering of measures selected in the Time Ruler.
From Measure to Measure | Selection of measures specified directly in the dialog (From: ## , To: ##).

By Tracks section

This section allows you to select tracks (Chords or/and Bass), which need to be rendered:

Chord and Bass Tracks | Rendering of Chord and Bass Tracks.
Chord Track | Rendering of Chord Tracks only.
Bass Track | Rendering of Bass Tracks only.

To automatically delete all the Chord Markers after this operation is performed, select the Delete Rendered Chords option.

See also:
Chord Audition dialog
Editing Chords


Rendering the Orchestrator Tracks dialog

This dialog allows you to select the necessary measures and tracks to render the Orchestrator tracks from the Orchestrator Track/Measure pane to the Main Tracks/Measure pane operation (e.g., for further editing and tweaking purposes).

To open the Rendering the Orchestrator Tracks dialog, choose the Rendering-Rendering the Orchestrator Tracks command, or click [image] in the Rendering toolbar.

By Measures section

This section has several modes which allow you to select the measures that need to be rendered:

All Existing OOStyles | Select all existing measures with set OOStyles.
According to the Selection | Render measures selected in the Time Ruler.
From Measure to Measure | Select measures specified directly in the dialog (From: ## , To: ##).

By Tracks section

This section allows you to select the Orchestrator tracks which need to be rendered:

Track 1 - 10 | Select track for rendering.
All Orchestrator Tracks | Select all tracks or undo the selection of all tracks.

You can also use the following options:

Apply All Orchestrator Tracks Settings, Envelopes and FXs | All settings for Orchestrator Tracks, including drawn Envelopes and specified FX will be used when using the "Rendering the Orchestrator Tracks" command.
Delete All Existing OOStyles | Used to delete all OOStyles after the "Rendering the Orchestrator Tracks" operation is performed.

See also:
Orchestrator Measure pane
Orchestrator Track pane


Quantizer dialog

The quantize operation is usually used to "round off" start times and note durations so they can be displayed correctly (in the grid format) in the Notes pane. Quantizing also allows song playback to occur with precision that is almost impossible to achieve if tracks were recorded "live". Some styles of music such as techno and disco benefit from this kind of control.

It is also desirable to use quantized material as the initial data for the majority of Modeler Styles that generate accompaniment and also those which have algorithms that insert volume accents according to the specific Meter of a song. Otherwise it is difficult to achieve predictable results.

To open the Quantizer dialog, choose the MIDI Process-Quantizer command, or click [image] in the MIDI Process toolbar.

Note Start Time section

Resolution | Sets resolution of the start time of note. The smaller the resolution is, the more precise the quantization is.
Start Offset | Select this option if you want the start times of the selected notes to have offset.
Shift Onward | Select this option if you want start times to "snap" to the nearest left-most point, according to resolution.

Note Durations section

Resolution | Sets resolution for the duration of notes. The smaller the resolution is, the more precise the quantization is.
Reduce Dur | Select this option if you want to decrease the duration of the selected notes proportionally.

Start Time Statistic and Duration Statistic panes

These two panes shows note start time and duration information. The upper part shows the initial data and the lower part displays the data after quantization.

Note:
The Quantizer can be used as a part of MFX chain or as an offline MIDI processing tool.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FX can be applied.

See also:
Using Preset
Using MIDI Effects


Snap to Grid dialog

To open the Snap to Grid dialog box, click [image] , which is situated in the right bottom part of the Main view and Piano Roll view.

The following actions can be affected by the Snap to Grid dialog:

  • Selecting the Now Time
  • Making a time selection in the Time Ruler
  • Dragging and dropping a note
  • Inserting a note

The snap grid in each view is independent.

If you set the grid size larger than the length of current measure, the start of the note will be moved to the nearest measure line.

See also:
Snap to Grid toolbar


StyleMaker Assistant dialog

The StyleMaker Assistant dialog appears when you choose the StyleMaker mode by clicking [image] in the Main Tools toolbar.

The StyleMaker Assistant helps you to create an OOStyle.

Section... | What it does...
Selection Data | Displays the meter and tempo of the selected part of the project and whether or not they are variable or constant. Note: the selection must be a whole number of measures ranging from 1 to 16. The Style Maker Assistant uses only tracks that are selected and soloed in the Main Tracks pane.
Type Status | Shows the track number, name of the tracks, and the Track Type that has been specified. Tracks with no 'Type' are disabled.
Harmonization | Displays whether or not Harmonization for the selected portion of the project has been successfully completed. Note: Please monitor the harmonization process carefully. The SM Assistant can not estimate the real-world quality of the harmonizer results. It will say 'OK', even if you have the harmonized fragment far before the selected data. It would be advisable that if every time you use this control that you ensure that the harmonization was done exactly for the selected fragment that you will later use for OOStyle creation.
Choose Attributes

Enables you to choose additional attributes that define a style:

  • Genre - sets the musical genre.
  • Subgenre - sets the subgenre depending on which main genre has been selected.
  • Artist/Band/Author - sets the artist, band and author.
  • OOStyle Name - sets the OOStyle name.
  • Part - sets the name of the part in the project that this OOStyle refers to.
  • Number - sets the number (the position in the project) where this part occurs; ranges 1 - 9.
  • Comment - sets additional commentary text used to distinguish this OOStyle.

Track Type:

Bass | Any melodic line in low pitch range (as opposed to chord accompaniment in the same range). However it does not have to be the main bass line of the song.
Chords | Parallel sounding notes, or overlapping notes with the duration up to a whole note (like Guitar, Piano score or Jazz Brass chords).
Pedal | Parallel sounding notes, or overlapping notes with the duration of more than a whole note (like Strings or Synth Pad).
Tune | Any melodic line in the middle/high pitch range (as opposed to chord accompaniment in the same range). However it does not have to be the main melody of a song.
Ef | A track with non-chromatic musical data such as Guitar Fret Noises, Wind, Applause, etc.

Notes:

  • When you first start the StyleMaker all the highlighted data will be selected and Solo'ed. The Track Type will also be defined automatically.
  • You can quickly select measures and create an OOStyle while a file is being played back. This way it may be easier to avoid mistakes and quickly control the selection of the needed fragment.
  • All OOStyles are created with an automatic - 64 Tc shift (for timebase = 960). This ensures accurate generation of the Orchestrator Tracks in cases when non-quantized data is encountered on the first beat of the first measure of a pattern.
  • You are free to use any additional MIDI processing tools - Event Filter, Quantizer, Time/Pitch Adjuster, Controller Adjuster, Drum Adjuster, and the Modeler in order to adjust the selected tracks.

Saving OOStyles

When saving OOStyles they must be placed in the Onyx Projects/OOStyles folder and in the folders with the genre names (Pop, Waltz, etc.) or in your own sub-folder. Otherwise, they will not be visible to the Orchestrator.

The automatic name of an OOStyle is generated according to the following structure: the name of the original MIDI file plus additional info according to the StyleMaker Assistant and optional Attributes:

  • Song part mark (name of the part and its number), which can be selected in Summary dialog from the following:
    Part Name:
    Br - Bridge
    Cd - Coda
    Ch - Chorus
    Df - Drum Fill
    End - Ending
    Im - Improvisation
    Int - Intro
    P - Part
    R - Refrain
    S - Solo
    V - Verse
    Part Number:
    1,2,3,4, etc.
  • 4'4M - Meter mark, which means that your OOStyle is in 4/4 Meter. If your selection includes more than one Meter, the first Meter will be shown, and the letter V will be added instead of the letter M. For example, 3'4V.
  • 125T - Tempo mark, which means that your OOStyle has 125 BPM Tempo. If your selection includes several Tempos, the first value will be shown, and the letter V will be added instead of the letter T. For example, 98V.
  • 8m - number of measures marked, meaning that your OOStyle contains 8 measures.

The Genre, Subgenre, Artist, and Comment (if entered) will be displayed in the corresponding fields of the Orchestrator dialog. See also the full list of the Onyx OOStyles Folders.

Dev. Name | Opens dialog which allows entering an OOStyle developer name. The name will be shown to the right of Dev. Name button. You can also enter an OOStyle Serial Number to make searches more convenient and for better (easier) style classification.
Password | Opens dialog which allows you to set your own password for an OOStyle. This password protects OOStyle internal musical data and comments, and also your "developer name" from the non-authorized change. It's impossible to open an OOStyle for editing without this password. So you shouldn't be worried, creating your own OOStyles for free distribution or selling.

Note:
All OOStyles created by Jasmine Music Technology are password protected. You cannot open these for editing: all rights are reserved.

See also:
Tutorial 4: Converting MIDI file into OOStyle
Converting MIDI file into OOStyle
OOStyle Attributes Editor
Onyx OOStyles Folders


Tempo dialog

The Tempo dialog appears when you make changes to the Tempo view. In the Tempo dialog you can set a new tempo at a specified point.

Use the following fields to insert a tempo change:

Time - This option applies the tempo from the Tempo field to a specific starting time.
Tempo - Type a new tempo.

See also:
Tempo View
Controllers Pane


Time/Pitch Adjuster dialog

The Time/Pitch Adjuster allows you the ability to alter the Start Time, Duration, Note Pitch and other Track Events. You can stretch or compress selected MIDI data in time or shift the events to the beginning or end of the current (highlighted) selection. It is also possible to use a filter in order to apply transformations only to specific notes.

To open the Time/Pitch Adjuster, choose the MIDI Process-Time/Pitch Adjuster command, or click [image] in the MIDI Process toolbar.

Time Stretch section
Allows you to alter the time characteristics of the track data. This feature has two modes - Coarse Mode and Fine Mode:

Coarse Mode | Manipulates track data with the precision of one measure.
Slide by ## measure | Moves track data forward or backward measure-wise.
Track Events | Moves track data only.
Markers | Moves Markers only.
Fine Mode | Manipulates track data with the precision of one tick.
Slide by ## Tc | Moves track data forward or backward by ticks.
Comp/Exp ## % | Stretches or shrinks track data by a given percent.
Start Time | Changes Start Time.
Duration | Changes Duration.
Delete Negative Data | Deletes all events within the "negative zone" (i.e. preceding the first measure/beat/tick). If this button is not pressed then all events will be placed into the first measure/beat/tick.
Apply Filter | Applies a Filter to notes according to the settings found in the Filter section.
Clear | Defaults all parameters.

Pitch Transpose section
Allows you to transpose the pitches of notes by a fixed number of semi-tones, and at the same time to limit the note range.

By ## Octave | Transposes the pitches of notes by octaves.
By ## Semitone | Transposes the pitches of notes by semitones.
Total Amount | Displays the total pitch-shift in semitones.
High Gate | The High Gate parameter sets the top limit of a notes pitch. All notes will be placed within the specified range at a lower octave.
Low Gate | The Low Gate parameter sets the bottom limit of a notes pitch. All notes will be placed within the specified range at a higher octave.
Apply Filter | Applies a Filter to the notes according to the settings found in the Filter section.
Clear | Defaults all parameters.

Filter section
Sets parameters for the processed notes.

Notes Number | Transforms notes of a specific number. You can specify pitch to narrow your transformation. Click the Exc. checkbox to exclude notes from the transformation within the pitch range specified in the Min and Max fields.
Duration | Transforms notes of a specific Duration. You can specify Duration to narrow your transformation. Click the Exc. checkbox to exclude notes from your transformation within the Duration range specified in the Min and Max fields.
Start Time | Transforms notes of a specific Start Time. You can specify Start Time to narrow your transformation. Click the Exc. checkbox to exclude notes from your transformation within the Start Time range specified in the Min and Max fields.
Velocity | Transforms notes of a specific Velocity. You can specify Velocity to narrow your transformation. Click the Exc. checkbox to exclude notes from your transformation within the Velocity range specified in the Min and Max fields.
All | Activates the maximum range, i.e. Min and Max fields are set to their extreme values.
None | Deactivates all parameters.

Note:
The Time/Pitch Adjuster can be used as offline (non-realtime) MIDI processing tool only.

Take a look at the Onyx Working Diagram to learn more about how the program processes the data, what type of data will be shown, what kind of data can be edited in Piano-Roll and Event List, and where Real-time MIDI FX can be applied.

See also:
Using Preset
Using MIDI Effects


Track Properties dialog

Right-clicking a track and choosing Track Properties from the popup menu opens the Track Properties dialog. The Track Properties dialog has the following fields:

Output | This field lists the output device through which this track is played.
Channel | This field lists the MIDI channel through which the notes will be played.
Bank Select Method | This field lists what controller format the bank change method for this track uses.
Bank | This field lists the bank that the track's patch belongs to.
Patch | This field lists what patch this track uses.
Key+ | This field lists the number of half-steps (up or down) that Onyx transposes the track by as it plays.
Velocity+ | This field lists the number of Velocity points that will be added or removed from all the note velocities during playback.
Pan | This field lists the stereo placement of the track - 64 is center, 0 is hard left, 127 is hard right.
Volume | This field lists the initial volume of the track, on a scale of -1 to 127.
Instruments | This button opens the Assign Instruments dialog.

Create Track Envelope Section

Envelopes dialog is intended for setting modes of controlling any MIDI controllers for selected Main or Orchestrator Track.

For each controller in list it is possible to install the following modes:

T (Track) | A controller from Main/Orchestrator Track and Main/Orchestrator Measure panes is transferred to MIDI devices. Envelope won't be shown in the Main/Orchestrator Measure pane.
M (Mute) | Controllers set in the Main/Orchestrator Track pane and inside the individual tracks in the Main/Orchestrator Measure pane is not transferred to MIDI devices. Envelope won't be shown in the Main/Orchestrator Measure pane.
E (Envelope) | In this mode you can graphically draw a controller envelope in the Main/Orchestrator Measure pane. Only this envelope of controller will be sent to the MIDI device.

Apply Parameters to All Tracks - sets the chosen controllers modes for all tracks simultaneously.

See also:
Main Track pane
Orchestrator Track pane
Main Track Manager
Orchestrator Track Manager
Arranging Envelope


Visible Objects dialog

To open the Visible Objects dialog, click [image] , that is located in the right bottom part of the Main view.

This dialog allows you to choose what kind of objects will be shown in the Main view or Piano Roll view. By default, all events are shown.

Note:
A part of the same actions can be done using the Visible Events toolbar.


Standard toolbar

Starts a new project. You can have more than one project open at a time
Opens an existing project. You can open more than one project at a time.
Saves the current project. If multiple projects are open, the current project is saved.
Opens the Save As... dialog where you can save a project with the name, directory, and file format you specify.
Cut removes highlighted objects or items from the project and puts them on the clipboard. You can specify the kinds of objects to cut in the Cut dialog. You can also paste the contents of the clipboard elsewhere (into another project, etc.).
Copies any selected objects on the clipboard. You can specify the kinds of objects to copy in the Copy dialog. You can paste the contents of the clipboard elsewhere.
Puts the contents of the clipboard into any appropriate place in your project. You can specify what, where, and how to paste in the Paste dialog.
Reverse (undo) your last action. Successive "Undos" effectively cancel preceding actions in reverse order.
Cancel (redo) a the previous Undo command.
Opens the entire help system. You can look for topics in the table of contents, in the index, and in the finder.


Playback Control toolbar

Rewinds to the beginning of the project.
Starts project playback from the current position.
Stops project playback.
Moves the current position to the end of the project.
Begins recording on all "record-enabled" tracks.
Metronome sound during recording On/Off.
Resets all MIDI data.
Sends GM, GS, or XG System Exclusive reset message.


MIDI Process toolbar

Displays the Event Filter dialog. This window allows you to filter out and/or set constant values for selected MIDI data.
Displays the Quantizer dialog. From this window you can adjust the starting time and duration of selected notes so that they can line up precisely with or offset from the time grid.
Displays the Modeler dialog. From this window you can make changes to the Modeler Style (PMStyle) that is used to transform the current selection into a more "human feel".
Displays the Controller Adjuster dialog. This window allows you to modify MIDI controller data such as Velocity and the Pitch Wheel.
Displays the Drum Adjuster dialog. From this window you can change drum sounds and modify various parameters associated with percussion tracks.
Displays the Time/Pitch Adjuster dialog. From this window you can stretch or compress selected MIDI data in time or shift it to the beginning or end of the current selection, and also transpose all or filtered data using the filter if required.
Displays the Interpolator dialog. The Interpolator is a powerful off-line MIDI processing tool that allows you to change and adjust various parameters of a fragment, track or a complete song. It can alter such parameters as Number of Notes, Pitch, Velocity, Controllers, etc.
Displays the AutoPhraser dialog. The AutoPhraser is a special MIDI processing tool intended for real-time auto-insertion of Phrase markers into MIDI data, which then will be used by the Modeler Effect.
Displays the Chord/Key Transposer dialog. This tool allows transposing of the Key/Scale markers and the Chords of the Song Manager into a certain number of semi-tones in the selected fragment. This can be useful if you want to use the same harmony in different parts of a modulated song (for example, first verse in A minor, and second verse in Bb minor) - and also in other cases.


Loop toolbar

Turns loop mode on or off. With loop mode enabled, playback repeats the currently designated loop section.
Shows left boundary of the loop fragment.
Shows right boundary of the loop fragment.
Turns Auto-loop on or off.
Sets the loop start and end markers to the current selection boundaries.
Sets the selection based on the current loop boundaries.


Tempo toolbar

The Tempo toolbar allows you to control the tempo changes in the project:

Sets tempo for the whole project in the Constant tempo mode.
Shows current tempo.
Turns on the Constant tempo mode. This mode sets tempo constant for the whole project.
Turns on the "Sequencer" mode. The tempo will appear exactly as it assigned in Main Track view or drawn in Piano Roll. The Tempo indicator shows the current tempo.
Turns on OOStyles tempo mode. This mode sets the project's tempo to those recorded in OOStyles. You can change it only when editing the OOStyle. Tempo indicator also shows the current tempo.
Changing the Tempo Ratio Coefficient - x0.5.
Changing the Tempo Ratio Coefficient - x0.75.
Changing the Tempo Ratio Coefficient - x1.0.
Changing the Tempo Ratio Coefficient - x1.5.
Changing the Tempo Ratio Coefficient - x2.0.

Note:
Only Main Tempo can be edited in Piano Roll and Tempo View.

See also:
Tempo View


Selection toolbar

Shows the beginning of selected fragment.
Shows the end of selected fragment.
Shows the number of entire measures selected in the Time Ruler.
Switches On/Off global offset mode.
Turns on global offset in Tc.

Note 1:
The start of StyleMaker mode will automatically set Offset parameter to - 64 Tc shift (for timebase = 960). This ensures a more accurate generation of the Orchestrator Tracks in cases when non-quantized data is encountered on the first beat of the first measure of the pattern.

Note 2:
Please, remember that Key/Scale, Chords, Orchestra Fill and OOStyle markers can be selected in the Song Manager when offset parameter has zero value.

Note 3:
A value is shown in the indicator [image] - a number without any signs, if the absolute value of the length equals whole number of measures.

The * (asterisk) is shown near the value in the indicator, which signifies that the selection is longer than the indicated number of whole measures, that is it's not integral value. So, if less than one measure at least 1/64 of a note is selected, the indicator will show 0*. If 8* is shown, it means that more than 8 measures are selected.

The + (plus) is shown near the value in the indicator, which signifies that the selection has an offset, that is the Offset parameter is on and has a nonzero value.


Render toolbar

Displays the Rendering the Chord Audition MIDI Data dialog. This dialog is used for setting the rendering modes of two tracks (bass and chords) in accordance with the chords set in the Chords Track. These tracks will be placed in the Main Tracks/Measure pane according to the settings in the Chord Audition dialog.
Displays the Rendering the Orchestrator Tracks dialog, which is used for rendering the Orchestrator tracks from the Orchestrator Tracks/Measure pane to the Main Tracks/Measure pane (e.g., for further editing/tweaking purposes).


View toolbar

Displays the Main view.
Displays the Piano Roll to show notes as they would appear on a player piano roll.
Displays the Event List view to enable modifications at the most detailed level.
Displays the Tempo view to enable precise temp adjustments.
Displays the Meter view to enable precise time signature adjustments.
Displays the Sysx view.
Shows or hides Chords pane.
Displays the Keyboard view.
Displays the Main Track manager.
Displays the Orchestrator Track manager.
Shows MIDI data in either the original unprocessed state or as it is after being processed by one or more effects.


Main Tools toolbar

Displays the Orchestrator dialog. From this dialog you can modify all of the necessary parameters that controls the OOStyles.
Displays the Harmonizer dialog. From this dialog you can modify all of the necessary parameters that control automatic harmonization.
Turns on StyleMaker mode and displays the StyleMaker Assistant dialog. From this window you can create the OOStyles used to generate accompaniment.
Automatically assigns a track type to the selected track(s), and recognizes track type when opening a file.


Song Manager Control pane

Song Manager Control pane toolbar

Turns on/off automatic chord audition .
Displays the Chord Audition dialog.
Changes chord names from sharps to flats and visa-versa in the Chord track of the Song Manger pane.
Changes Chord Type system and visa-versa in the Chord track of the Song Manger pane.
Displays the Chord/Key Transposer.


Visible Events toolbar

Shows MIDI messages and/or their envelopes.
Selects all/none parameters.
Shows/hides Tempo in the Main Measure pane.
Shows/hides Velocity in the Main Measure pane.
Shows/hides Volume in the Main Measure pane.
Shows/hides Expression in the Main Measure pane.
Shows/hides Modulation in the Main Measure pane.
Shows/hides Panning in the Main Measure pane.
Shows/hides Pitch Wheel in the Main Measure pane.
Shows/hides Phrase Markers in the Main Measure pane.
Shows/hides Chord Correlation in the Main Measure pane.

See also:
Visible Objects dialog


Snap to Grid toolbar

Aligns selections to the grid to the measure.
Aligns selections to the grid to the whole note.
Aligns selections to the grid to the half note.
Aligns selections to the grid to the quarter note.
Aligns selections to the grid to the eighth note.
Aligns selections to the grid to the sixteenth note.
Aligns selections to the grid to the 32nd note.
Aligns selections to the grid to the 64th note.
Creates a triplet for the selected grid.

See also:
Snap to Grid dialog


Piano Roll Tools toolbar

Selects note(s) from Note pane Draw.
Draws a custom curve indicating changes in controller value.
Draws a straight line indicating a steady increase or decrease in controller value.
Erases controller changes already in place.
Edits Tempo in Controllers pane.
Edits Velocity in Controllers pane.
Edits Volume in Controllers pane.
Edits Expression in Controllers pane.
Edits Modulation in Controllers pane.
Edits Panning in Controllers pane.
Edits Pitch Wheel in Controllers pane.
Edits Assigned Controller, selected from list at the right of this button.

Note:
Only Main Tempo can be edited in Piano Roll.


Visible Events toolbar

Shows MIDI messages and/or their envelopes.
Selects all/none parameters.
Shows/hides Tempo on Controllers pane.
Shows/hides Velocity on Controllers pane.
Shows/hides Volume on Controllers pane.
Shows/hides Expression on Controllers pane.
Shows/hides Modulation on Controllers pane.
Shows/hides Panning on Controllers pane.
Shows/hides Pitch Wheel at Controllers pane.
Displays Assigned Controller, selected from list at the right of this button.
Shows/hides Chord Correlation on Controllers pane.
Shows MIDI data in either the original unprocessed state or as it is after being processed by one or more effects.


Snap to Grid and Note Duration toolbar

Aligns the starting point of inserted notes to the selected grid, or moves the starts and duration of notes by the selected grid interval.
Sets notes with whole duration.
Sets notes with half duration.
Sets notes with quarter duration.
Sets notes with eighth duration.
Sets notes with sixteenth duration.
Sets notes with 32nd duration.
Sets notes with 64th duration.
Creates a triplet of the note duration you have selected.

See also:
Piano Roll view
Snap to Grid dialog


Phrases Control toolbar

Go to Previous Phrase command.
Go to Next Phrase command.
Go to Previous Note command.
Go to Next Note command.
Phrase Begin command.
Phrase End command.
Mark Selection As Phrase command.
Select Current Phrase command.
Delete Phrase Markers command.

See also:
Phrase Markers


MIDI Events toolbar

Shows all events.
Hides all events.
Shows all Controllers only.
Makes MIDI Events Toolbar controls work as checkboxes or Radio buttons.
Shows/hides Volume events.
Shows/hides Expression events.
Shows/hides Modulation events.
Shows/hides Panning events.
Shows/hides 91 Controller events.
Shows/hides 92 Controller events.
Shows/hides 93 Controller events.
Shows/hides 94 Controller events.
Shows/hides Assigned Controller, selected from list. The list is on the right of the button.
Shows/hides Pitch Wheel events.
Shows/hides Patch Change events.
Shows/hides Sysx events.
Shows/hides other events.


Markers toolbar

Shows all Markers.
Hides all Markers.
Makes Markers Toolbar controls work like checkboxes or radio buttons.
Shows/hides Phrase Marker events.
Shows/hides Track Type events.
Shows/hides Lyrics events.
Shows/hides Text events.
Shows Initial or Processed MIDI Data.
Inserts event.
Deletes event.


License Agreement

Onyx Arranger 2.1 is evaluation trial. This means:

Jasmine Music Technology exclusively owns all copyrights to Onyx Arranger 2.1.

Anyone may use this software during a test period of 21 days. Following this test period of 21 days or less, if you wish to continue to use Onyx, you must register.

Once registered, the user is granted a non-exclusive license to use Onyx on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered Onyx software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

The Onyx unregistered shareware version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of Onyx without written permission from the copyright holder.

ONYX ARRANGER 2.1 IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

Jasmine Music Technology reserves all rights not expressly granted here.

Installing and using Onyx signifies acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must remove Onyx files from your storage devices and cease to use the product.

The Onyx Arranger 2.1 and its documentation are copyrighted by Jasmine Music Technology. All rights reserved.


How to Order

Onyx Arranger can be ordered through RegNet - The Registration Network. RegNet can be reached on the World Wide Web at the following URL: http://www.reg.net or by calling 1 800 WWW2REG (1 800 999-2734) or (805) 288-1827.

Click here to buy Onyx

Please visit Jasmine Music Technology web site for details on prices and promotions:
http://www.jasminemusic.com/onyx_buy.htm

Acceptable modes of payment:
1. Via online payment. See REGNET (http://www.reg.net for details). See our Web Purchase Page at http://www.jasminemusic.com/onyx_buy.htm
1.1. In addition to credit cards, RegNet can accept cash, check or money order. Place your order online and select CHECK as the payment option. A pending order will be set up. Simply reference your order # with your check or money order. Make checks in USD (and drawn on a US bank) payable to RegNet and send to the following address:
Reg.Net (Wintronix, Inc.)
675 Southpointe Court, Suite 250
Colorado Springs, CO 80906
U.S.A.
When your check arrives, we will process your registration and fulfill your order.
1.2. By phone
RegNet can be reached at 1 800 WWW-2REG. That's 1 800 999-2734. For those of you outside the U.S. you can call us at +1 661 288-1827.
1.3. Registration by fax instead of ordering online
RegNeT fax number is +1 661 288-1867. Be sure to include your e-mail address, phone number and the program you are ordering.
Notes: RegNet accepts purchase orders under two conditions:
a) Our payment terms are "due on receipt". Payment must be paid in full upon receipt of our invoice.
b) We will accept purchase orders only if the total amount is over $100
When your money arrives, they will process your registration and fulfill the order.
2. NTONYX
You could pay direct to our account however the additional cost to negotiate a bank transfer is about $20. When your money arrives, we will fulfill your order.

When you purchase the downloadable product we will send you a Registration Code to your e-mail address.

Registration
If you acquired our product from a third party, you still need to register it with us. Registered users are entitled to discounts for future NTONYX products, upgrades and technical support.


Technical Support

You can obtain technical support directly from NTONYX. To do this, first register your product. After you have registered, submit your question via the NTONYX support web site: http://www.ntonyx.com/e-support.htm

Phone technical support: (1) 250-382-3345

Note:
Technical support hours, policies and procedures are subject to change without notice. Please check the NTONYX web site (www.ntonyx.com) for the latest support information.


Introduction

Onyx Arranger 2.1 is a powerful arranger/sequencer based on the advanced technologies of Musical Object Morphing (MOM), Intelligent Auto-Harmonization (IAH) and Performance Modeling (PM). Flexible real-time control of MIDI data generation and transformation is also offered. This program combines the best features of pre-existing musical software, while offering greater flexibility for professionals and real simplicity for amateur musicians.

NTONYX - http://www.ntonyx.com
Jasmine Music Technology - http://www.jasminemusic.com

(c) 2003 Jasmine Music Technology. All Rights Reserved.